**Business Research and Trade Intelligence [TRADINT]**
===========================================================================

## <u>**General Business Search**</u>

- [OpenCorporates](https://opencorporates.com/)  
  Claims to be the largest open database of companies and corporations in the world.
- [aiHit Company Database](https://www.aihitdata.com/)  
  A great tool that allows you to search over 15 million companies. Provides a large amount of information per company.
- [Craft](https://craft.co/)  
  Search for a company and receive a wealth of information, analytics, financials, and locations.
- [LEI Search](https://search.gleif.org/#/search/)  
  Search for a legal entity identifier (LEI) and find other associated companies.
- [OpenLEIs](http://openleis.com/)  
  A free, open and searchable database of Legal Entity Identifier (LEI) information. 
- [Effect International](https://effect.international/)  
  Find business information for corporate risk, B2B marketing and sales. Explore data on over 170 million companies across 200 different countries. Requires a paid subscription.
- [BizDirLib](https://bizdirlib.com/country)  
  A large business directory sorted by country.
- [BizEurope](http://www.bizeurope.com/)  
  A directory of European businesses, sorted by category.
- [Panjiva](https://panjiva.com/)  
  Provides supply chain intelligence for global trade companies. Requires a paid subscription.
- [OpenSanctions](https://opensanctions.org/)  
  Provides open-source sanctions data on persons and companies of interest.
- [TradeMap](https://www.trademap.org/Index.aspx)  
  Provides indicators on export performance, international demand, alternative markets and competitive markets, as well as a directory of importing and exporting companies in the form of tables, graphs and maps.
- [TendersInfo](https://www.tendersinfo.com/)  
  Search tenders around the world via keywords. Requires registration. If you do not want to register to see the full data, then just copy the names of found tenders and search it on Google.
- [RansomWiki](https://ransom.wiki/)  
  Check if a company or any of its partner have appeared in any ransomware attacks.
- [PitchBook](https://pitchbook.com/)  
  Get data on over 3.3 million companies, 1.6 million deals, 390,000 investors and 79,000 funds. Requires a paid subscription.
- [CrunchBase](https://www.crunchbase.com/)  
  Find business information about private and public companies. Information includes investments and funding information, founding members, leadership positions, mergers, acquisitions, news, and industry trends.
- [ProPublica Non-Profit Explorer](https://projects.propublica.org/nonprofits/)  
  Explorer for exploring tax exempt organizations.
- [Librebor](https://librebor.me/)  
  Allows you to retrieve specific company details from the Spanish Register, information such as aquisitions, incorporations, NIF validation and more.

## **<u>Patents and Trademarks</u>**

- [Google Patents](https://patents.google.com/)  
  Search Google for patents, documents and other related patent information.
- [US Patent and Trademark Search](https://uspto.report)  
  Search for a U.S. companies registered patents, trademarks and other copyright information.
- [Espacenet Worldwide](https://worldwide.espacenet.com/)  
  A massive database that offers over 130 million patent documents for free.
- [WIPO Global Brand Database](https://www3.wipo.int/branddb/en/)  
  Gateway to more than 46 million trademark records from 71 different national and international collections.
- [Public Copyright Catalog](https://cocatalog.loc.gov/cgi-bin/Pwebrecon.cgi?DB=local&PAGE=First)  
  A searchable copyright catalog that has records starting from 1978 to the present.

## <u>**Business Registries**</u>

### **<u>Worldwide Registries</u>**

- [EBRA Worldwide Registers](https://ebra.be/worldwide-registers/)  
  A large directory of business registries from all over the world. 
- [Around The World Company Registration](https://www.sg.ch/recht/handelsregister-notariate.html)  
  Similar directory of worldwide company registries, they also offer many other great company research tools. Click [here](https://www-sg-ch.translate.goog/recht/handelsregister-notariate.html?_x_tr_sl=auto&_x_tr_tl=en&_x_tr_hl=en-GB&_x_tr_pto=nui) for a German to English translation.
- [OpenOwnership](https://register.openownership.org/)  
  A company search tool that provides a wealth of data. Search by company name, beneficial owner. They also offer their data sets for download.
- [Baumgartner Research](https://en.baumgartner-research.com/unternehmensregister)  
  A large and organized list of business registries and chamber of commerce for most countries around the world.

### **<u>Country and Region Specific Registries</u>**

#### **<u>Africa</u>**

##### **<u>South Africa</u>**

- [Companies and Intellectual Property Commission](https://eservices.cipc.co.za/)  
  Search for South African companies and intellectual property records. Requires registration.

### **<u>Europe</u>**

- [North Data](https://www.northdata.com/)  
  Provides easily understandable company information that is publicly available for European companies. Obtained from sources such as trade registers, yearly reports, funding registers, trademark registers, patent registers and others.
- [Societe Ninja](https://societe.ninja/)  
  Free public information about companies located in France.
- [Infoveriti](https://www.infoveriti.pl/)  
  The largest supplier of business information in Poland. It has an updated database of companies, associations and debtors. Full access requires a paid subscription.
- [Norway Company Search](https://www.proff.no/)  
  Provides detailed financial information on all companies, both private and public, that are located in Norway.
- [Sweden Company Search](https://www.proff.se/)  
  Provides detailed financial information on all companies, both private and public, that are located in Sweden.
- [Denmark Company Search](https://www.proff.dk/)  
  Provides detailed financial information on all companies, both private and public, that are located in Denmark.
- [Armenian Electronic Register](https://www.e-register.am/ru/search)  
  Search for information about Armenian organizations.
- [UK Company House](https://find-and-update.company-information.service.gov.uk/)  
  Locate registered addresses, filing history, officers, annual returns and more.
- [Librebor](https://librebor.me/en/)  
  For searching Spanish companies, it provides quite some detailed information.

### <u>**North America**</u>

#### **Canada** 

- [Canada Business Registries Search](https://beta.canadasbusinessregistries.ca/search)  
  Search through the official registries of Alberta, British Columbia, Manitoba, Ontario, Quebec, Saskatchewan, and Corporations Canada. This service lets you search across these registries at one time. Information from these registries may be updated on a daily or monthly basis.
#### **United States**
  - [Secretary of State Business Search](https://cobaltintelligence.com/secretary-of-state-business-search)  
    Search for U.S. based businesses and find Secretary of State documents for a target business.

## <u>**Shipping and International Trade**</u>

- [ImportYeti](https://www.importyeti.com/)  
  Search over 70 Million U.S. Customs sea shipment records. Displays plenty of import information, analytics and company information.
- [Tradint.io](https://tradint.io/)  
  Using TRADINT intelligence, they have gathered the best resources, and created tools to make locating trade information simple.
- [52WMB](https://en.52wmb.com/)  
  International trade data service platform that provides customs data, a buyer and supplier directory, B/L, industry reports, and more. Requires registration.
