**Deep Webs and Darknets**
===========================================================================

## **<u>General Darknet Search</u>**

- [Haystack](http://haystak5njsmn2hqkewecpaxetahtwhsbsa64jom2k22z5afxhnpxfid.onion/)  
  Search engine service to discover hidden services and gain access to onion sites or eepsites in the I2P network.
- [DarkOwl](https://www.darkowl.com/darknetdataproducts)  
  A great tool for searching through different darknets including TOR, I2P, ZeroNet and paste sites. Requires a paid subscription.

## <u>**The Onion Router [TOR]**</u>

### **<u>TOR Networking Tools</u>**

- [TOR Exit Nodes](https://www.bigdatacloud.com/insights/tor-exit-nodes)  
  Contains a full list of TOR exit nodes that are currently active as reported by the [Tor Project](https://www.torproject.org/).
- [ExoneraTor](https://metrics.torproject.org/exonerator.html)  
  Enter an IP address and date to find out whether that address was used as a Tor relay.
- [TorWHOIS](https://torwhois.com/)  
  Look up an .onion address and see basic information such as date last seen, open ports, running software and banners. You can also query specific onions from the command line: `whois -h torwhois.com facebookcorewwwi.onion`
- [Ahmia Link Graph](https://ahmia.fi/stats/link_graph/)  
  Enter a name of any .onion domain zone and see what other sites in the zone it's associated with.
- [D3 TOR Relay Node Map](https://cdetr.io/tor-node-map/)  
  A map of global TOR relay nodes.
- [TorFlow](https://torflow.uncharted.software/)  
  A map that shows the movement of data through the relay nodes of the Tor network up to 13/1/2016. Historical data goes back as far as 28/10/2007.
- [TOR Node List](https://www.dan.me.uk/tornodes)  
  A list of all TOR nodes that is updated every 30 minutes.

### **<u>TOR Search Engines and Directories</u>**

- [Ahmia](https://ahmia.fi/)  
  Searches for hidden services on the Tor network. 
- [OnionLand Search Engine](https://onionlandsearchengine.com/)  
  A search engine for the deep web. Official onion site can be found [here](http://3bbad7fauom4d6sgppalyqddsqbf5u5p56b5k5uk2zxsy3d6ey2jobad.onion/).
- [Dargle](https://www.dargle.net/search)  
  A data aggregation platform for dark web domains. Using this directory, we can  generate a portfolio of domains and their statuses, gain insight into the content and nature of these services, as well as the connections between them.
- ~~[OSINT Party Fresh Onion RSS](https://osint.party/api/rss/fresh)~~  
  ~~An amazing RSS feed of fresh and newly discovered .onion sites. Be careful, this feed remains uncensored, so you may encounter illegal content.~~ Currently down.
- [HiddenWiki](https://zqktlwiuavvvqqt4ybvgvi7tyo4hjl5xgfuvpdf6otjiycgwqbym2qad.onion/wiki/index.php/Main_Page)  
  A large and neatly organized directory of .onion sites. You can visit this site without TOR [here (CLEARNET PROXY)](https://zqktlwiuavvvqqt4ybvgvi7tyo4hjl5xgfuvpdf6otjiycgwqbym2qad.onion.pet/wiki/index.php/Main_Page).
- [Hidden Services Today](https://hidden-services.today/)  
  Place with fresh links to TOR services hidden that is free of spam and scam sites. Only trusted and safe links are provided.
- [Hunchly Daily Dark Web Report](https://www.hunch.ly/darkweb-osint/)  
  Identify new hidden services, or find investigation targets that you might not have otherwise known about. It is 100% free and every day you will receive a link to a spreadsheet you can download or view online. Requires you to provide an email address to join their mailing list.
- [TOR66](http://tor66sewebgixwhcqfnp5inzp5x5uohhdy3kvtnyfxc2e5mxiuh34iid.onion/fresh)  
  An onion site that lists newly discovered onion sites that have been submitted from a variety of different clearnet platforms.
- ~~[DarkSearch](https://darksearch.io/)~~  
  ~~A search engine for TOR onion sites. Claims to index thousands of onions. Offers the ability to use [advanced search operators](https://darksearch.io/dorks), and they also provide a free API. Appears to be a bit outdated though.~~ Has removed all public access.
- [Kilos](http://mlyusr6htlxsyc7t2f4z53wdxh3win7q3qpxcrbam6jf3dmua7tnzuyd.onion/)  
  Specific market & vendor sale of goods engine. Currently indexing over 876,601 forum posts, 106,558 listings, 6,313 vendors, and 1,443,739 reviews from 12 markets and 5 forums.
- [IACA Darkweb Tools](https://iaca-darkweb-tools.com/)  
  A collection of darkweb search tools. Allows you to query .onion search engines, marketplaces and social media sites.
- [TOR Taxi](https://tor.taxi/)  
  A catalog and directory of the most popular onion sites.
- [Onion.live](https://onion.live/)  
  A clearnet search engine of onion sites. Also gives information about onion sites.

### **<u>Miscellaneous TOR Resources</u>**

- [Darknet Market Buyers Bible](http://biblemeowimkh3utujmhm6oh2oeb3ubjw2lpgeq3lahrfr2l6ev6zgyd.onion/content/index.html)  
  The buyer’s DNM bible aims to be a complete guide that covers all steps that users have to take in order to buy securely from darknet markets. It orientates itself on OPSEC best practices and, if exactly followed, will greatly minimize the risk of you getting caught. They also offer an offline version of this guide, available [here (CLEARNET PROXY)](http://biblemeowimkh3utujmhm6oh2oeb3ubjw2lpgeq3lahrfr2l6ev6zgyd.onion.pet/bible.zip) and [here (Wayback)](https://archive.org/details/darknet-market-buyers-bible).
- [Dropgangs - The Future of Darknet Markets](https://opaque.link/post/dropgang/)  
  An excellent article from 2018 about the evolution and the future of darknet market places. Available as a [PDF](https://opaque.link/files/dropgang.pdf). Archived [here (Wayback)](https://web.archive.org/web/20210928214248/https://opaque.link/files/dropgang.pdf) and [here (archive.today)](https://archive.ph/Fn5ik).
- [DarkFeed RansomWiki](https://darkfeed.io/ransomwiki/)  
  A site for researchers that keeps track and provides links to various ransomware group darknet sites.
- [Ransomware Group Sites](http://ransomwr3tsydeii4q43vazm7wofla5ujdajquitomtd47cxjtfgwyyd.onion/)  
  An onion site that provides links and details about ransomware groups currently operating. Clearnet proxy provided [here (CLEARNET PROXY)](http://ransomwr3tsydeii4q43vazm7wofla5ujdajquitomtd47cxjtfgwyyd.onion.pet/).
- [NullTrace](http://nulltc777uyenqhqvtms46lhqzpzsj6fhac5xnubhko4uqwvqgosoead.onion/index.html)  
  An onion site that offers an easy to use PGP toolkit. Allows a user to create PGP keypairs, sign, verify, encrypt and decrypt.
- [Njalla](http://njallalafimoej5i4eg7vlnqjvmb6zhdh27qxcatdn647jtwwwui3nad.onion/)  
  A privacy focused domain service that acts as a "middle man" between the domain name registration service and you, acting as a privacy shield.
- [CafeDread](https://cafedread.com/)  
  A read-only archive of the Dread forum. Read the latest posts and comments. Also supports reading via Atom feeds.

## **<u>Invisible Internet Project [I2P]</u>**

- [I2P Search](https://i2psearch.com/)  
  A I2P search engine. I2P gateway is used for the search results to access I2P hidden services, known as "eepsites".
- [Ahmia I2P Search](https://ahmia.fi/i2p/)  
  Another great I2P search engine.
- [Nekhbet I2P Links](http://nekhbet.com/i2p_links.shtml)  
  A neatly organized directory of eepsites.
- [Eepsite Connectivity Graph](https://nesg.ugr.es/i2p/)  
  This graph shows the relationships among eepsites in the I2P darknet.

## <u>**FreeNet**</u>

- [FreeNet Documentation](https://freenetproject.org/pages/documentation.html)  
  Learn how to configure and use FreeNet.
- [Freesite Connectivity Graph](https://nesg.ugr.es/freenet/)  
  This graph shows the relationships among freesites in the Freenet darknet.

## **<u>eMule</u>**

- [Online eMule Client](https://naraba.com/emulesearch.htm)  
  A simple online eMule search engine. However, it sometimes does not work for whatever reason.
- [eMule Safe Server List](https://www.emule-security.org/serverlist/)  
  Specializes in providing IP filters, nodes.dat and server lists for eMule.

## **<u>ZeroNet</u>**

- [Whonix ZeroNet Wiki](https://www.whonix.org/wiki/ZeroNet)  
  Excellent guide on how to securely setup ZeroNet. Also provides a decent list of common ZeroNet sites.

## <u>**Interplanetary File System [IPFS]**</u>

- [IPSE](https://www.ipse.io/)  
  An IPFS search engine.
- [IPFS Search](https://ipfs-search.com/#/search)  
  Another search engine for IPFS.
- [IPFS Datasets](https://awesome.ipfs.io/datasets/)  
  A huge collection of all sorts of different datasets hosted via IPFS.

## <u>**FidoNet**</u>

- [FidoNet Nodes](https://nodehist.fidonet.org.ua/)  
  A large list of FidoNet nodes. Searchable by node address or sysop name.
- [FidoNet Node Visualization](https://www.ipingthereforeiam.com/bbs/nlmap/)  
  A visualization of the FidoNet node list. Data dates from 1984 to 2022.

## <u>**Usenet**</u>

- [NZBFriends](https://nzbfriends.com/)  
  A search engine for Usenet.
- [Usenet Provider Map](https://usenetmap.b-cdn.net/latest.svg)  
  A tree map that shows details like companies, providers, networks, retention and more.
