**Dictionaries,  Translation and Decoding**
===========================================================================

## **<u>General Translation</u>**

- [Google Translate](https://translate.google.com)  
  Translate text, documents and websites from any language into any other language.
- [Google Document Translation](https://translate.google.com/?op=docs)  
  Allows you to translate document files with ease. Works with .doc, .docx, .odf, .pdf, .ppt, .pptx, .ps, .rtf, .txt, .xls, and .xlsx file types.
- [DeepL Translator](https://www.deepl.com/en/translator)  
  Translate text and full document files instantly using AI.
- [Yandex Translate](https://translate.yandex.com/)  
  Synchronized translation for 100 languages, predictive typing, dictionary with transcription, pronunciation and usage examples, and many other features. 
- [Translation2](https://translation2.paralink.com/)  
  Another free online translation tool.
- [TypeIt](https://www.typeit.org/)  
  Handy keyboard shortcuts that take zero time to learn. Allows you to switch between languages while typing.
- [Morse Code Translator](https://morsecode.world/international/translator.html)  
  A simple tool that allows you to translate Morse code into readable text.
- [Stars21](http://www.stars21.com/translator/)  
  Combines translators from Google, Bing, Baidu, Yandex and more into on simple tool.
- [[PDF] Regional Naming Conventions](https://www.bankersonline.com/sites/default/files/tools/namingconventions_0.pdf)  
  This document describes the different naming conventions used in a variety of different languages. Archived copies can be found [here (Wayback)](https://web.archive.org/web/20210927032149/bankersonline.com/sites/default/files/tools/namingconventions_0.pdf).
- [Translit](https://translit.net/)  
  A handy Cyrillic transliteration tool. This will come in handy when working with Russian, Belarusian, Ukrainian, Armenian names.
- [Lingva](https://lingva.ml/)  
  Alternative front-end for Google Translate, serving as a Free and Open Source translator with over a hundred languages available.
- [LexiLogos](https://www.lexilogos.com/keyboard/index.htm)  
  Use this multilingual virtual keyboard if you need to type in a foreign language.
- [WALS Languoid](https://wals.info/languoid)  
  Helps you determine the local language by latitude and longitude.
- [The Speech Accent Archive](https://accent.gmu.edu/searchsaa.php)  
  Helps determine where a person is from by identifying their accents.
- [Speech-To-Text](https://speech-to-text-demo.ng.bluemix.net/)  
  The IBM Watson Speech to Text service uses speech recognition capabilities to convert Arabic, English, Spanish, French, Brazilian Portuguese, Japanese, Korean, German, and Mandarin speech into text.
- [Grammica](https://grammica.com/)  
  This free online grammar check uses a fully advanced machine-learning algorithm to identify and grammar, spelling, punctuation, and syntax errors in your writing. They also provide many other useful tools such as a plagiarism checker, anagram solver and more.
- [GrammarChecker](https://grammarchecker.net/)  
  Allows you to check grammar, spelling, punctuation, vocabulary, and other writing mistakes. Our punctuation checker tool is easy to use and available in a web-based version.
- [Apertium](https://www.apertium.org/)  
  A great open-source machine translation platform.

## **<u>General Dictionaries</u>**

- [Ethnologue](https://www.ethnologue.com/)  
  Discover and research the world's 7,139 known living languages.
- [Urban Dictionary](https://www.urbandictionary.com/)  
  A crowd-sourced dictionary for common online and urban slang.
- [Emojipedia](https://emojipedia.org/)  
  An encyclopedia of emojis.
- [Smart-Words](https://www.smart-words.org/abbreviations/text.html)  
  A dictionary of abbreviations and acronyms commonly used in SMS and chat rooms. Mostly for the boomers.
- [TranslatedLabs](https://translatedlabs.com/language-identifier)  
  This language identifier calculates the similarity of a text with previously inserted reference texts and identifies the language.
- [WhatLanguageIsThis](https://whatlanguageisthis.com/)  
  Just copy and paste a text snippet that you want identified into the text box above and click "Go".
- [Texas Glossary](http://frontiertexas.com/texas-glossary)  
  A glossary of slang terms commonly used in Texas, USA.
- [[IMAGE] Hobo Code Symbols](https://imgur.com/a/pniot6m)  
  A few images that help translate and visualize ["Hobo Code"](https://nowiknow.com/the-hobo-code/). Archived copies available [here (Wayback)](https://web.archive.org/web/20220123072126/https://imgur.com/a/pniot6m) and [here (archive.today)](https://archive.ph/bUPVm). There also are QR code versions of these symbols, which are available [here](http://fffff.at/qr-stenciler-and-qr-hobo-codes/). This page has been archived [here (Wayback)](https://web.archive.org/web/20220123073445/http://fffff.at/qr-stenciler-and-qr-hobo-codes/) and [here (archive.today)](https://archive.ph/qM3Gk).

## **<u>General Cracking and Decoding</u>**

- [CyberChef](https://gchq.github.io/CyberChef/)  
  One of the best online tools for decoding and encoding texts and files. Created by the GCHQ.
- [dCode](https://www.dcode.fr/en)  
  An online toolkit for decoding messages encoded in many different types of ciphers.
- [Cryptii](https://cryptii.com/)  
  Modular conversion, encoding and decoding toolkit.
- [RapidTables](https://www.rapidtables.com/convert/index.html)  
  A collection of tools for conversion and decoding.
- [Hashes](https://hashes.com/en/decrypt/hash)  
  Crack MD5, SHA1, MySQL, NTLM, SHA256 and SHA512 hashes online.
- [CrackStation](https://crackstation.net)  
  Uses massive pre-computed lookup tables to crack password hashes. Supports  LM, NTLM, md2, md4, md5, md5(md5_hex), md5-half, sha1, sha224, sha256, sha384, sha512, ripeMD160, whirlpool, MySQL 4.1+ (sha1(sha1_bin)), and QubesV3.1BackupDefaults.
- [EpochConverter](https://www.epochconverter.com/)  
  A free online tool that converts Unix timestamps into human-readable format.
