**Digital Network Intelligence [DNINT]**
===========================================================================

## **WHOIS**

- [WhoisFreaks](https://whoisfreaks.com/)  
  An API which allows you to search for WHOIS records by company name, owner name or keyword. Currently has over 430 million records dating as far back as 1986. Requires registration.
- [Whoisology](https://whoisology.com/)  
  Search for WHOIS records and  other data via domain name, email address or keyword. For enhanced results, a paid subscription is required.
- [DomainBigData](https://domainbigdata.com/)  
  Find the registrant and other domains owned by the same person with their reverse WHOIS. Find domain history, domains on same IP, network owner and more.
- [Marcaria](https://whois.marcaria.com/en)  
  Search WHOIS information in over 2,000 extensions including international ccTLDs and gTLDs.
- [IQ WHOIS](https://iqwhois.com/advanced-search)  
  A great WHOIS search tool that offers downloadable databases, historical WHOIS records and more.
- [WhoisDS](https://www.whoisds.com/)  
  Access over 30 days worth of newly registered domains with this database. Database is updated daily.

## **Internet Protocol Addresses [IP]**

- [IKnowWhatYouDownload](https://iknowwhatyoudownload.com/)  
  Search an IPv4 or IPv6 address and view the most recent torrents that have been downloaded or that the user is currently seeding.
- [AbuseIPDB](https://www.abuseipdb.com/)  
  A database of abuse reports. Search an IP address and see if it has been included in any abuse reports, malicious activity reports, and spam campaigns.
- [Hurricane Electric BGP Toolkit](https://bgp.he.net/)  
  Contains loads of great networking tools.
- [BGPView](https://bgpview.io/)   
  A BGP toolkit and ASN routing lookup tool that allows you to debug and investigate information about IP addresses, ASN, IXs, BGP, ISPs, prefixes and domain names.
- [InfoSniper](https://www.infosniper.net/)  
  Provides detailed IP geo-location information.
- [IP Hub](https://iphub.info/)  
  An IP lookup tool featuring proxy and VPN detection. A free API is also available. Requires a paid subscription for best results.
- [IP Quality Score](https://www.ipqualityscore.com/)  
  A collection of fraud detection tools including proxy and VPN detection, bot detection, email validation, and lots of other tools. Offers many free tools. Requires a paid subscription to be able to use everything.
- [IP Teoh](https://ip.teoh.io/)  
  Simple tool that provides basic information about an IP address. Geo-location, ISP, and proxy/VPN/TOR node detection.
- [CentralOps](https://centralops.net/co/)  
  A great collection of various networking tools. Ping, traceroute, WHOIS, nslookup, domain dossier and so on.
- [IP-Neighbors](https://www.ip-neighbors.com)  
  Find neighboring websites, hostnames, and domains. Get an idea who runs a host, the hosting density, and neighboring hosts.
- [NetworksDB](https://networksdb.io/)  
  Contains information about the public IPv4 and IPv6 addresses, networks and domains owned by companies and organizations across the world along with city-level IP geolocation data and autonomous system information. Also offers a free API.
- [PeeringDB](https://www.peeringdb.com/)  
  A user-maintained database of networks. Provides a wealth of interconnection data.
- [Robtex](https://www.robtex.com/)  
  Gathers public information about IP numbers, domain names, host names, autonomous systems, routes, etc. It then indexes the data in a big database and provides free access to the data.
- [IntelX IP Address Search](https://intelx.io/tools?tab=ip)  
  A great IP address search tool offered by IntelX.
- [CriminalIP](https://www.criminalip.io/)  
  Search for information about IP addresses, domains, malicious links, phishing sites and more.
- [IPinfo](https://ipinfo.io/)  
  Provides information about IP addresses, also offers a great CLI tool. Requires a paid subscription.
- [GreenSnow IP Blacklist](https://www.greensnow.co/)  
  A IP blacklist of known spammer and malicious IP addresses that is constantly being updated.
- [InfoByIP](https://www.infobyip.com/ipbulklookup.php)  
  Domain and IP bulk lookup tool allows you to lookup domains, locations, ISPs and ASNs for multiple hosts at once.
- [Spur.us](https://spur.us/context/ENTER-IP-ADDRESS-HERE)  
  A great tool that provides tools and data to detect VPNs, residential IPs, proxies, and bots. Simply input an IP address in the URL, like so: `spur.us/context/ENTER-IP-ADDRESS-HERE`.

## **Domain Name System [DNS] Records**

- [PTArchive](http://ptrarchive.com/)  
  Search for historical reverse DNS records. Currently has over 230 billion records retrieved from 2008 to now.
- [PassiveDNS](https://passivedns.mnemonic.no/)  
  Search for DNS records via domain name.
- [IntoDNS](https://intodns.com/)  
  Checks the health and configuration of DNS and mail servers.
- [ViewDNS Info](http://viewdns.info/)  
  Allows users to gather a large amount of data about a given website or IP address.
- [DNSlytics](https://dnslytics.com/)  
  Offers loads of great tools such as DNS, MX, WHOIS and SPF lookups along with multiple reverse search tools.
- [dnstwister](https://dnstwister.report/)  
  The anti-phishing domain name search engine and DNS monitoring service, Search a domain name and this tool will show you related domain names that could potentially be used for phishing campaigns. 
- [DMNS](https://dmns.app/)  
  Domains App makes it easy to see domains availability across extensions and notifies you about any WHOIS or DNS changes.
- [DomainCodex](https://www.domaincodex.com/index.php)  
  Research domain information and all associated data, including records, IP addresses, page metadata, location and much more. Has over 315 million indexed domains.
- [IntelX Domain Search](https://intelx.io/tools?tab=domain)  
  A great domain search engine offered by IntelX.
- [DNS Institute](https://www.dnsinstitute.com/)  
  Enables domain owners and DNS professionals to monitor and check conformance and vulnerabilities of their DNS infrastructure, through scheduled protocol tests, vulnerability tests, alerts, news, and statistics with complete reporting. They also offer many interesting reports.
- [Host.io](https://host.io/)  
  A great API for domain name data, uncover new domains and the relationships between them. Requires a paid subscription.
- [RapidDNS](https://rapiddns.io/)  
  DNS search tool. Find subdomains, shared IPs and more. Claims to have over 3 billion records.
- [CompleteDNS](https://completedns.com/)  
  Research domain history and other DNS details. Currently has over 20 years worth of data. Requires a paid subscription.
- [DNSDumpster](https://dnsdumpster.com/)  
  A free domain research tool that can discover hosts related to a domain. Finding visible hosts from the attackers perspective is an important part of the security assessment process.

## **Website Analysis**

### **Enumeration**

- [Wappalyzer](https://www.wappalyzer.com/)  
  Discover what software versions are running on any website.
- [BuiltWith](https://builtwith.com/)  
  Find out what technology a website is running.
- [w3techs](https://w3techs.com/sites)  
  See which technologies a website is running, such as CMS, programming language, web server and hosting provider.
- [HackerTarget](https://hackertarget.com/server-info/)  
  Find virtual hosts, server info and IP address reputation of a server or IP address. Gather IP address intelligence including hosting provider, ASN, netblock and IP geolocation.
- [NetCraft Site Report](https://sitereport.netcraft.com/)  
  Find out the infrastructure and technologies used by any site.
- [Hexometer](https://hexometer.com/stack-checker/)  
  Check out the technologies that are being used on any website.
- [LargerIO](https://www.larger.io/)  
  Uncovers the technologies used on websites.
- [CMLabs](https://tools.cmlabs.co/en/technology-lookup)  
  List the websites that use a particular technology, with email addresses and phone numbers. Use this to find new leads, market analysis and competitor research.
- [AnalyzeID](https://analyzeid.com/)  
  Helps locate websites that have the same owner. Checks for matching email, Facebook app ID and nameservers. Search by URL.
- [Pulsedive](https://pulsedive.com/)  
  Enter a URL and receive information such as threat intelligence reports, port scans, IP details, additional URLs, subdomains and other IOCs.
- [MMHDAN](https://mmhdan.herokuapp.com/)  
  Calculate a fingerprint of a website. Things like HTML, Favicon, Certificates in SHA1, SHA256, MD5 and MMH3. Lets you create links to quickly search in various IoT search engines.
- [Snyk Vulnerability Scanner](https://snyk.io/website-scanner/)  
  Preforms a basic passive vulnerability scan on a website. Detects outdated technologies, insecure HTTP headers, XSS and more.
- [CookieServe](https://www.cookieserve.com/)  
  Enter the URL of a website and find out what cookies are being used and understand their purpose.
- [Reverse Google AdSense](https://osint.sh/adsense/)  
  Locate domains with the same Google AdSense ID.
- [Lookyloo Web Forensics Tool](https://lookyloo.circl.lu)  
  Captures websites and let you analyze and investigate them.
- [The Favicon Finder](https://besticon.herokuapp.com/)  
  A free online service to finding icons on websites. Just enter in a target URL.
- [SOCRadar Deep Web Report](https://labs.socradar.com/deep-web-report/)  
  Search a domain and get a simple report of the companies exposure. Requires a paid subscription to view full reports.
- [Well-Known.dev](https://well-known.dev/)  
  Search well-known resources, phrases, and terms served by ad sites across the web.
- [AdsByDomain](https://adsbydomain.fouanalytics.com/)  
  Scan a domain and visualize that domains ads.
- [StylifyMe](https://stylifyme.com)  
  A great tool for analyzing the style characteristics of a particular website.
- [Sitemap Generator](https://www.internetmarketingninjas.com/tools/google-sitemap-generator/)  
  Simply enter a URL and this free tool will crawl the target site and provide a list of all URLs.
- [Blacklight](https://themarkup.org/blacklight)  
  This free online tool checks web pages for any privacy invading scripts, apps, session trackers, ads, and so on.
- [GA Checker](http://www.gachecker.com/)  
  Spiders a site, and identifies which pages contain Google Analytics and/or Google AdWords tags and which ones do not.
- [AADInternals](https://aadinternals.com/osint/)  
  This OSINT tool will extract openly available information for the given Azure AD tenant.
- [Netlas](https://netlas.io/)  
  Internet intelligence apps that provide accurate technical information on IP addresses, domain names, websites, web applications, IoT devices, and other online assets.
- [Visual Site Mapper](http://visualsitemapper.com/)  
  A free online tool for generating site maps in graph form. Allows you to visually see the links between the pages of a website.
  
### **Web Page Monitoring**

- [FollowthatPage](https://followthatpage.com/)  
  A change detection and notification service that sends you an email when your favorite web pages have changed.
- [WatchThatPage](http://watchthatpage.com/)  
  A service that enables you to automatically collect new information from any web page. Select which pages to monitor, and this will find which pages have changed, and collect all the new content for you.
- [VisualPing](https://visualping.io/)  
  Enter a URL that you would like to monitor, then enter an email address and this will send you emails everytime that page changes.
- [Carbon Dating The Web](https://carbondate.cs.odu.edu/)  
  Predict the birthday of any web page.
- [GemiusAudience](https://rating.gemius.com/)  
  Provides knowledge and information for online publishers, investors, media agencies and advertisers to make the right decisions. For example you can find, in the listed countries, how many some visitors or users a website has.
- [Defacer.ID](https://defacer.id/)  
  Offers archives and statistics of website defacements and other cyber vandalism.

## **Uniform Resource Locators [URL] Redirects and Backlinks**

- [RedirectDetective](https://redirectdetective.com/)  
  A free URL redirection checker that allows you to see the complete path a redirected URL goes through.
- [WhereGoes](https://wheregoes.com/)  
  Allows you to do a full trace of URL redirects.
- [SpyOffers](https://www.spyoffers.com/)  
  A tool for tracking and recording the redirection paths of a URL.
- [SEO Spyglass Backlink Checker](https://www.link-assistant.com/seo-spyglass/free-backlink-checker-tool.html)  
  Allows you to find out how many sites are linking to a certain web page. Requires registration to view full results.
- [Backlinks Analyzer](https://app.neilpatel.com/en/seo_analyzer/backlinks)  
  See how many sites link to a web page.
- [SpyFu](https://www.spyfu.com/overview/domain)  
  Displays website information and metrics, SEO analytics, backlinks and more by searching a URL.
- [CheckShortURL](https://checkshorturl.com)  
  Easily expand URLs from most URL shortening services such as t.co, goo.gl, bit.ly, amzn.to, tinyurl.com, ow.ly, youtu.be and more.
- [URLScan](https://urlscan.io/)  
  Scan URLs for any malicious activity.
- [OpenLinkProfiler](https://openlinkprofiler.org)  
  A free link research tool that enables you to check the backlinks of any website. Enter a domain name in the search box and click the 'Get backlink data' button to get an immediate link analysis.
- [Short Link Verification Cheatsheet](https://seintpl.github.io/osint/short-links-verification-cheatsheet)  
  A list of techniques to verify links from many URL shortening services. Created by [@SIENT_pl](https://twitter.com/SEINT_pl). Archived [here (Wayback)](https://web.archive.org/web/20220213024000/https://seintpl.github.io/osint/short-links-verification-cheatsheet) and [here (archive.today)](https://archive.ph/Z4lWo).

## **Certificate Transparency [CT]**

- [crt.sh](https://crt.sh/)  
  A great site where you could find all the SSL and/or TLS certificates of a target domain. crt.sh is pronounced "Search", by the way. 
- [SSLMate](https://sslmate.com/ct_search_api/)  
  Instantly search Certificate Transparency logs for any domains SSL certificates using this convenient API. 
- [Entrust](https://www.entrust.com/resources/certificate-solutions/tools/certificate-transparency-search)  
  Entrust records all SSL/TLS certificates that we issue to the CT logs. This practice promotes transparency and provides an open way for domain owners to audit and monitor certificates that have been issued in their name. 
- [SSL Tools](https://ssl-tools.net/)  
  Offers some useful tools when investigating SSL certificates.

## **Wireless Fidelity [WiFi]**

- [WiGLE](https://wigle.net/)  
  The Wireless Geographic Logging Engine is a website for collecting crowd-sourced wardriving information about the different wireless networks and cell towers around the world. Users can register on the website and upload hotspot data like GPS coordinates, SSID, MAC address and the encryption type used on the hotspots discovered. Great way to get an address from a Wi-Fi SSID.
- [Mylnikov API](https://www.mylnikov.org/)  
  A free API that allows you to get latitude and longitude by Wi-Fi BSSID or MAC address.
- [OpenWiFi](https://openwifi.su/)  
  API and database. The project seems idle since 2018 but the service is still online.
- [3WiFi](https://3wifi.stascorp.com/)  
  Similar to Wigle, this is a interactive, crowd-sourced map of wireless access points.
- [RadioCells](https://radiocells.org/)  
  A community project to collect information on cell tower and Wi-Fi base stations and plot them on a map. The project itself was founded in 2009.
- [OpenWiFiMap](https://openwifimap.net/)  
  Database and map for free network Wi-Fi access points from all over the world.
- [WiMan](https://www.wiman.me/)  
  Helps find all the free Wi-Fi hotspots available per destination and elsewhere in the world. 
- [WiFiSpace](https://wifispc.com/)  
  Find open free and public Wi-Fi hotspots practically anywhere in the world.
- [WiFi Map](https://www.wifimap.io/)  
  Another site that shows you publicly open Wi-Fi networks by location. They also offer a mobile app.
- [BT WiFi](https://www.btwifi.com/)  
  The UK's biggest Wi-Fi hotspot network. Over 5 million available hotspots nation wide.
- [OpenWiFiSpots](http://openwifispots.com/)  
  Search for free open wireless networks worldwide.
- [Airport WiFi](https://umap.openstreetmap.fr/en/map/wireless-passwords-from-airports-and-lounges-aroun_107272#9/)  
  Provides WiFi passwords from airports and lounges around the world.

## **Media Access Control [MAC]**

- [MAC Address Lookup](https://macvendors.com/)  
  Lookup any MAC address and view the manufacturers name.
- [MAC and OUI Lookup](https://aruljohn.com/mac.pl)  
  Displays the name of the company that manufactured a network card. You can also do a reverse lookup and find the MAC addresses registered by a company.
- [MAC Lookup](https://dnschecker.org/mac-lookup.php)  
  Another tool that provides information about any MAC address.
- [MAC Address Search](https://mac.lc)  
  Yep, it's another MAC address search tool.

## **User Agents**

- [User Agent Parser](https://developers.whatismybrowser.com/useragents/parse/#parse-useragent)  
  Lookup a browser user-agent and view details about it such as software versions, OS types, and more.
- [UA Parser](https://useragent.toolpie.com/)  
  A simple tool that displays your current user agent strings.
- [LocaBrowser](https://www.locabrowser.com/)  
  Test geo-targeted websites from different locations in real-time.

## **Internet of Things [IoT] Search**

### **Device Discovery**

- [Shodan](https://www.shodan.io/)  
  A search engine that lets the user find specific types of computers and IoT devices connected to the internet using a variety of filters.
- [Censys](https://censys.io/)  
  The search engine for finding internet devices, like computers, servers, and other smart devices.
- [ZoomEye](https://www.zoomeye.org/)  
  Another search engine which is used mostly to see open devices that are vulnerable and most often used by pentesters to test or exploit their vulnerabilities over the internet. Zoomeye lets user find specific connected network devices.
- [Thingful](https://www.thingful.net/)  
  A search engine for the internet of things (IoT), providing a unique geographical index of connected objects around the world, including energy, radiation, weather, and air quality devices as well as seismographs, iBeacons, ships, aircraft and even animal trackers.
- [GreyNoise](https://www.greynoise.io/)  
  Collects, analyzes, and labels mass internet scan and attack activity into a feed of Anti-Threat Intelligence (ATI).
- [Natlas](https://natlas.io/)  
  This is described as a "collection of nmaps". Catalogs things like open ports and software versions.
- [ONYPHE](https://www.onyphe.io/)  
  A cyber defense search engine for open-source and cyber threat intelligence data. Collected by crawling various sources available on the Internet and active internet scanning.
- [FOFA](https://fofa.so/)  
  FOFA is a cyberspace search engine. It help customers find IP assets quickly. 
  Essentially a clone of Shodan.
- [LeakIX](https://leakix.net/)  
  Search engine indexing open ports on the internet. It focuses on listing the databases and table names and keeps an history of every successful connection.
- [BinaryEdge](https://app.binaryedge.io/)  
  Focuses on acquiring, analyzing and classifying internet wide data by combining efforts in the areas of cybersecurity, data science and machine learning. Requires registration.
- [FullHunt.io](https://fullhunt.io/)  
  Attack surface database of the entire Internet. Search info by domain, IP, technology, host, tag, port, city and more.

### **CCTV and Webcams**

- [EarthCam](https://www.earthcam.com/)  
  A searchable global network of live streaming webcam feeds.
- [WebCamTaxi](https://www.webcamtaxi.com/en/)  
  Directory of open webcams organized by country and location.
- [OpenTopia](http://www.opentopia.com/)  
  Catalogues live webcams that have been found via search engines. Allows you to view camera feeds plotted on a map.
- [Insecam](http://insecam.org/)  
  Live cameras directory. Claims to be the world's biggest directory of online surveillance security camera feeds. Searchable by location or camera manufacturer. 
- [The Webcam Network](http://www.the-webcam-network.com/)  
  A large directory of open CCTV and webcams, organized by location.
- [Windy Webcams](https://www.windy.com/-Webcams/webcams)  
  A large open webcam directory. Formally known as "Lookr".
- [WebcamMap](http://world-webcams.nsspot.net/)  
  A directory or open IP cameras plotted on a map.
- [SkylineWebcams](https://www.skylinewebcams.com/en/webcam)  
  View live webcam feeds from around the world. Sorted by country.
- [AirportWebcams](https://airportwebcams.net/)  
  Directory of webcams from various airports and runways from around the world.
- [KrooozCams](https://www.kroooz-cams.com/)  
  Another large directory or open IP cameras.
- [London Traffic Cams](https://www.tfljamcams.net/)  
  Live feeds of traffic cameras in London, England.
- [London Traffic Cams 30 Day Archive](https://archive.tfljamcams.net/)  
  A 30-day archive of traffic camera footage from London, England.
- [Fisgonia](http://www.fisgonia.com/)  
  Directory of open IP cameras plotted on a map. Website is in Spanish.
- [List of Unsecured IP Cameras](https://reolink.com/unsecured-ip-camera-list/)  
  A great article that describes the most common types of IP cameras that are exposed online. Also provides a list of default credentials for common IP cameras.
- [IPVM Camera Calculator](https://calculator.ipvm.com/)  
  Calculate the field of view, layout and design of a CCTV camera network.
- [CamVista](http://www.camvista.com/)  
  A directory of open IP cameras. Appears to be outdated, but still worth mentioning.
- [Deckchair](https://www.deckchair.com/)  
  A directory of live camera feeds organized by location.
- [Surveillance Under Surveillance](https://sunders.uber.space/)  
  Shows you cameras and guards almost everywhere. You can see where they are located and, if the information is available, what type they are, the area they observe, or other interesting facts.
- [Ukraine Live Cams](https://nagix.github.io/ukraine-livecams/#5.5/47.774/31.685/0/45)  
  A large collection of live and real-time webcams in Ukraine plotted on 3D map.
- [OpenTrafficCamMap](https://otc.armchairresearch.org/map)  
  An interactive map of openly accessible traffic camera feeds in the United States.
- [The Follower](https://driesdepoorter.be/thefollower/)  
  A pretty cool project that uses open cameras and AI to find how an Instagram photo is taken. Created by [@driesdepoorter](https://twitter.com/driesdepoorter).
- [Masspirates](https://cctv.masspirates.org/)  
  An interactive map of CCTV and IP cameras.
  
## **Application Programming Interfaces [API]**

- [BeVigil OSINT API](https://bevigil.com/osint-api)  
  A powerful tool that provides access to millions of asset footprint data points including domain intel, cloud services, API information, and third party assets extracted from millions of mobile apps being continuously uploaded and scanned. Requires registration.

## **Attack Maps**

- [Bitdefender Threat Map](https://threatmap.bitdefender.com/)  
  A cyber threat and cyber-attack map that displays information in real-time.
- [Kaspersky Cyberthreat Map](https://cybermap.kaspersky.com/)  
  Displays cyber-attacks in real-time with very pretty animations.
- [Digital Attack Map](https://www.digitalattackmap.com)  
  A map that displays distributed denial-of-service (DDoS) attacks in real-time.
- [FireEye Cyber Threat Map](https://www.fireeye.com/cyber-map/threat-map.html)  
  Shows on-going cyber threats and cyber-attacks in real-time.
- [LookingGlass Threat Map](https://map.lookingglasscyber.com/)  
  Shows attacks and infections for known malware in real-time.
- [CheckPoint Live Cyber Treat Map](https://threatmap.checkpoint.com/)  
  Displays real-time malware infections, phishing attacks and exploitation on a map.
- [Talos Intelligence Reputation Center](https://talosintelligence.com/reputation_center/)  
  Claims to be the world’s most comprehensive real-time threat detection network. Includes an interactive map.
- [Spamhaus Live Botnet Threat Map](https://www.spamhaus.com/threat-map/)  
  A live map of botnet activity, zombies and C2 servers.
- [Imperva Threat Attack Map](https://www.imperva.com/cyber-threat-attack-map/)  
  Real-time view of on-going cyber attacks.
- [Talos Intelligence Cyber Attack Map](https://talosintelligence.com/fullpage_maps/)  
  A live map that shows the top spam and malware distributors.
- [ThreatButt](https://threatbutt.com/map/)  
  A real-time cyber attack map. By far the most 1337 looking attack map out there.
- [Akamai Attack Visualizations](https://www.akamai.com/visualizations/visualizing-akamai?tab=attacks&theme=dark)  
  This real-time visualization shows the phishing, malware, and command & control threats that Akamai is blocking (for customers) through its Intelligent Platform and its unprecedented insights into DNS and IP traffic.
- [Fortinet Threat Map](https://threatmap.fortiguard.com/)  
  Interactive map that displays statistics of active cyber attacks in real-time.
- [Sophos Threat Intelligence](https://www.sophos.com/en-us/threat-center/threat-monitoring/threatdashboard.aspx)  
  A static threat tracking map. All data comes from SophosLabs monitoring and malware research activities. Map is not in real-time.
- [NetScout Omnis Threat Map](https://horizon.netscout.com/)  
  Displays DDoS attacks observed globally in real-time as well as other statistics such as size, type, sources, destinations, time span and more.
- [SonicWall Worldwide Attacks](https://securitycenter.sonicwall.com/m/page/worldwide-attacks)  
  Provides a graphical view of worldwide attacks over the last 24 hours. It shows which countries are being attacked and where the attack originates. This interactive map shows not only malware attacks, but ransomware, encrypted traffic, intrusion attempts, and spam/phishing attacks. Also included are attack site statistics for the past 24 hours.

## **Public Buckets**

- [Public Buckets](https://osint.sh/buckets/)  
  Find public AWS and Azure buckets and documents via keyword.
- [GreyHatWarfare Bucket Search](https://buckets.grayhatwarfare.com/)  
  A great tool that lists open AWS S3 buckets and helps you search for interesting files. Requires registration for limited free use. Requires a paid subscription to access advanced features.

## **Exploits and Proof of Concept [PoC]**

- [ExploitDB](https://www.exploit-db.com/)  
  An archive of exploits, vulnerabilities, shellcode, 0days, security articles, whitepapers and more. Ran by Offensive Security.
- [GHDB](https://www.exploit-db.com/google-hacking-database)  
The Google Hacking Data Base is an index of search queries (we call them dorks) used to find publicly available information, intended for pentesters and security researchers.
- [MITRE CVE](https://cve.mitre.org/)  
  The mission of the CVE program is to identify, define, and catalog publicly disclosed cyber-security vulnerabilities.
- [NIST NVD](https://nvd.nist.gov/)  
  The U.S. government repository of standards based vulnerability management data represented using the Security Content Automation Protocol (SCAP). Enables automation of vulnerability management, security measurement, and compliance. The NVD includes databases of security checklist references, security-related software flaws, misconfigurations, product names, and impact metrics.
- [CVE Details](https://www.cvedetails.com/)  
  You can browse for vendors, products and versions and view CVE entries, vulnerabilities, related to them. You can view statistics about vendors, products and versions of products. Vulnerability data is updated daily using NVD feeds.
- [VulDB](https://vuldb.com/)  
  A vulnerability database documenting and explaining security vulnerabilities, threats, and exploits since 1970.
- [CVE Trends](https://cvetrends.com/)  
  Crowdsourced CVE intelligence and trends.
- [0day.today](https://0day.today/)  
  A database and marketplace for both public and 0day exploits.
- [RouterPwn](http://www.routerpwn.com/)  
  An outdated database of router exploits.
- [Vulners](https://vulners.com/)  
  Claims to be the largest correlated database of vulnerabilities and exploits.
  
## **Advanced Persistent Threats [APTs]**

- [MITRE ATT&CK Groups](https://attack.mitre.org/groups/)  
  Great collection of known APT groups that are currently in operation as well as groups that are no longer active.
- [[XLSX] APT Groups and Operations](https://docs.google.com/spreadsheets/u/1/d/1H9_xaxQHpWaa4O_Son4Gx0YOIzlcBWMsdvePFX68EKU/pubhtml)  
  A large list of known APTs that is organized by country of operation. Archived copies available [here (Wayback)](https://web.archive.org/web/20211109032726/https://docs.google.com/spreadsheets/u/1/d/1H9_xaxQHpWaa4O_Son4Gx0YOIzlcBWMsdvePFX68EKU/pubhtml). Offline copy available [here (AnonFiles)](https://cdn-105.anonfiles.com/Za6fKaTbua/10754569-1636429170/APT_Groups_and_Operations.xlsx).
- [[IMAGE] APT Operation Groups](https://imgur.com/a/VePzyqX)  
  A collection of infographics that display the various known and currently active cyber operation groups per country. Archived [here (Wayback)](https://web.archive.org/web/20211109034140/https://imgur.com/a/VePzyqX) and [here (archive.today)](https://archive.ph/dDkTw).
- [SOCRadar Daily APT Feed](https://labs.socradar.com/apt-feeds/)  
  Collects APT IOC feeds from several public and private sources and sensors. These feeds are free and refreshed daily. Requires you to provide an email address.
- [eCrime.sh](https://ecrime.ch/)  
  Monitors over 90 actor-maintained ransomware and data leak sites and provides insights into the data. Requires a paid subscription.
  
## **Malware and Malware Analysis**

- [vx-underground](https://www.vx-underground.org/)  
  The best source for malware samples available on the internet. They also have large archives of various whitepapers, zines and other interesting things.
- [Malware Traffic Analysis](https://malware-traffic-analysis.net/)  
  A source if pcap files and malware samples. Since the summer of 2013, this site has published over 2,000 blog entries about malicious network traffic. Almost every post on this site includes pcap files and/or malware samples.
- [DarkFeed](https://darkfeed.io/)  
  A live feed of malicious indicators of compromise (IOCs). Including domains, URLs, hashes, and IP addresses.
- [Malpedia](https://malpedia.caad.fkie.fraunhofer.de/)  
  The primary goal of Malpedia is to provide a resource for rapid identification and actionable context when investigating malware.
- [Abuse.ch](https://abuse.ch/)  
  A research project at the Bern University of Applied Sciences (BFH). Home of some great projects such as MalwareBazzar, botnet C&C trackers, SSL blacklists and more.
- [URLHaus](https://urlhaus.abuse.ch/)  
  A project from abuse.ch with the goal of sharing malicious URLs that are being used for malware distribution.
- [FireHOL IP Lists](https://iplists.firehol.org/)  
  This site analyses all available security IP Feeds, mainly related to on-line attacks, on-line service abuse, malwares, botnets, command and control servers and other cybercrime activities.
- [Ransom-DB](https://www.ransom-db.com/)  
  Provides ransomware tracking in real-time, tracking ransomware groups and their victims.
- [RansomWatch](https://ransomwatch.telemetry.ltd/)  
  A constantly updated database that tracks ransomware operators.
- [RansomLook](https://www.ransomlook.io/)  
  A simple tool to monitor ransomware groups and markets. Also provides information on breached/leaked data. Very similar to the above tool.
- [Threat Intelligence Platform](https://threatintelligenceplatform.com/)  
  Combines several threat intelligence sources to provide in-depth insights on threat hosts and attack infrastructure. Requires a paid subscription.

## **Personal Connection Profiling**

- [GRC SheildsUP](https://www.grc.com/shieldsup)  
  Great tool for profiling your internet connection and router for exposure, potential vulnerabilities, and open ports. These are the results you want to see; [[IMAGE] SheildsUP TruStealth](https://i.imgur.com/R9w11GS_d.jpg?maxwidth=640&shape=full&fidelity=large), [(Wayback)](https://web.archive.org/web/20211020070418/https://i.imgur.com/R9w11GS_d.jpg?maxwidth=640&shape=full&fidelity=large), [(archive.today)](https://archive.ph/tjzKa).
- [IPLeak](https://ipleak.net/)  
  See what information you are giving away while browsing the internet. IP addresses, DNS leaks, WebRTC leaks, fingerprints and user-agent.
- [BrowserLeaks](https://browserleaks.com/)  
  Here you will find a gallery of security testing tools that will show you what kind of personal data can be leaked, and how to protect yourself from it.
- [DNS Leak Test](https://dnsleaktest.com/)  
  A simple tool to check for DNS leakage.
- [WebKay](https://webkay.robinlinus.com/)  
  A demonstration of all the data your browser knows about you. All this data can be accessed by any website without asking you.
- [PrivacyTests](https://privacytests.org/)  
  An open-source list of web browser privacy tests.
- [Trackography](https://trackography.org/)  
  Find out who is tracking you when you are reading your favorite news online.

## **Browser Extension Resources**

- [CRXcavator](https://crxcavator.io/)  
  Automatically scans browser extension stores every 3 hours and produces a quantified risk score for each extension. Catalogs extensions for Chrome, Firefox and Edge.
- [Crx4Chrome](https://www.crx4chrome.com/)  
  A catalogue of Chrome extensions. Allows you to download older versions and view related metadata about an extension. 
- [Firefox Legacy Collector Dump](https://archive.org/details/Firefox_Legacy_Collector_Dump)  
  A large archive of legacy Firefox browser extensions.
- [ca-archive](https://github.com/JustOff/ca-archive)  
  Another catalogue of classic Firefox add-ons created before WebExtensions apocalypse.

## **Other Tools**

- [Domains-Index](https://domains-index.com/)  
  An index of registered domains, sorted by TLD. Allows you to download lists of registered TLDs in .csv format. Requires registration and a paid subscription. However, some TLD lists are free.
- [ZoneFiles](https://zonefiles.io/)  
  Another index of registered domains sorted by TLDs. Updated daily. Requires paid subscription and registration to access their datasets.
- [Zone-H](https://www.zone-h.org/)  
  An Internet security portal containing original IT security news, digital warfare news, geopolitics, proprietary and general advisories, analyses, forums, and a large archive of website defacements.
- [Default Router Settings](https://www.cleancss.com/router-default/)  
  A list of default settings and login credentials for over 2,000 routers.
- [OpenSezMe](https://open-sez.me/)  
  Contains over 6,000 default credentials for routers and other IoT devices.
- [Bowserling](https://www.browserling.com/)  
Allows you to view a website in a different browser online. For example, a Mac user can test a website to see how it acts in Internet Explorer, without having to install a VM.
- [ISP Quick List](https://www.ispquicklist.com/)  
  A free database that lists ISPs for wireless, broadband, DSL, ADSL, cable, etc. Organized by country.
- [ISP Today](https://isp.today/)  
  A worldwide database of internet service providers.
- [Wikipedia - Lists of Internet Service Providers by Country](https://en.wikipedia.org/wiki/Category:Internet_service_providers_by_country) ([WikiLess](https://wikiless.org/wiki/Category:Internet_service_providers_by_country))  
  Lists of ISPs organized by country.
- [API Guesser](https://api-guesser.netlify.app)  
  Enter the API key or token to find out which service it can be used by.
- [IEMI.info](https://www.imei.info/)  
  Every mobile phone, GSM modem or device has an IMEI number. Based on this number, you can check some information about the device like brand and model.
- [SNDeepInfo](https://sndeep.info/en)  
  A service for checking a serial numbers of phones, smartphones, cameras, household appliances and IMEI phones of all brands.
- [Yandex Ranking Factor Explorer](https://yandex-explorer.herokuapp.com/)  
  This is a list of ranking factors that Yandex uses to rank websites in their search results.
