**Email Addresses**
===========================================================================

## **General Email Tools**

- [Epieos Email Tool](https://tools.epieos.com/email.php)  
  Enter an email address and see which sites the email address has been used. This is a web frontend of the [holehe](https://github.com/megadose/holehe) tool.
- [Email Header Analyzer](https://mxtoolbox.com/EmailHeaders.aspx)  
  Simple tool that analyzes email headers and making them human-readable.
- [Free Email Scraper](https://freemailscraper.herokuapp.com/complete-website-email-scraper)  
  Easily find email addresses by entering a website URL. This tool will scrape the page for any email addresses and display any results.
- [HaveIBeenEmotet](https://www.haveibeenemotet.com/index.php)  
  Check if an email address or domain is involved in the Emotet malspam campaign.
- [Email-Format](https://www.email-format.com/)  
  Helps find the email address formats in use for thousands of different companies.
- [Hunter.io](https://hunter.io/)  
  Lets you find professional email addresses in seconds. Very useful tool. For best results, a paid subscription is required.
- [Snov Email Finder](https://snov.io/email-finder)  
  Locate employee email addresses via domain name. Very handy.
- [WhoWorksThere](https://www.whoworksthere.com/)  
  Search for a company and provides email address, names and more. Paid subscription is required.
- [Phonebook.cz](https://phonebook.cz/)  
  A tool from IntelX that lists all domains, email addresses, or URLs for the given input domain. Wildcards such as `*.gov.uk` are allowed. Search over 34 billion records.
- [Have I Been Sold?](https://haveibeensold.app/)  
  A service that checks for email address that are included in marketing and spamming databases.
- [IntelX Email Search](https://intelx.io/tools?tab=email)  
  A great email search engine offered by IntelX.
- [PeepMail](https://samy.pl/peepmail/elift.cgi)  
  A tool that allows you to discover business email addresses for users, even if their email address may not be publicly available or shared.
- [Identificator.space](https://identificator.space/search)  
  Locate information and linked accounts by searching an email address, phone number or Twitter handle. Requires registration.
- [User Email Encrichment](https://taitems.github.io/user-email-enrichment/)  
  A free, open source identity resolution alternative to tools like FullContact and Clearbit. Requires registration.
- [FindEmails](https://www.findemails.com/)  
  A sales and lead generation tool that helps discover a target's email address. Requires registration.
- [Experte Email Finder](https://www.experte.com/email-finder)  
  A free email finder tool. Enter a full name and domain and get a list of possible email addresses.
- [Defastra](https://defastra.com/)  
  A fraud prevention service that provides information on email addresses and phone numbers. Requires a paid subscription for full results.
- [Predicta Search](https://predictasearch.com)  
  Look up an email address or phone number to retrieve detailed profiles associated with the respective email address or phone number's usage.

## **Data Breach Search**

- [HaveIBeenPwned](https://haveibeenpwned.com/)  
  Lets you search for an email address or phone number. Will tell you what breaches include what you have searched.
- [BreachDirectory](https://breachdirectory.org/)  
  Search via email address, username or phone number to see censored passwords. They also provide the full password as a SHA-1 hash, which can easily be cracked.
- [DeHashed](https://dehashed.com/)  
  Is the largest & fastest data breach search engine. You can search for IP address, email, username, name, phone, address and more. Requires a paid subscription.
- [IntelX](https://intelx.io/)  
  Allows you to search through breach data for email address and more. Requires a paid subscription to view full results.
- [MyPWD](https://mypwd.io/)  
  A tool for monitoring leaked passwords for accounts linked to emails. Actually shows you the leaked passwords.
- [Leaked Site](https://leaked.site/)  
  Another leaked database search. Requires a paid subscription.
- [WeLeakInfo](https://weleakinfo.to/)  
  Provides you the best leaked breached databases downloads. Requires a paid subscription.
- [LeakPeek](https://leakpeek.com/)  
  An all-in-one online data protection platform. Search for your publicly leaked passwords using an email or username. Shows you censored results. Requires a paid subscription to view uncensored results.
- [LeakedSource](https://leakedsource.ru/)  
  Search for leaked data by email address, name , username, phone number, IP address or password. Requires a paid subscription.
- [LeakCheck](https://leakcheck.net/)  
  Check your account for leaks. Requires a paid subscription for best results.
- [HotSheet](https://www.hotsheet.com/inoitsu)  
  Use this free service to check if an email address is in any hacked data from known breaches. Get a summary of what specific information may be at risk. Essentially a clone of HaveIBeenPwned.
- [Leak-Lookup](https://leak-lookup.com/)  
  Allows you to search across thousands of data breaches to stay on top of credentials that may have been compromised. Requires a paid subscription.
- [Am I Breached](https://amibreached.com/)  
  Lets you search for name, email, IP, phone number, username, credit card numbers, VIN and more. Requires a paid subscription.
- [ScatteredSecrets](https://scatteredsecrets.com/)  
  Allows you to search data breaches to see if your password has been compromised. Requires a paid subscription.
- [SkidSearch](https://skidsearch.net/)  
  Breached account lookup service. Requires registration.
- [SnusBase](https://snusbase.com/)  
  Snusbase makes it easy to stay on top of the latest database breaches and makes sure you and your closest stay safe online. Requires a paid subscription.
- [Personal Data Leak Checker](https://cybernews.com/personal-data-leak-check/)  
  Find out if your email or phone number and related personal information could get into the wrong hands.
- [Data Breach Checker](https://burnermail.io/resources/data-breach-checker)  
  Use this tool to check if your email address has been compromised in any known data breaches.
- [Ashley Madison Search](https://ashley.cynic.al/)  
  Check to see if an email address was included in the Ashley Madison breach.
- [Leaked.Domains](https://leaked.domains/)  
  Contains a large number of breached datasets to perform passive intelligence gathering on domains. Allows you to search a domain name and see how many times the domain has been included in breached data. Requires registration with a company email to access full reports for that specific domain.
- [DeepSearch Onion](http://xjypo5vzgmo7jca6b322dnqbsdnp3amd24ybx26x5nxbusccjkm4pwid.onion/)  
  An .onion site that lets you search through leaked databases. Requires an account.
- [CheckLeaked](https://checkleaked.cc/)  
  Discover leaks, know the passwords and information that hackers already have about you. Requires a paid subscription.
- [Breached.co](https://breached.co/index.php)  
  A RaidForums alternative ran by the prolific pompompurin.
- [BreachChecker](https://breachchecker.com/)  
  Enter an email address and see what data breaches it has been included in. Does not provide any leaked data, only a list of breaches similar to HIBP.
- [HackCheck](https://hackcheck.io/)  
  Another good site to search through data breaches. Requires a paid subscription.
- [ProxyNova COMB Search](https://www.proxynova.com/tools/comb)  
  Allows you to search via email address, username or password through the "[Compilation of Many Breaches [COMB]](https://cybernews.com/news/largest-compilation-of-emails-and-passwords-leaked-free/)" ([Wayback](https://web.archive.org/web/20221129072721/https://cybernews.com/news/largest-compilation-of-emails-and-passwords-leaked-free/)), ([archive.today](https://archive.vn/7XumX)) breach data. Provides uncensored results.
- [Illicit Services](https://search.illicit.services/)  
  A searchable database of leaked and breached information. All information is in the public domain and has been compiled into one search engine.

## **Pretty Good Privacy [PGP]**

- [MIT PGP Public Key Server](https://pgp.mit.edu/)  
  A searchable database of public PGP keys from MIT.
- [PGP Global Directory](https://keyserver.pgp.com/)  
  Search for public PGP keys.
- [OpenPGP Key Search](https://keys.openpgp.org/)  
  Search for public PGP keys via email address, PGP fingerprint or key ID.
- [Keybase](https://keybase.io/)  
  Search for Keybase users and PGP keys.
- [PGP SKS Keyserver Dump](https://mirror.cyberbits.eu/sks/dump/)  
  A database of public PGP keys which is updated often. Refer to their [README.txt](https://mirror.cyberbits.eu/sks/dump/README.txt) ([Wayback](https://web.archive.org/web/20220920014322/https://mirror.cyberbits.eu/sks/dump/README.txt)), ([archive.today](https://archive.ph/Y4dyq)) for more information on downloading and importing. Total archive size is just over 32GB.

