**Financial Intelligence [FININT]**
===========================================================================

## **<u>General FININT</u>**

- [OCCRP Aleph](https://aleph.occrp.org/)  
  An investigative data platform that helps reporters follow the money. They provide public access to a vast archive of government records and open databases. OCCRP also grants access to journalists and activists on a case by case basis.
- [Candid 990 Form Search](https://candid.org/research-and-verify-nonprofits/990-finder)  
  A database of individual 990 forms of private foundations, public charities, and other non-profits.
- [Open990](https://www.open990.org/org/)  
  Similar to the above, allows you to find 990 forms for non-profit organizations.
- [US OpenPaymentsData](https://openpaymentsdata.cms.gov/)  
  This site will provide a breakdown of payments from pharmaceutical companies and/or medical device companies.
- [OpenPayrolls](https://openpayrolls.com/)  
  Search through millions of public employee salary records by name.
- [France Transparency](https://www.transparence.sante.gouv.fr/)  
  Similar to the above tool, except for France. Provides payments received from pharmaceutical companies and/or medical device companies.
- [StAR: The Stolen Asset Recovery Initiative](https://star.worldbank.org/)  
  A partnership between the World Bank Group and the United Nations Office on Drugs and Crime that supports international efforts to end safe havens for corrupt funds. Offers many reports and AML information.

## <u>**Cryptocurrency and Blockchain**</u>

### **<u>General Analysis</u>**

- [Blockchain Explorer](https://www.blockchain.com/explorer)  
  Contains information about Bitcoin (BTC), Bitcoin Cash (BCH) and Ethereum (ETH) including historical prices, most recently mined blocks, the mempool size of unconfirmed transactions, and data for the latest transactions.
- [Blockchair](https://blockchair.com/)  
  Universal blockchain explorer and search engine BTC, ETH, XRP, XLM, BCH, LTC, DASH, BSV, DOGE, GRS and much more that allow you to find, sort and filter transactions and addresses.
- [BlockCypher](https://blockcypher.herokuapp.com/)  
  Blockchain explorer for Bitcoin, Ethereum, Litecoin, DogeCoin and Dash. Provides information about address, transactions, block hashes, block numbers and/or wallet names.
- [Breadcrumbs](https://breadcrumbs.app/)  
  An open blockchain analytics platform that allows you to trace and monitor cryptocurrency transactions.
- [CryptoLogos](https://cryptologos.cc/)  
  Locate a certain cryptocurrency by its logo.
- [CoinWink Alerts](https://coinwink.com/)  
  Receive email notifications when a specific cryptocurrency rises or drops below a certain value.
- [Crypto Currency Alerting](https://cryptocurrencyalerting.com/)  
  Another tool to receive alerts whenever a coin reaches a specific value.
- [Zapper](https://zapper.fi/)  
  Put in a wallet address and see all of the coins/tokens held, history, total estimated net worth, and any NFTs owned.
- [DeBank](https://debank.com/)  
  An all-in-one cryptocurrency wallet that allows users to track their full portfolio through various chains as well as can help users track DeFi applications, compare interest rates, manage assets, find DeFi projects, analyze risks, and more.
- [Honeypot.is](https://honeypot.is/)  
  Helps learn characteristics about tokens, among them the sell tax but also pausable or similar/cloned contracts.
- [TokenSniffer](https://tokensniffer.com/)  
  Provides detailed information about the contract of a token and a surface level analysis of the holders of that token.
- [BSC Scan](https://bscscan.com/)  
  The leading blockchain explorer for the Binance Smart Chain, built by the same team behind Etherscan. Besides tracking transactions, verifying smart contracts and other features, it is also the leading validator for BSC.
- [Whale Alert](https://whale-alert.io/)  
  The most advanced blockchain tracker and analytics system reporting large and interesting transactions as they happen.
- [Cosmos Address Convertor](https://cosmos-checker.atmon3r.dev/)  
  Convert any Cosmos address to +100 ecosystem blockchains and see the amount for each wallet. 

### **<u>Bitcoin [BTC] Specific</u>**

- [Bitcoin Block Explorer](https://blockexplorer.com/)  
  An online blockchain browser which displays the contents of individual Bitcoin blocks and transactions and the transaction histories and balances of BTC addresses.
- [Blockstream Explorer](https://blockstream.info/)  
  An open source block explorer providing detailed blockchain data across Bitcoin, Testnet, and Liquid.
- [BitcoinWhosWho](https://bitcoinwhoswho.com/)  
  Provides plenty of useful tools for the Bitcoin network. Allows you to explore the blockchain, check if a BTC address has been reported as a scam, discover owners of BTC addresses, setup transaction alerts to notify you when a target BTC address has activity on the blockchain and more.
- [WalletExplorer](https://www.walletexplorer.com/)  
  Preforms address clustering. Find out if addresses belong to the same user, or in rare cases, identify what mixer was used.
- [BitRef](https://bitref.com/)  
  A simple tool to display a Bitcoin addresses current balance.
- [BitcoinAbuse](https://www.bitcoinabuse.com/)  
  Tracking bitcoin addresses used by ransomware, blackmailers, fraudsters, etc.
- [LearnMeABitcoin](https://learnmeabitcoin.com/tools/path/)  
  Locate transactions between two Bitcoin addresses.
- [IntelX Bitcoin Search](https://intelx.io/tools?tab=bitcoin)  
  A great search engine for the Bitcoin blockchain offered by IntelX.
- [[PDF] Bitcoin: A Peer-to-Peer Electronic Cash System](https://bitcoin.org/bitcoin.pdf)  
  The original Bitcoin technical whitepaper written and released by the mysterious Satoshi Nakamoto on 31/10/2008. Archived copies available [here (Wayback)](https://web.archive.org/web/20220920015616/https://bitcoin.org/bitcoin.pdf) and [here (Library Genesis)](https://libgen.rs/book/index.php?md5=D56D71ECADF2137BE09D8B1D35C6C042).

### **<u>Ethereum [ETH] Specific</u>**

- [Etherscan](https://etherscan.io/)  
  View data regarding any pending or confirmed Ethereum blockchain transactions.

### **<u>Monero [XMR] Specific</u>**

- [Monero Blocks](https://localmonero.co/blocks)  
  Monero blockchain explorer. Search by block height, block hash, transaction hash or payment ID.
- [XMRChain](https://xmrchain.net/)  
  Allows you to explore Monero data.

### **<u>Dogecoin [DOGE] Specific</u>**

- [DogeChain](https://dogechain.info/)  
  The official Dogecoin blockchain explorer. View wallet balances and transactions on the DOGE blockchain.

## <u>**Investments and Stocks**</u>

- [BrokerChecker](https://brokercheck.finra.org/)  
  A free tool from FINRA that can help you research the professional backgrounds of brokers and brokerage firms, as well as investment adviser firms and advisers.
- [FINRA Disciplinary Action Search](https://www.finra.org/rules-guidance/oversight-enforcement/finra-disciplinary-actions-online)  
  Conduct a search for FINRA disciplinary actions that were issued 2005 or later, and are eligible for publication pursuant to [FINRA Rule 8313](https://www.finra.org/rules-guidance/rulebooks/finra-rules/8313) ([Wayback](https://web.archive.org/web/20211026005046/https://www.finra.org/rules-guidance/rulebooks/finra-rules/8313)), ([archive.today](https://archive.md/sHQYW)). Results will also include opinions issued by the SEC and federal appellate courts that relate to FINRA disciplinary actions that have been appealed.
- [Financial Secrecy Index](https://fsi.taxjustice.net/en/)  
  Ranks jurisdictions according to their secrecy and the scale of their offshore financial activities. A politically neutral ranking, it is a tool for understanding global financial secrecy, tax havens or secrecy jurisdictions, and illicit financial flows or capital flight.
- [Enigma](https://enigma.com/)  
  Offers tools for small businesses operating in the United States such as real-time revenue insights, risk assessments, merchant transactions, marketing tools and a small business directory. Requires a paid subscription.
- [OpenBB](https://openbb.co/)  
  An open source company building a modern investment research terminal.

## **<u>Banking</u>**

- [Wikipedia - Lists of Banks](https://en.wikipedia.org/wiki/Lists_of_banks) ([WikiLess](https://wikiless.org/wiki/Lists_of_banks))  
  A worldwide directory of banks and financial institutions from Wikipedia.
- [SWIFT Code Lookup](https://www2.swift.com/bsl/)  
  Provides access to the basic BIC Information.
- [SWIFT Message Standards](https://www2.swift.com/knowledgecentre/publications/usgf_20180720/3.0?topic=mt202cov-5-field-52a.htm)  
  Provides a listing of standards for the SWIFT financial network.
- [FDIC BankFind](https://banks.data.fdic.gov/bankfind-suite/bankfind)  
  Locate current and former FDIC insured banking institutions by name, FDIC certificate number, website or location. It also allows you to follow the history and financial trends of an individual institution, group of institutions, or the industry as a whole.
- [ABA Routing Number Lookup](https://routingnumber.aba.com/Default1.aspx)  
  Allows for single lookups of financial institution routing numbers. Users of this service are allowed no more than two lookups per day and are limited to ten lookups per month.
- [Country AML Reports](https://www.knowyourcountry.com/copy-of-country-reports)  
  A large directory of anti-money laundering (AML) reports. Organized by country.
- [IBAN Checker](https://www.iban.com/iban-checker)  
  Check the validity of an international bank account number (IBAN) and see the information about the associated bank.

## <u>**BINs and Card Information**</u>

- [Credit Card Checker](https://www.bincodes.com/creditcard-checker/)  
  Here you can validate, verify and check a credit card or debit card number.
- [BIN List](https://binlist.net/)  
  BIN list is a public web service for looking up credit and debit card metadata. They also provide a free API.
- [BinBase](https://www.binbase.com/)  
  Virtual BIN lookup for various users, including merchants, bookmakers, payment processors, collection agencies and fraud prevention specialists. You can find information for credit, debit, prepaid, reloadable, gift cards and other card types.

## **<u>Physical Currency</u>**

- [Wikipedia - List of Circulating Currencies](https://en.wikipedia.org/wiki/List_of_circulating_currencies) ([WikiLess](https://wikiless.org/wiki/List_of_circulating_currencies))  
  A Wikipedia page that lists all physical currency that is currently in worldwide circulation. Organized by country.
- [World Currency Codes and Symbols](https://www.currencyremitapp.com/world-currency-symbols/)  
  A list of currencies, currency codes and symbols that are used by each country in the world.
