# **Government Information**

## **<u>General Information</u>**

- [LittleSis](https://littlesis.org/)  
  A watchdog network connecting the dots between the world's most powerful people and organizations. Offers a free and searchable database of who-knows-who at the heights of business and government.
- [EmbassyWorld](https://www.embassyworld.org/)  
  A directory of embassy locations and contact information for different embassies from around the world.
- [Helpline Embassy Database](http://www.helplinedatabase.com/embassy-database/)  
  Another database of worldwide embassies.
- [World Press Freedom Index 2021](https://rsf.org/en/ranking)  
  Index of how much freedom the press actually has per country.
- [SanctionsExplorer](https://sanctionsexplorer.org)  
  A non-profit dedicated to providing data-driven, evidence-based research on global conflict and transnational security issues.

## **<u>Identification, Licenses and Personal Documents</u>**

### **<u>Passports and Travel Documents</u>**

- [Edison Travel Documents](https://www.edisontd.nl/)  
  EdisonTD is a database containing information about travel and travel-related documents from almost every country on the globe.
- [Passport Index](https://www.passportindex.org/)  
  An interactive platform that curates, sorts and ranks the world's passports. Explore passport designs, colors and VISA scores.
- [Henley Passport Index](https://www.henleyglobal.com/passport-index)  
  A global ranking of countries according to the travel freedom of holders of their ordinary, opposed to diplomatic, passport holders.
- [Worldwide Passport Stamps](https://www.wikiwand.com/en/Passport_stamp)  
  A list of current entry and exit passport stamps issued by each major airport in each country.
- [VISA Index](https://visaindex.com/)  
  A portal for all information related to passport rankings and visa-free travel opportunities.
- [Wikipedia - Machine Readable Passports](https://en.wikipedia.org/wiki/Machine-readable_passport) ([WikiLess](https://wikiless.org/wiki/Machine-readable_passport))  
  A Wikipedia page with information regarding machine-readable travel documents (MRTDs).
- [NIDC ID Database](https://nidc.dk/en/ID-databases)  
  Here you will find descriptions of and links to applicable ID databases, which include copies of ID, travel and breeder documents. Some databases are reserved for law enforcement, while others are publicly accessible.

## **<u>Identification and Licenses</u>**

### **<u>General</u>**

- [World's Vehicle Documents](http://www.vehicle-documents.it/)  
  A massive collection of identification, licenses and other personal documents from around the world. Made up of members of all police forces and has the main purpose of creating an information tool that is useful to those who do deal with the fight against illicit vehicle trafficking, document fraud and human trafficking. Click [here](https://translate.google.com/translate?sl=auto&tl=en&u=http%3A%2F%2Fwww.vehicle-documents.it%2F) for an Italian to English translation.
- [PRADO](https://www.consilium.europa.eu/prado/en/search-by-document-country.html#)  
  Documents of member states of the European Union in alphabetic order of the three-letter country codes used in travel documents, followed by documents of the other countries participating in [PRADO](https://en.wikipedia.org/wiki/Public_Register_of_Travel_and_Identity_Documents_Online).

### **<u>Social Security Numbers [SSN]</u>**

- [Social Security Place of Issue Lookup](https://www.ics.uci.edu/~dan/genealogy/Miller/javascrp/ssn.htm)  
  Allows you to search an SSN and see what location it was issued in.
- [Social Security Investigative Tool](http://dcin.ncsbi.gov/euidocs/Resources/SSN_Inv-tool.htm)  
  This webpage describes the format of SSNs and how to decode them.
- [Guide to Deciphering SSNs](https://www.fi-magazine.com/309133/deciphering-social-security-numbers)  
  An informative guide on how to decode SSNs
- [[PDF] The Social Security Number From 1937-2018](https://repositories.lib.utexas.edu/handle/2152/66022)  
  A detailed account of the history and use of SSNs issued from 1937 to 2018. Archived copy available [here (Library Genesis)](https://libgen.rs/book/index.php?md5=6E0722516E7EF5200C05771B24261EA7).
- [What Does Your SSN Say About You?](https://www.accurate.com/blog/what-does-your-social-security-number-say-about-you/)  
  Great informative article about social security numbers.

## **<u>Country Specific</u>**

### <u>**Australia**</u>

- [Western Australia Driver's License Status Enquiry](https://online.transport.wa.gov.au/webExternal/driver/?1)  
  Search for relevant information regarding a Western Australian issued driver's license.
- [Queensland Driver's License Status Check](https://www.service.transport.qld.gov.au/checkdriverlicencestatus/application/SpecifyCustomer.xhtml?dswid=1860)  
  Search for relevant information regarding a Queensland issued driver's license.

### <u>**Belgium**</u>

- [CheckDoc](https://www.checkdoc.be/CheckDoc/login.do)  
  This website enables you to verify in real time whether a Belgian identity document is known to the authorities as being stolen, lost, expired, invalid or never issued. Requires registration.

### <u>**Bulgaria**</u>

- [Personal Document Validity Check](https://www.mvr.bg/en/administrative-services/e-services/validity-verification-of-bulgarian-personal-documents)  
  Check the validity of Bulgarian identity cards, driver's licenses, passports, EU citizen certificates, refugee status cards, seaman passports and more.
- [BGR PIN Number Check](https://georgi.unixsol.org/programs/egn.php)  
  Check the validity of a Bulgarian single civil number (PIN). Click [here](https://translate.google.com/translate?sl=auto&tl=en&u=https%3A%2F%2Fgeorgi.unixsol.org%2Fprograms%2Fegn.php) for a Bulgarian to English translation.

### **<u>Canada</u>**

- [BC Security License Verification](https://justice.gov.bc.ca/security/utilities/)  
  A simple tool where you can confirm the validity of a security workers license and security business licenses for the province of British Columbia.
- [BC Dentist License Lookup](https://www.cdsbc.org/home/registrant-lookup#/lookup/dentists)  
  This registrant lookup includes all current registrants of the College of Dental Surgeons of BC, Canada.

### <u>**Czech Republic**</u>

- [Invalid Document Search](https://aplikace.mvcr.cz/neplatne-doklady/default.aspx)  
  A search tool to confirm the validity of a identification card, passport or a firearms license issued by the Czech Republic government.

### <u>**Estonia**</u>

- [Document Validity Check](https://www.politsei.ee/en/inquiries/document-validity-check)  
  Search by document number to confirm the validity of an Estonian identification document.
- [Residency Permit Validity Check](https://www.politsei.ee/en/inquiries/validity-of-residence-permit)  
  A search tool to check the validity status of a Estonian residency permit.

### <u>**Greece**</u>

- [Passport Query System](http://www.passport.gov.gr/passports/SearchStolenLostPassEn/)  
  This tool will let you know  if the number you enter represents a passport sought as wanted.
- [Useful Passport Tools](http://www.passport.gov.gr/en/tools/)  
  A list of other useful tools regarding Greek passports.

### <u>**Iceland**</u>

- [Security of Icelandic Passports](https://www.skra.is/english/people/passport-and-id-card/passport/various-information-on-passports/security-of-icelandic-passports/)  
  Contains information regarding the construction and security features of Icelandic passports.

### <u>**Italy**</u>

- [Stolen and Lost Identity Documents](https://www.crimnet.dcpc.interno.gov.it/crimnet/en/stolen_lost_document_researching)  
  Search a document number to identify if that document has been reported as lost or stolen. Includes identity cards, electronic identity cards, driver's licenses, passports and other documents.

### <u>**Latvia**</u>

- [Invalid Document Check](https://latvija.lv/Epakalpojumi/EP22)  
  Search via document number to see if that document is still valid or has expired.

### <u>**Norway**</u>

- [[PDF] Control Guide for Norwegian Passports](https://www.politiet.no/globalassets/02-tjenester-admin/pass-og-id-kort/control-guide-for-norwegian-passports.pdf)  
  This document provides security information for Norwegian passports. Archived copy available [here (Wayback)](https://web.archive.org/web/20210927042805/https://www.politiet.no/globalassets/02-tjenester-admin/pass-og-id-kort/control-guide-for-norwegian-passports.pdf).
- [[PDF] National ID Card Control Guide](https://www.politiet.no/globalassets/02-tjenester-admin/pass-og-id-kort/control-guide-national-id-card.pdf)  
  This document provides security information for Norwegian national identification cards. Archived copies available [here (Wayback)](https://web.archive.org/web/20210927043134/https://www.politiet.no/globalassets/02-tjenester-admin/pass-og-id-kort/control-guide-national-id-card.pdf).

### <u>**Netherlands**</u>

- [Dutch ID Cards for Aliens](https://www.identiteitsdocumenten.nl/en)  
  A site that displays information and security features for Dutch identity cards and documents.
  
### **Malta**

- [[XLSX] List of Maltese Passport Buyers](https://docs.google.com/spreadsheets/u/0/d/11EcfcCp8Pe8d83b5TBijG74ZF1jxz5Crk1tbks8lN9c/htmlview)  
  The latest list of Malta "golden passport" buyers, as well as naturalised citizens. Updated database from 2014 to 2020. Click [here (Wayback)](https://web.archive.org/web/20211231233424/https://docs.google.com/spreadsheets/u/0/d/11EcfcCp8Pe8d83b5TBijG74ZF1jxz5Crk1tbks8lN9c/htmlview) for an archived version. Click [here (Wayback)](https://web.archive.org/web/20211231233638/https://doc-0c-5s-sheets.googleusercontent.com/export/70cmver1f290kjsnpar5ku2h9g/ahm1tj4kbjcpnnr6qacp6imr98/1640993795000/107501199201130235541/*/11EcfcCp8Pe8d83b5TBijG74ZF1jxz5Crk1tbks8lN9c?filetype=xlsx) to download an offline copy in XLSX format.

### <u>**Poland**</u>

- [Driver's Qualification Check](https://moj.gov.pl/uslugi/engine/ng/index?xFormsAppName=UprawnieniaKierowcow&xFormsOrigin=EXTERNAL)  
  You will see what permissions to drive vehicles are on the document along with their expiry date. Also allows you to check the current status of a Polish driver's document.
- [Polish ID Card Information](https://www.gov.pl/web/gov/dowod-osobisty-informacje)  
  Contains plenty of information regarding Polish ID cards. Click [here](https://translate.google.com/translate?sl=auto&tl=en&u=https://www.gov.pl/web/gov/dowod-osobisty-informacje) for a Polish to English translation.
- [Polish Passport Information](https://www.gov.pl/web/gov/paszport-informacje-o-dokumencie)  
  Contains plenty of information regarding Polish passports. Click [here](https://translate.google.com/translate?sl=auto&tl=en&u=https://www.gov.pl/web/gov/paszport-informacje-o-dokumencie) for a Polish to English translation.

### <u>**Russia**</u>

- [Passport Validity Check](https://проверки.гувм.мвд.рф/services/passport)  
  Check the validity of a Russian passport. Click [here](https://translate.google.com/translate?sl=auto&tl=en&u=https://проверки.гувм.мвд.рф/services/passport) for a Russian to English translation.
- [Invalid Passport Check](http://services.fms.gov.ru/info-service.htm?sid=2000)  
  Check the list of invalid Russian passports. Click [here](https://translate.google.com/translate?sl=auto&tl=en&u=http://services.fms.gov.ru/info-service.htm?sid=2000) for a Russian to English translation.

### <u>**Slovakia**</u>

- [Stolen Document Search](https://www.minv.sk/?stratene-a-odcudzene-doklady)  
  Search a database to identify stolen identification documents. Click [here](https://translate.google.com/translate?sl=auto&tl=en&u=https://www.minv.sk/?stratene-a-odcudzene-doklady) for a Slovak to English translation.

### <u>**Slovenia**</u>

- [Stolen Personal Document Search](https://e-uprava.gov.si/en/public-registers/misappropriated-documents.html)  
  Search for stolen, lost or missing Slovenian personal documents. Such as passports, ID cards, driver's licenses, border transit passes, firearms licenses and residency permits.

### <u>**Sweden**</u>

- [Passport Validity Check](https://polisen.se/en/services-and-permits/passport-and-national-id-card/check-validity-online-for-passports-and-national-id-cards/)  
  Check the validity of Swedish passports and national ID cards online.
- [Upplysning](https://www.upplysning.se/)  
  Allows you to discover get hold of various tax information, and in some cases, people's Personnummer (Swedish social security number). Requires registration.

### <u>**United Kingdom**</u>

- [ID Document Validation Guide](https://www.gov.uk/government/publications/identity-document-validation-technology/identification-document-validation-technology)  
  A nice guide for learning how to identify the legitimacy of a UK identification document.
- [Driver's License Check](https://www.viewdrivingrecord.service.gov.uk/driving-record/validate)  
  Enter a UK driver's license number and check the validity of the license.
- [Check Your Driver's License](https://www.viewdrivingrecord.service.gov.uk/driving-record/licence-number)  
  This service of course will only work for you're information. Still worth mentioning if you are from the UK.

### <u>**Ukraine**</u>

- [Invalid Document Check](https://nd.dmsu.gov.ua/english.php)  
  Search for invalid personal documents issues by the government of Ukraine. Including passports, national ID cards, refugee status cards, residency permits and more.
