# **Imagery Intelligence [IMINT]**

## **<u>General Image Search</u>**

- [PastVu](https://pastvu.com/)  
  View old photos from 1826 to 2000 that have been geolocated and plotted on a map.
- [FaceSaerch](http://www.facesaerch.com/)  
  Uses Google to search for images of faces from a specific keyword.
- [IconFinder](https://www.iconfinder.com/search)  
  Search for icons used for various apps and websites via keywords.
- [PicSearch](https://www.picsearch.com/)  
  Search for images online via keyword.
- [LogoBook](http://www.logobook.com/)  
  See which companies have a logo that looks like a certain object. You can use the suggested variants to geolocate a photo.
- [MXFace](https://mxface.ai/face-comparing)  
  A great tool for comparing two faces to confirm identities. You can have up to 250 free searches per day.

## **<u>Reverse Image Search</u>**

- [PimEyes](https://pimeyes.com/)  
  A reverse image search engine that uses facial recognition to find pictures containing given faces. See where images that match a persons face appear online. Free search results are censored, to see uncensored results and view matching URLs requires a paid subscription.
- [Yandex Reverse Image Search](https://yandex.com/images)  
  Reverse image search with facial recognition and character recognition turned on.
- [Tineye](https://tineye.com)  
  A reverse image search engine. It was the first image search engine on the web to use image identification technology rather than keywords, metadata or watermarks.
- [Google Images](https://images.google.com)  
  Google reverse image search.
- [Search4Faces](https://search4faces.com/)  
  Search by image for VK, Odnoklassniki, TikTok, Clubhouse and Instagram profiles.
- [FaceCheckID](https://facecheck.id/)  
  Upload a face of a person of interest and discover their social media profiles, appearances in blogs, video, and news websites.
- [Baidu Image Search](http://image.baidu.com)  
  A great reverse image search tool from Baidu.
- [KarmaDecay](https://karmadecay.com/)  
  A reverse image search tool for Reddit. Currently, still in beta.
- [RepostSleuth](https://repostsleuth.com/)  
  Another reverse image search tool for Reddit.
- [ImgOps](https://imgops.com/)  
  An online image toolkit. Allows you to preform reverse image searches on many different platforms, metadata extraction, image editing and conversions.
- [Pl@ntNet](https://identify.plantnet.org/)  
  A web application which allows you to identify plants simply by taking a picture of them with your phone. They also provide a free mobile application for [Android](https://play.google.com/store/apps/details?id=org.plantnet) and [iPhone](https://itunes.apple.com/app/plantnet/id600547573). Allows you to identify all kinds of plants including flowering plants, trees, grasses, conifers, ferns, vines, wild salads and cacti. Before you ask, yes it works with weed plants.
- [Reverse Image Search](https://www.reverse-image-search.org/)  
  Simply upload an image and find matching images and similar images using Google, Bing and Yandex.
- [Image-Search](https://www.image-search.org/)  
  Allows you to find the most relevant pictures online. With this reverse  image search tool, you can search pictures by uploading directly or by  using a keyword or however you want.
- [Berify](https://berify.com/)  
  Reverse image search to help you find stolen images and videos. Search over 800 million images along with image data from all of the major image search engines. Requires an account and a paid subscription to view full results.
- [Pixsy](https://www.pixsy.com/)  
  An online platform for creatives and image owners to discover where and how their images are being used online. Great for identifying copyrighted images and automating DMCA takedowns.
- [MySeldon News](https://news.myseldon.com/en/)  
  Reverse search an image of a lesser known official, politician, local TV anchor, or whomever to find related information and articles. Searching for Russian companies also works if the image contains a valid OGRN number.
- [EveryPixel](https://www.everypixel.com/)  
  A powerful search engine powered by AI that indexes 51 paid and free stock image websites and allows users to search through a massive database of stock photos in seconds.
- [Aliseeks Image Search](https://www.aliseeks.com/search)  
  Search for items via images in both AliExpress and eBay.
- [Same Energy](https://same.energy/)  
  A visual search engine. You can use it to find art, photography, decoration ideas, or virtually anything else.
- [Openi Medical Image Search](https://openi.nlm.nih.gov/gridquery)  
  Reverse image search tool for scientific and medical images as well as x-ray scans.
- [Search by Image](https://searchbyimage.app/)  
  Search for any products by using an image. Helps you find deals.
- [Sogou Image Search](https://pic.sogou.com/)  
  A Chinese reverse image search tool. Works quite well.
- [Portrait Matcher](https://zeus.robots.ox.ac.uk/portraitmatcher/)  
  Upload an image of a face and receive three paintings that have a semi-similar face.
- [Qihoo360](https://image.so.com/)  
  A Chinese reverse image search tool. Also works pretty well.
- [Lykdat](https://lykdat.com/)  
  Search for clothing via reverse image search.
- [IQDB](https://iqdb.org/)  
  A reverse image search tool designed for anime and manga art.
- [ASCII2D](https://ascii2d.net/)  
  Japanese reverse image search engine for identifying anime.
- [BBC News Search](https://zeus.robots.ox.ac.uk/bbc_search/)  
  BBC news search, Enter the name or an image of an item and the service will show in which news stories and at what time interval it appeared.
- [Geoestimation](https://labs.tib.eu/geoestimation/)  
  Upload an image and this AI powered tool will "guesstimate" the location where that image was taken.
- [Brand Recognition](https://logo.toolpie.com/)  
  Upload an logo and this tool will display which company it belongs to.
- [Plant Identification](https://plant.toolpie.com/)  
  Upload an image of a plant and this tool will figure out what plant it is.
- [Animal Identification](https://animal.toolpie.com/)  
  Upload an image of an animal and this tool will tell you what animal it is.
- [DepositPhotos](https://depositphotos.com/search/by-images.html)  
  Reverse image search through their dataset, which contains over 200 million images.
- [ILookLikeYou](https://www.ilooklikeyou.com/)  
  Upload an image of a face and this site will provide you with similar faces.
- [FaceSherlock](https://facesherlock.com/)  
  Uses machine learning technology to get face descriptors and detect similar faces based on it. Also able to search for VK profiles via faces.
- [Numiis Coin Identifier](https://www.numiis.com/coin-checker/)  
  Upload an image of a coin and this tool will help you identify it.
- [Coins Catalog Identifier](https://coinscatalog.net/identify)  
  Upload an image of the front and back of any coin and this tool will identify the coin, country of origin, mint year, denomination, metal composite and other details.
- [IntelX Image Search](https://intelx.io/tools?tab=image)  
  A great image search tool offered by IntelX. This tool allows you to perform a reverse search and analysis of an image. You must supply the URL of the uploaded image.
- [RootAbout](https://rootabout.com/)  
  Upload an image and search it on the Internet Archive, OpenLibrary, Google and TinEye.
- [CamGirlFinder](https://camgirlfinder.net/search)  
  Search via image to find adult cam performers from 10 of the most popular adult cam sites. Results are NSFW, of course.
- [HaveIBeenTrained](https://haveibeentrained.com/)  
  Search an image and see if it has been used to train facial recognition AI.
- [Kleptopfinder](https://kleptofinder.com/)  
  Reverse image search tool locate NFTs and other photos.
- [Fingible](https://fingible.nftport.xyz/)  
  A reverse image search tool for finding NFTs.
- [EZGIF](https://ezgif.com/reverse)  
  Simply upload a .gif and reverse search it.

## **<u>Image Generation</u>**

- [This Person Does Not Exist](https://thispersondoesnotexist.com/)  
  Uses generative adversarial networks (GAN) to generate an image of a person that does not exist. Good for sock puppet accounts.
- [This X Does Not Exist](https://thisxdoesnotexist.com/)  
  A directory of websites that use generative adversarial networks (GAN) to generate images of a wide variety of things.
- [FaceMaker](https://facemaker.uvrg.org/)  
  Based on the average European face can to design a virtual character in real time. You decide on the facial parameters of an avatar. Save, render, and share the generated 3D models. Application is based on WebGL.
- [Face Generator](https://generated.photos/face-generator/)  
  A unique face generator tool. Allows you to set parameters and create an image of a unique person in real-time. Great for sock-puppet accounts.
- [Rudalle](https://rudalle.ru/)  
  Enter a text query and this neural network will generate a picture based on the input.
- [HOTDRV Facegen](http://foto.hotdrv.ru/facegen)  
  Generate faces using artificial intelligence. Essentially a Russian version of thispersondoesnotexist, very handy.
- [Craiyon](https://www.craiyon.com/)  
  Enter a few keywords and this tool will generate images based on user input using AI.
- [VisualHound](https://visualhound.com/)  
  An AI service that generates photos of clothing by description.

## **<u>Image Enhancement</u>**

- [MyHeritage Photo Enhancer](https://www.myheritage.com/photo-enhancer)  
  Enhance photos automatically with "the world's best" deep learning technology. Works best with old and/or historical images.
- [LetsEnhance](https://letsenhance.io/)  
  A great tool that uses AI to increase image resolution without loss of quality. Requires a paid subscription for best results.
- [ImageEnlarger](https://www.imageenlarger.com/)  
  Allows you to upscale small images without losing quality or introducing distortion (also known as "artifacts").
- [AutoStitch](http://matthewalunbrown.com/autostitch/autostitch.html)  
  A handy tool that allows you to easily stitch together multiple photos into one.
- [Colorize Photo](https://colorize.toolpie.com/)  
  Upload a black and white image and this tool will colorize it for you.
- [ImageUpscaler](https://imageupscaler.com/)  
  An online service that upscales images and photos by 4 times. It uses artificial intelligence, which makes images bigger without making it blurry, saving its quality at the same time.
- [ReminiAI](https://app.remini.ai/)  
  Online tool that helps unblur and sharpen images.
- [VanceAI Image Upscaler](https://vanceai.com/image-enlarger/)  
  A cutting-edge AI driven tool designed to elevate the quality of images by increasing their resolution while maintaining exceptional clarity and sharpness.

## **<u>Image Editing and Manipulation</u>**

- [FotoFlexer](https://fotoflexer.com/editor/)  
  A free online image editing tool.
- [29a Image Manipulation Tool](https://29a.ch/sandbox/2012/imageerrorlevelanalysis/)  
  A great online toolkit for analyzing and manipulating images.
- [DiffChecker](https://www.diffchecker.com/image-diff/)  
  A tool to check the differences between two images.
- [Remove Image Background](https://www.remove.bg/)  
  A simple free tool that allows you to remove the background of an image
- [Image Color Picker](https://imagecolorpicker.com/)  
  A free online tool to identify hex color codes from an image.
- [BlockLayer](https://www.blocklayer.com/scale-fixereng.aspx)  
  Find and set scales from an image. This site also provides loads of other great tools for many different things.
- [AddText](https://addtext.com/)  
  Basic online tool to add text to images. Great for making memes.
- [Cleanup Pictures](https://cleanup.pictures/)  
  A free online tool that allows you to remove people from images.
- [Photoscissors](https://photoscissors.com/)  
  An online tool to remove backgrounds from images.

## **<u>Image Metadata and Forensics</u>**

- [Jeffrey's Image Metadata Viewer](http://exif.regex.info/exif.cgi)  
  Simply upload an image to view its metadata.
- [EXIF App](https://exif.app/)  
  Upload two images and view a table of their metadata. The differences will be highlighted in yellow.
- [Metapicz](http://metapicz.com/)  
  A simple online image metadata viewer.
- [Reveal Image Verification Assistant](https://reveal-mklab.iti.gr/reveal/)  
  Features a multitude of images tampering detection algorithms as well as metadata analysis, geolocation, thumbnail extraction and integration with Google reverse image search.
- [ImageEdited?](https://imageedited.com/)  
  A tool that helps detect if an uploaded image has been edited or "shopped" (That means "photoshopped").
- [ImageForensics](https://www.imageforensic.org/)  
  Upload an image and see its EXIF, IPTC and XML metadata. Also provides an error level analysis (ELA) tool.
- [Pic2Map](https://www.pic2map.com/)  
  An online EXIF data viewer with GPS support which allows you to locate and view photos on a map.
- [ForensicDots](https://www.forensicdots.de/)  
  A web application that detects printer machine identification codes (MICs). Also known as the infamous ["yellow dots"](http://seeingyellow.com/) or "tracking dots".
- [Online Protractor](https://www.ginifab.com/feeds/angle_measurement/)  
  A simple tool to measure angles within an image.
- [BetaFace API](https://www.betafaceapi.com/demo.html)  
  A face detection and face recognition web service. It can scan uploaded images or image URLs, find faces and analyze them.
- [Imgur Album Downloader](https://dschep.github.io/imgur-album-downloader/)  
  Simple online tool to automate the downloading of entire Imgur albums.
- [Extract.pics](https://extract.pics/)  
  A simple online tool that allows your to download images from a webpage.
- [FotoForensics](https://fotoforensics.com/)  
  A great online tool for image forensics and metadata viewing.
