# **Organized Crime and Illicit Trade**

## **General Organized Crime**

- [InsightCrime](https://insightcrime.org/countries/)  
  Criminal history, latest news and investigations organized by country. Provides news and information about the drug trade, armed groups, criminal actors, and other investigative reports.
- [Global Initiative](https://globalinitiative.net/)  
  comprises a network of over 500 independent global and regional experts working on human rights, democracy, governance, and development issues where organized crime has become increasingly pertinent.
- [Organized Crime Observatory](https://o-c-o.net/)  
  Get last information about organized crime research over the word. Studies, books, research, reports, announcements, news and more.
- [Numbeo Crime Database](https://www.numbeo.com/crime/)  
  Numbeo allows you to see, share and compare information about crime levels and types worldwide. It surveys the following about crime and safety in the cities.
- [[PDF] CBSA Tattoo Identification Handbook](https://info.publicintelligence.net/CBSA-TattooHandbook.pdf)  
  A great resource for identifying various tattoos and their known affiliations. Archived copy can be found [here (Wayback)](https://web.archive.org/web/20210926230255/https://info.publicintelligence.net/CBSA-TattooHandbook.pdf).
- [LocalCrimeNews](https://www.localcrimenews.com/)  
  Search for crime related news articles by location.
- [OddCrimes](https://oddcrimes.com/index.php)  
  A catalog of news stories and articles regarding many different, strange and unorthodox crimes.
- [Mugshots](https://mugshots.com/)  
  Search for mugshots of convicted American criminals.

## **Most Wanted Fugitives**

- [INTERPOL Red Notices](https://www.interpol.int/en/How-we-work/Notices/View-Red-Notices)  
  Basically INTERPOL's list of the most wanted fugitives. This is one hell of a list to be on.
- [INTERPOL Wanted Persons Search](https://www.interpol.int/en/Contacts/Fugitives-wanted-persons)  
  Search for fugitives and most wanted persons through INTERPOL's database.
- [DEA Most Wanted](https://www.dea.gov/fugitives/all)  
  A list of the most wanted fugitives by the United States Drug Enforcement Agency (DEA).
- [FBI Ten Most Wanted Fugitives](https://www.fbi.gov/wanted/topten)  
  The United States Federal Bureau of Investigation's (FBI) list of their top ten most wanted criminals.
- [ATF Most Wanted](https://www.atf.gov/most-wanted)  
  A list of the most wanted fugitives by the United States Bureau of Alcohol, Tobacco, Firearms and Explosives (ATF).
- [ICE Most Wanted](https://www.ice.gov/most-wanted)  
  A list of the most wanted fugitives by the United States Immigration and Customs Enforcement (ICE).
- [US Marshals Most Wanted](https://www.usmarshals.gov/investigations/most_wanted/index.html)  
  A list of the most wanted criminals by the U.S. Marshals Service.
- [Wanted by the RCMP](https://www.rcmp-grc.gc.ca/en/wanted)  
  A list of the Royal Canadian Mounted Police's (RCMP) most wanted fugitives.
- [Europe's Most Wanted Fugitives](https://eumostwanted.eu/)  
  A list of the most wanted criminals in Europe. List is maintained by EUROPOL.

## **Criminal Enterprises, Gangs and Syndicates**

- [GangstersInc](https://gangstersinc.org/)  
  One of the best places for the latest news and in-depth reporting on the Mafia and other organized crime groups from around the world.
- [Biker News](https://biker-news.com/)  
  1%er motorcycle club news from all over the world.
- [[IMAGE] Common Outlaw Biker Gang Colors](https://imgur.com/a/fVkg3cg)  
  A few images that display the common layouts and patches used by 1%er outlaw motorcycle clubs. Archived [here (Wayback)](https://web.archive.org/web/20210927015917/https://imgur.com/a/fVkg3cg) and [here (archive.today)](https://archive.ph/5kQPR).
- [StreetGangs](https://www.streetgangs.com/)  
  Provides information and current news regarding various street gangs and prison gangs.
- [Wikipedia - List of Criminal Enterprises](https://en.wikipedia.org/wiki/List_of_criminal_enterprises,_gangs,_and_syndicates) ([WikiLess](https://wikiless.org/wiki/List_of_criminal_enterprises,_gangs,_and_syndicates))  
  This is a global listing of criminal enterprises, cartels, smuggling rings, street and prison gangs, tongs, mafias, syndicates and cybercrime networks that are or have been involved in organized crime. Some data here is out-dated, but still valuable.
- [Metro Vancouver Shooting Map 2021/2022](https://www.google.com/maps/d/u/0/viewer?mid=14ii0RD12wwH3n-hUHtRTjzwxc_YnSxOr)  
  A custom Google map of shootings and gang-related incidents for Vancouver, BC, Canada.
- [Gang Activity Map](https://gangs.globalincidentmap.com/home.php)  
  A map that displays gang activity, arrests and other gang-related events in the United States.

## **Human Trafficking and Migration**

- [Global Modern Slavery Directory](https://www.globalmodernslavery.org/)  
  Designed to be a useful tool for all stakeholders in the global anti-human trafficking field including providers, potential victims, survivors, community members, researchers, students, and others looking to identify or connect with resources.
- [Human Trafficking Search](https://humantraffickingsearch.org/)  
  The global resource and research database on human trafficking. The database consists of academic journals, reports, research studies, congressional testimony, news articles, and other primary and secondary sources.
- [[PDF] Financial Flows from Human Trafficking 2018](https://www.fatf-gafi.org/media/fatf/content/images/Human-Trafficking-2018.pdf)  
  A report from 2018 by the Financial Action Taskforce (FATF) about the financial proceeds from human trafficking. Archived [here (Wayback)](https://web.archive.org/web/20210919032302/https://www.fatf-gafi.org/media/fatf/content/images/Human-Trafficking-2018.pdf).
- [MixedMigration](https://mixedmigration.org/)  
  The MMC is a leading source for independent and high quality data, information, research and analysis on mixed migration.
- [Migration Policy Data Hub](https://www.migrationpolicy.org/programs/migration-data-hub)  
  Showcases the most current national and state-level demographic, social, and economic facts about immigrants to the United States; as well as stock, flow, citizenship, net migration, and historical data for countries in Europe, North America, and beyond.
- [Human Trafficking Incident Map](https://human.globalincidentmap.com/)  
  A map of worldwide human trafficking incidents. Also includes a new feed.

## **Drugs and Drug Trade**

- [RxList Pill Identification Tool](https://www.rxlist.com/pill-identification-tool/article.htm)  
Search for and identify any unknown pills and/or capsules. Search by brand, imprints, color and shape.
- [[PDF] The Cocaine Pipeline to Europe](https://globalinitiative.net/wp-content/uploads/2021/02/The-cocaine-pipeline-to-Europe-GI-TOCInsightCrime.pdf)  
  Report from Global Initiative that shows information about the cocaine pipeline and smuggling routes into Europe. Archived versions of this document can be found [here (Wayback)](https://web.archive.org/web/20210927003801/https://globalinitiative.net/wp-content/uploads/2021/02/The-cocaine-pipeline-to-Europe-GI-TOCInsightCrime.pdf) and [here (archive.today)](https://archive.ph/kEYyw).
- [[PDF] DEA Drug Slang Terms and Code Words](https://www.dea.gov/sites/default/files/2018-07/DIR-022-18.pdf)  
  This compendium of drug slang terms has been alphabetically ordered, and identifies drugs and drug categories in English and foreign languages. Archived copies of this document can be found [here (Wayback)](https://web.archive.org/web/20210927012704/https://www.dea.gov/sites/default/files/2018-07/DIR-022-18.pdf) and [here (Library Genesis)](https://libgen.rs/book/index.php?md5=A2356AFF1CF581E5862D8A9BC1D0C0E9).
- [Commonly Abused Drug Charts](https://www.drugabuse.gov/drug-topics/commonly-used-drugs-charts)  
  Contains information and reports about the most commonly used drugs.
- [[PDF] List of Controlled Substances](https://www.deadiversion.usdoj.gov/schedules/orangebook/c_cs_alpha.pdf)  
  An alphabetical list of controlled substances in the United States. Archived versions of this document can be found [here (Wayback)](https://web.archive.org/web/20210923040830/https://www.deadiversion.usdoj.gov/schedules/orangebook/c_cs_alpha.pdf) and [here (Library Genesis)](https://libgen.rs/book/index.php?md5=90AF84A9F895AA3DE7FF004B8E780480).
- [OFAC Sanctions List Search](https://sanctionssearch.ofac.treas.gov/)  
  The US sanctions list includes many entities involved in drug trafficking, including a long list of individuals and companies targeted under the “Kingpin Act". Also available as a [PDF document](https://home.treasury.gov/system/files/126/narco_sanctions_kingpin.pdf). Archived copy of this document from June 8th, 2021 can be found [here (Wayback)](https://web.archive.org/web/20210731183456/https://home.treasury.gov/system/files/126/narco_sanctions_kingpin.pdf).
- [FDA Approved Drug Index](https://www.accessdata.fda.gov/scripts/cder/daf/index.cfm)  
  Includes information about drugs, including biological products, approved for human use in the United States.
- [DEA Drug Images](https://www.dea.gov/media-gallery/drug-images)  
  A database with images of many different types of illicit drugs. Created and maintained by the United States DEA.
- [DEA Drug Fact Sheets](https://www.dea.gov/factsheets)  
  A collection of fact sheets for various different drugs provided by the U.S. Drug Enforcement Agency (DEA). All fact sheets are also available as PDFs.
- [[PDF] 2020 National Drug Threat Assessment](https://www.dea.gov/sites/default/files/2021-02/DIR-008-21%202020%20National%20Drug%20Threat%20Assessment_WEB.pdf)  
  Lots and lots of good information in here including some pretty interesting images. Has information about transnational traffickers in the Americas and Asia, trafficking methods, and illicit finance. Archived copies available [here (Wayback)](https://web.archive.org/web/20210918005345/https://www.dea.gov/sites/default/files/2021-02/DIR-008-21%202020%20National%20Drug%20Threat%20Assessment_WEB.pdf) and [here (Library Genesis)](https://libgen.rs/book/index.php?md5=99DEB4338B7B542BC4EC6CEE9F61515F).
- [Global Drug Interdictions Map](https://drugs.globalincidentmap.com/)  
  A continuously updated global map of drug interdictions.
- [DrugInformer](https://druginformer.com/search/)  
  A search engine for pharmaceutical products and their side effects.  
- [RxPrice](https://rxprice.newbenefits.com/)  
  A search engine to view and compare current prices for prescription drugs. 
- [National Drug Code Search](https://www.findacode.com/ndc/search.php)  
  Search for drugs and this database will provide you with detailed information about almost any drug out there. 
- [DTome Drug Search](https://bioinfo.uth.edu/DTome/search.html)  
  Search for information about various drugs and research chemicals (RCs).
- [Erowid](https://www.erowid.org/)  
  A non-profit organization that provides information about psychoactive plants and chemicals. Erowid documents legal and illegal substances, including their intended and adverse effects.

## **Wildlife Crime**

- [GIJN Illegal Wildlife Trafficking Guide](https://gijn.org/illegal-wildlife-trafficking-table-of-contents-and-introduction/)  
  A guide from GIJN on how to conduct investigations regarding the illicit wildlife trade.
- [Illegal Wildlife Trade](https://www.fws.gov/international/travel-and-trade/illegal-wildlife-trade.html)  
  Basic information regarding the illegal wildlife trade from the U.S. Fish and Wildlife Service.
- [Oxpeckers](https://oxpeckers.org/)  
  Africa's first environmental investigation unit. Combining traditional investigative techniques, data analysis and GEOINT to help expose wildlife offences and track organized criminal syndicates.
- [Oxpeckers WildEye Map](https://oxpeckers.org/wildeyemap/)  
  A tool to track seizures, arrests, court cases & convictions relating to wildlife crime across Europe.
- [WWF](https://www.worldwildlife.org/)  
  The World Wide Fund for Nature is an international non-governmental organization founded in 1961 that works in the field of wilderness and wildlife preservation and the reduction of human impact on the environment.
- [Top 10 Most Trafficked Animals](https://www.worldatlas.com/articles/10-most-trafficked-animals-on-the-planet.html)  
  A list of the most trafficked animals on the planet.
- [INTERPOL Environmental and Wildlife Crime](https://www.interpol.int/en/Crimes/Environmental-crime/Wildlife-crime)  
  Provides information about wildlife operations conducted by INTERPOL. Also provides some great documents related to the global illicit wildlife trade.
- [DOJ Prosecution of Federal Wildlife Crimes](https://www.justice.gov/enrd/prosecution-federal-wildlife-crimes)  
  This page maintained by the United States Department of Justice (DOJ) shows details and outcomes of various criminal wildlife cases.
- [[PDF] 2020 WildLeaks Report](https://wildleaks.org/wp-content/uploads/2020/09/WildLeaks-Report-Sept2020.pdf)  
  Released on September 8th, 2020. This is the first report published by the wildlife whistleblowing initiative known as [WildLeaks](https://wildleaks.org/). Archived copies can be found [here (Wayback)](https://web.archive.org/web/20210927053350/https://wildleaks.org/wp-content/uploads/2020/09/WildLeaks-Report-Sept2020.pdf) and [here (Library Genesis)](https://libgen.is/book/index.php?md5=8A79177F7472175A0888E848E03B4A03).
- [[PDF] Money Laundering and the Illegal Wildlife Trade](https://web.archive.org/web/20210927054224/https://www.fatf-gafi.org/media/fatf/documents/Money-laundering-and-illegal-wildlife-trade.pdf)  
  A report released in June 2020 from the FATF that describes how proceeds from the wildlife black market is laundered and how its used to fuel crime and corruption. Archived [here (Wayback)](https://web.archive.org/web/20210828075156/https://www.fatf-gafi.org/media/fatf/documents/Money-laundering-and-illegal-wildlife-trade.pdf) and [here (Library Genesis)](https://libgen.rs/book/index.php?md5=A35AACB947BD0D522D125B61DAF6B793).
- [[PDF] UNODC Wildlife and Forest Crime Analytic Toolkit](https://cites.org/sites/default/files/common/resources/pub/ICCWC_Toolkit_v2_english.pdf)  
  A very well put together document that gives a comprehensive overview for understanding the main issues related to environmental offences and for analysing preventive and criminal justice responses to wildlife and forest offences in a given country. Archived copies available [here (Wayback)](https://web.archive.org/web/20210927063331/https://cites.org/sites/default/files/common/resources/pub/ICCWC_Toolkit_v2_english.pdf) and [here (Library Genesis)](https://libgen.rs/book/index.php?md5=ADBA125A24A701D05960BD71CA5F59BB).

## **Fraud and Scams**

- [Fake-Scam](https://www.fake-scam.info/)  
  A German website with information, reports and guides on how to identify and avoid scams. Click [here](https://www-fake--scam-info.translate.goog/?_x_tr_sl=auto&_x_tr_tl=en&_x_tr_hl=en-GB&_x_tr_pto=nui) for a German to English translation.
- [ScamSearch](https://scamsearch.io/)  
  Global scam database. Search by picture, email, username, pseudo name, number or crypto address. Be aware that this is a crowd-sourced database, so there is potential for false positives.
- [ScamAlert](https://scamalert.sg/)  
  Search for scam stories and common scammer methods via keyword.
- [ScamNumbers](https://scamnumbers.info/index.php)  
  A worldwide database of phone numbers that have been proven to be used by internet scammers. Tells you where in the world it is from, along with any other additional details that are available.
- [ScamDigger](https://scamdigger.com/)  
  A list of people who have been reported as scammers. Searchable via email, IP, real name and username. Data is crowd-sourced, so there is potential of false positives.
- [Male-Scammers](https://www.male-scammers.com/)  
  A crowd-sourced database of romance scammers.
- [Scammers.ru](https://scammers.ru/)  
  A searchable database of Russian scammers and online dating agencies.
- [ScamsOnline](https://scamsonline.org/)  
  Photos of real relationship and romance scammers, as well as other images commonly used by these scammers.
- [Scamdex](https://www.scamdex.com/)  
  A massive archive of emails from scammers dating back to 2004.
- [Link-Base](https://link-base.org/)  
  World's biggest link list for hacking, carding and security forums and sites.

## **Other Illicit Trade**
- [ICOM Red Lists](https://icom.museum/en/resources/red-lists/)  
  This illustrated database compiles all the categories of at-risk cultural goods  in the ICOM Red Lists. For more information on the Red Lists, please visit their [dedicated page](https://icom.museum/en/our-actions/heritage-protection/red-lists/).
- [Havocscope](https://havocscope.com/)  
  Provides information and threat intelligence on the global black market. The information about the black market has been collected from government agencies, academic studies, media reports, and reported data from other private sources.
