**People Investigations**
===========================================================================

## **General People Search**

- [Melissa Lookups](https://www.melissa.com/v2/lookups/)  
  Arguably one of the best search tools for people out there. Provides a massive amount of tools and resources to search people by name, address, phone number and so on. They also provide loads of other useful tools and resources including maps, federal data, property records and more.
- [SocialCatfish](https://socialcatfish.com/)  
  Find connections and verify a person's online identity using a name, image, email address, phone number, username or physical address.
- [Verecor](https://verecor.com/)  
  Generic people search site for U.S. citizens. 
- [uFind Name](https://ufind.name/)  
  Search for a persons name and see matching results including LinkedIn and Facebook accounts, whitepage results, vehicle registration database entries, marketing data and more.
- [Pipl](https://pipl.com/)  
  One very great tool for locating people by name, address, email address, username and so on. Once offered as a free service many moons ago, now requires a paid subscription.
- [Phonebooks](https://www.phonebooks.com/)  
  A free international people search, telephone directory and address search.
- [xLek](https://xlek.com/)  
  A free public data search site mainly for U.S. citizens. Was formerly known as Cubib. 
- [Cloob](https://www.cloob.com/profile/search/index)  
  An Iranian people search engine.
- [BehindTheName](https://www.behindthename.com/)  
  Find different pronunciations of a name and their diminutives.
- [How Many of Me](http://howmanyofme.com/search/)  
  Search a first and last name and see how many people in the U.S. share the same name.
- [Business Card Search](https://cse.google.com/cse?cx=bee58a1c31f451e4a)  
  This Google CSE allows you to search through digital business card sites. Created by [@dutch_osintguy](https://twitter.com/dutch_osintguy).
- [IntelX Person Search](https://intelx.io/tools?tab=person)  
  A great people meta search engine offered by IntelX.
- [The Gazette Public Notices](https://www.thegazette.co.uk/all-notices?ref=topmenu)  
  The Gazette publishes public notices, such as are legally required in the UK for name changes, or declaring insolvency. Useful resource in a country which still has GDPR.
- [FindMyPast](https://search.findmypast.co.uk/search-world-records)  
  Search for public records. Census, birth, death, marriage records and much more. Requires registration.
- [Lullar.com](https://com.lullar.com/)  
  Profile and person search tool. Search via email address or name.
  
## **Vital Records**

- [Vital Record Search Tools](https://stevemorse.org/index.html)  
  This site contains tools for finding immigration records, census records, vital records, and for dealing with calendars, maps, foreign alphabets, and numerous other applications. Some of these tools fetch data from other websites but do so in more versatile ways than the search tools provided on those websites. Created by Stephen P, Morse.
- [US Census Record Database](https://www.archives.gov/research/census/online-resources)  
  Federal census records have been digitized and made available to the public. US census records currently available date from 1790 to 1940.
- [UK Census Online](https://ukcensusonline.com/search/)  
  Census records from the United Kingdom have been digitized and made available to the public. Includes birth, death, marriage, and census records.
- [Social Security Death Index Search](https://stevemorse.org/ssdi/ssdi.html)  
  Another tool from Stephen P. Morse that allows you to easily search through the US social security death index (SSDI). Records are from 1936 to February 28th, 2014.
- [SlaveVoyages](https://slavevoyages.org/resources/names-database)  
  Includes detailed information on over 35,000 trans-atlantic slave trading voyages that occurred between 1520 and 1866 as well as estimates of the overall size and direction of the trade.
- [Ellis Island Passenger Search](https://heritage.statueofliberty.org/)  
  A searchable archive of over 65 million records of passengers arriving to the Port of New York, USA from 1820 to 1957.
- [VoterRecords](https://voterrecords.com/)  
  Free political research tool to study more than 92 million U.S. voter records.
- [Fold3](https://www.fold3.com/)  
  A massive searchable database of U.S. military records. Database contains information about the participants of wars since 1600 to the current year (2022).

## **Genealogy**

- [Ancestry](https://www.ancestry.com/)  
  The world's largest collection of online family history records and genealogy records. Requires a paid subscription.
- [GenealogyOnline](https://www.genealogieonline.nl/en/)  
  Search for ancestors and relatives in published family trees. Also allows you to publish yourself to find matches in other family trees. (*Please do not actually do that*).
- [FamilySearch](https://www.familysearch.org/en/)  
  Search for family ancestors, family history and family trees. Requires registration.
- [US National Archives Resources for Genealogists](https://www.archives.gov/research/genealogy)  
  Provides a wealth of resources related to genealogy for people in the U.S.
- [Archives Canada Genealogy and Family History](https://www.bac-lac.gc.ca/eng/discover/genealogy/Pages/introduction.aspx)  
  Access the Canadian ancestry and genealogy records and discover a wealth of information for people in Canada.
- [CubaGenWeb](https://www.cubagenweb.org/)  
  An on-line bi-lingual depository of resources and data dedicated to Cuban Genealogy. It is intended to facilitate the search for Cuban roots by providing as much information as possible to get you started in your research and help fill in some of the missing blanks.

## **Court Records**

- [JudyRecords](https://www.judyrecords.com/)  
  Search over 580 million United States court cases.
- [CaseLaw Access Project](https://case.law/)  
  A free tool that allows you to search over 1.7 million U.S. federal cases and over 4.9 million state cases.
- [CourtListener](https://www.courtlistener.com/)  
  Search over 4 million U.S. federal and state cases and opinions in over 400 different jurisdictions.
- [CourtRecord](https://www.courtrecord.net/)  
  Search complete and up-to-date public court records in the U.S.
- [DocketAlarm](https://www.docketalarm.com/)  
  A searchable database with over 91 million state cases. Over 19 million specialized agency cases such as patent, trademark, tax, international trade, etc.
- [SearchSystems](https://publicrecords.searchsystems.net/)  
  Search for United States public records.
- [UniCourt](https://unicourt.com/)  
  Provides case research, tracking and legal analytics of court data.
- [BRB Public Records](https://www.brbpublications.com/freesites/freesites.aspx)  
  A large catalog of public records and data sources for the U.S.
- [New Zealand Court Records](https://www.courtsofnz.govt.nz/judgments/)  
  Judgements of public interest issued by the Supreme Court, Court of Appeal and the High Court of New Zealand.
- [ICJ Document Search](https://www.icj-cij.org/advanced-search)  
  Search and find case-related documents in the International Court of Justice (ICJ) database.

## **Criminal Records**

- [USA Arrests](https://arrests.org/)  
  Search for a U.S. citizen by first and last name and see that individuals recent arrests. 
- [BC CSO](https://justice.gov.bc.ca/cso/index.do)  
  Search by name for criminal history records for residents of British Columbia, Canada.
- [Myrotvorets](https://myrotvorets.center/criminal/)  
  Database of people who have committed crimes against Ukraine's national security.

## **Sex Offenders**

- [FamilyWatchdog](https://www.familywatchdog.us/Default.asp)  
  A free service to search for registered sex offenders in the United States.
 - [National Sex Offenders](https://www.nsopw.gov/)  
   A free government provided public database of registered sex offenders in the U.S.
 - [IBB Claims UK](https://www.ibbclaims.co.uk/site/services/child-abuse-and-trafficking/convicted-offenders/)  
   A list of convicted sex offenders in the UK. As the UK sex offender registry is not available to the public, the names listed are pulled from various news articles and sources.

## **Inmate Records**

- [The Inmate Locator](https://theinmatelocator.com/)  
  Search for U.S. offenders, inmates and prisoners by name and state. Also provides other useful information.
- [InmateAid](https://www.inmateaid.com/)  
  Helps you locate and connect with inmates in the U.S. prison system.
- [BOP Inmate Locator](https://www.bop.gov/mobile/find_inmate/)  
  Search for U.S. prisoners by BOP register, DCDC, FBI, INS number or by name. Contains information about federal inmates incarcerated from 1982 to the present.
- [JailBase](https://www.jailbase.com/search/)  
  Search for U.S. inmates by name. Also provides a generic people search tool.
- [The Inmate Search](https://theinmatesearch.net/)  
  Yet another U.S. inmate search tool.
