# **Search Engines**

## <u>**General Search**</u>

- [Google](https://google.com/)  
  The most popular search engine in the world. You already know what this is.
- [DuckDuckGo](https://duckduckgo.com/)  
  A privacy respecting search engine.
- [Bing](https://www.bing.com/)  
  A search engine owned and operated by Microsoft.
- [Yahoo!](https://yahoo.com/)  
  Yahoo! search is basically a rebadged version of the Bing search engine.
- [Yandex](https://yandex.com/)  
  A search engine based in Russia.
- [Swisscows](https://swisscows.com/)  
  The data-secure Google alternative. A search engine where your privacy is protected. Swisscows does not monitor or save any data.
- [Startpage](https://www.startpage.com/)  
  Startpage is a Dutch search engine company that highlights privacy as its distinguishing feature.
- [Gigablast](https://www.gigablast.com/)  
  A "cryptographically-protected" private search engine.
- [UVRX](http://www.uvrx.com/)  
  The most comprehensive online file storage search engine. They have individual search engines for badongo, Mediafire, Zshare, 4shared and taringa. They also provide a search all function that searches filefactory, depositfiles, easy-share,  sharedzilla, sendspace, yousendit, letitbit, drop, sharebee, rapidspread, and many others.
- [Wikipedia](https://www.wikipedia.org/)  
  The free encyclopedia that anyone can edit.
- [Ask](https://www.ask.com/)  
  A question answering-focused web search engine that delivers answers from the web and real people. Formally known as "Ask Jeeves".
- [Mojeek](https://www.mojeek.com/)  
  A web search engine that provides unbiased, fast, and relevant search results combined with a no tracking privacy policy.
- [Lycos](https://www.lycos.com/)  
  Another generic search engine.
- [Qwant](https://www.qwant.com/)  
  A search engine that respects your privacy and ensure neutrality and impartiality. Based in Paris, France.
- [Brave Search](https://search.brave.com/)  
  A search engine that is currently still in beta offered by Brave.
- [Ecosia](https://www.ecosia.org/)  
  A generic search engine that uses the ad revenue from your searches to plant trees where they are needed the most.
- [DorkSearch](https://dorksearch.com/)  
  A tool that gives you a list of prebuilt templates for Google Dorks for different use cases.
- [DuckDuckBang](https://mosermichael.github.io/duckduckbang/html/main.html)  
  Super useful resource for building search operators and searching DuckDuckGo.
- [ResearchBuzz Search Gizmos](https://researchbuzz.github.io/)  
  An amazing collection of search tools and query builders. Some tools require API keys. Created by [@ResearchBuzz](https://twitter.com/ResearchBuzz).

## <u>**Country Specific Search Engines and Directories**</u>

- [Search Engine Colossus](https://www.searchenginecolossus.com/) [Worldwide]  
  An international directory of search engines. Giving you links to search engines from the USA, EU, Australia, Canada, China, India, Japan, Brazil, Russia, and many more.
- [Search Engine Links](https://www.searchenginelinks.co.uk/) [Worldwide]  
  Another directory of international search engines.
- [Egerin](https://egerin.com/) [Kurdish]  
  A Kurdish search engine.
- [Araboo](http://www.araboo.com/) [Arab Countries]  
  Arab directory with categorized links to Arabic sites, updates, resources and more.
- [Yamli](https://www.yamli.com/) [Arab Countries]  
  Yamli lets you unlock the Arabic web without needing an Arabic keyboard. Just type it the way you say it.
- **<u>Asia</u>**

  - **<u>Afghanistan</u>**
    - [Afghanistan Online](https://www.afghan-web.com/)  
      A privately owned, independent web site that provides updated news and information on Afghanistan. Originally known as the Qazi Web page.
    - [Jobs.AF](https://www.jobs.af/)  
      Job announcements in Afghanistan by UN, government, international development agencies, aid agencies, private companies and MNCs in different industries.

  - **<u>Bhutan</u>**
    - [Bhutan Portal](http://www.bhutan.gov.bt/)  
      This site has links for government, citizens, business and overseas links such as tourism sites for Bhutan.
    - [Kuensel Online](https://kuenselonline.com/)   
      A news portal from Kuensal which is the Bhutan daily newspaper.
  - **<u>Bahrain</u>**
    - [Index Bahrain](https://www.indexuae.com/bahrain/)  
      A search engine for all things related to Bahrain. Sites are sorted into categories including business, internet and entertainment.
    - [SIJILAT](https://www.sijilat.bh/)  
      A commercial registration portal for Bahrain. The site contains information about opening and running a business in Bahrain. You can search the site and its registers from here.
    - [InfoBahrain](http://www.servicesbahrain.com/)  
      Information and business directory and travel guide. You can search by location or category.
  - **<u>Bangladesh</u>**
    - [Prantor](https://www.prantor.com/)  
      The ultimate Bangladesh directory. Has links to all the best Bangladeshi and Probashi websites.
    - [Bangladesh Trade Portal](https://www.bangladeshtradeportal.gov.bd)  
      An official government source of all regulatory information relevant to traders who wish to import goods into Bangladesh or export to other countries.
    - [BangladeshDir](https://bangladeshdir.com/)  
      Bangladeshi information web portal and search engine.
    - [Pipilika](https://pipilika.com/)  
      Pipilika claims to be the first search engine to work in both Bengali and English. This search engine has a focus on searching and analyzing of data in Bengali.
    - [BDJobs](https://www.bdjobs.com/)  
      An online job search.
    - [Bangla2000](http://www.bangla2000.com/index.asp)  
      General purpose web portal of Bangladesh where you can find daily updated news, various exclusive and useful information and services for  Bangladeshi people around the world.
  - **<u>China</u>**
    - [Baidu](https://www.baidu.com/)  
      Baidu is the dominant internet search engine company in China. Its features and services are similar to those of Google, but its focus is on China, where it controls most of the search market. Baidu censors search results and other content in accordance with Chinese regulations.
    - [SOHU](https://www.sohu.com/)  
      A premier online brand in the daily life of millions of Chinese who use the portal for their e-mail, SMS messaging, news, search, browsing and shopping.
    - [Sina](https://www.sina.com.cn/)  
      An online media and value-added infotainment service provider for China and for global Chinese communities.
    - [163](https://www.163.com/)  
      China based internet technology company that has pioneered the  development of applications, services and other technologies for the  internet in China.
    - [Sogou](https://www.sogou.com/)  
      One of the largest search engines in China.
    - [So](https://www.so.com/)  
      A leading company in internet search engine, input method, browsers and other internet products and services.
    - [ChinaSite](https://www.chinasite.com/)  
      This is not an actual search engine, it's a neatly organized reference site for China and Chinese related web sites from the Aweto company.

  - **<u>Cyprus</u>**
    - [Kypros](http://www.kypros.org/)  
      Also known as the "World of Cyprus" is a portal with weather, exchange rates, news, sport, TV and radio.
    - [CyprusGate](http://www.cyprusgate.com/)  
      A very comprehensive directory of Cyprus websites.
  - **<u>Iran</u>**
    - [Parseek](https://parseek.com/)  
      A search engine for news articles. Allows you to search by different news catagories.
    - [Hasht](http://www.hasht.com/)  
      An Iranian portal and search page. Also known as Site 8.
    - [Iranmehr](https://www.iranmehr.com/)  
      Persian search engine and directory from free and paid site submission options.
    - [Linkestan](http://www.linkestan.com/)  
      A directory of Persian websites, software downloads, links and articles.
    - [IranPage](https://www.iranpage.com/)  
      Known as the first online directory of Iranian professionals and Iranian owned and operated businesses worldwide.
  - **<u>India</u>** 
    - [123Khoj](https://www.123khoj.com/)  
      India search engine and web directory.
    - [Tazaa](https://tazaa.com/)  
      Indian search engine that utilizes Google custom search.
    - [Indian Search Engine](https://www.indiansearchengine.com/)  
      A great search engine and directory for Indian websites.
    - [IndiaCatalog](http://indiacatalog.com/)  
      A web directory of top Indian companies where you can find products, services, addresses, phone numbers and email details of top Indian companies.
    - [SurfIndia](https://www.surfindia.com/)  
      An online business directory and search engine for India. Results can be filtered by location.
    - [IndiaConnect](https://indiaconnect.com/)  
      Search for classified ads by keyword and locations, location can also be chosen by clicking on an interactive map.
    - [IndianKanoon](https://indiankanoon.org)  
      An Indian legal search engine to search for laws and law interpretations.
    - [IndiaBook](https://www.indiabook.com/)  
      A web directory for quality links relating to Indian websites.
    - [Adaalo](https://www.adaalo.com/)  
      A free classifieds site in India. You can post ads and search for your desired products.
    - [AboutMumbai](https://www.aboutmumbai.com/)  
      A Mumbai travel guide with restaurants, sightseeing, telephone numbers, classifieds, maps, cities, transport, Bollywood cinema and films.
    - [Dial India](https://www.dialindia.com/)  
      A website directory featuring business, bollywood, news, fashion, travel, employment, classifieds, and more.
    - [Rediff](https://www.rediff.com/)  
      A news and entertainment search engine for India.
  - **<u>Israel</u>**
    - [Walla!](https://www.walla.co.il)  
      An Israeli search engine that is powered by Google. Provides news, e-mail and other services.
  - <u>**South Korea**</u>
    - [Duam](https://www.daum.net)  
      Offers many Internet services to web users, including a search engine, free web-based e-mail, messaging service, forums, shopping, news and webtoon service.
    - [Naver](https://www.naver.com/)  
      Basically the same as Duam. It was the first web portal in South Korea to develop and use its own search engine.
  - **<u>Indonesia</u>**
    - [Indonesia-Product](https://www.indonesia-product.com/)  
      A B2B Directory website that connects buyers and suppliers worldwide who are looking to buy and sell Indonesian products.
    - [GBG Indonesia](https://www.gbgindonesia.com/)  
      Specializes in providing business and investment portals on the most promising emerging markets for local and foreign investors. This guide has business information and news on Indonesia featuring interviews,  analysis on key investment opportunities and a business directory.
    - [Detik](https://www.detik.com/)  
      the latest news and special coverage in Indonesian and some International news.
  - **<u>Japan</u>**
    - [Goo](https://search.goo.ne.jp/)  
      Goo is an Internet search engine and web portal based in Japan, which is used to crawl and index primarily Japanese language websites.
  - **<u>Kazakhstan</u>**
    - [Zakon](https://www.zakon.kz/)  
      This site features weather forecasts, exchange rates and legislation for the Republic of Kazakhstan.
    - [Satu](https://satu.kz/)  
      Kazakhstan shopping search engine.
    - [Gismeteo](https://www.gismeteo.kz/)  
      A weather search engine in Kazakhstan.
    - [Krisha](https://krisha.kz/)  
      A real estate search engine for Kazakhstan. Search for property to buy and rent.
  - **<u>Laos</u>**
    - [iNGO](https://directoryofngos.org/)  
      Internet directory of non-government organizations (NGOs) in Laos.
    - [TourismLaos](https://www.tourismlaos.org/)  
      Laos' official tourism website where you can explore Laos, find information about festivals and events, maps and other documentation.
  - **<u>Lebanon</u>**
    - [LebWeb](http://www.lebweb.com/)  
      A large directory with categorized links to Lebanese sites and resources.
  - **<u>Nepal</u>**
    - [Explore Nepal](http://www.explorenepal.com/)  
      Search engine of Nepal, also includes business directory, news, information about Nepal and more.
    - [AskBaje](http://www.aksbaje.com/)  
      A local search engine that provides comprehensive and updated information on all B2B and B2C products and services.
    - [NepalNet](http://www.nepalnet.net/)  
      Authority to websites related to Nepal with reviews, ranks and awards.
  - **<u>Malaysia</u>**
    - [Malaysia Central](http://www.mycen.com.my/)  
      One-stop starting point to Malaysian online destinations.
    - [CARI](https://www.cari.com.my/)  
      A search site for all Malaysians and all Internet surfers around the world.
    - [Malaysia Directory](http://search.malaysiadirectory.com/)  
      Malaysia search engine and directory that claims to be the largest portal in Malaysia.
    - [One Stop Malaysia](https://www.onestopmalaysia.com/)  
      Directory listings of Malaysian related websites. Has news, forum, weather, news feeds and much more.
    - [e-Borneo](http://www.e-borneo.com/main/)  
      Bringing Borneo to the whole wide world by providing mostly free information, contents, and links related to Borneo as well as other topics of interest.
  - **<u>Mongolia</u>**
    - [Mongolia Start Page](https://mongolie.startpagina.nl/)  
      Find everything you want to know about Mongolia, the fascinating country, its people, culture and nature.
    - [Medee](https://medee.mn/)  
      A Mongolian news portal for professionals. News about economy, law, politics, health and more.
    - [News MN](https://news.mn/)  
      The largest daily news website in Mongolia.
    - [Legal Info MN](https://legalinfo.mn/)  
      Mongolian law portal.
    - [Unegui](https://www.unegui.mn/)  
      Mongolian classified ads directory and search.
    - [Unaa](https://unaa.mn/)  
      Mongolian classified ads site for vehicles.
  - **<u>Philippines</u>**
    - [Alleba](https://www.alleba.com/)  
      A search engine specifically for the Philippines.
    - [Trovit](https://www.trovit.ph/)  
      Classified ads search engine for real state, used cars and job offers ads in Philippines.
  - <u>**Saudi Arabia**</u>
    - [Saudia-Online](http://www.saudia-online.com/)  
      Saudi Arabia Search featuring mostly Business and News information.
    - [The Saudi Network](http://www.the-saudi.net/)  
      Trade and business information and links for Saudi Arabia, Arabian gulf and the middle east areas.
  - **<u>Taiwan</u>**
    - [Manufacturer Directory](http://www.manufacturers.com.tw/)  
      Manufacturers directory for Taiwan.
    - [Taiwan.gov](https://www.taiwan.gov.tw/)  
      The official government provided portal for Taiwan.
  - **<u>Pakistan</u>**
    - [SearchOye](https://searchoye.com)  
      A Pakistani search engine that searches the entire web including web pages, images, and videos.
    - [Pakistanism](https://www.pakistanism.com/)  
      Pakistani content search engine that lists an index of Pakistan related webpages, images, videos, jobs,  news, recipes, e-commerce and social media sites.
    - [Rozee](https://www.rozee.pk/)  
      Search for jobs listings and job opportunities in Pakistan.
  - **<u>Singapore</u>**
    - [Singapore Search Engine](https://www.singaporesearchengine.com/)  
      A search engine and directory of internet websites related to Singapore.
  - <u>**Sri Lanka**</u>
    - [InfoSRI](https://infosri.com/)  
      Sri Lanka search engine for .lk domains, business directory and information portal.
    - [LankaLink](http://www.lankalink.net/)  
      Sri Lanka search engine & Sri Lankan business web directory.
    - [Lanka Information](https://lankainformation.lk/)  
      Information about Sri Lanka. Includes a search engine and directory.
    - [LankaTopTen](https://www.lankatopten.com/)  
      Search engine, web directory and information database for Sri Lanka.
    - [InfoLanka](http://infolanka.com/)  
      Sri Lanka information including latest news, music, recipes, photos, classifieds, chat, greeting cards, forums and more.
    - [RainbowPages](https://rainbowpages.lk/)  
      Sri Lanka’s only telephone directory.
    - [XpressJobs](https://xpress.jobs/)  
      Job search engine for Sri Lanka.
    - [Wooroll](http://www.wooroll.com/)  
      Search updated job listings from over 30,000 organizations and companies in Sri Lanka.
    - [SpotJobs](https://www.spotjobs.lk/)  
      Another great job search engine for Sri Lanka.
  - **<u>Turkey</u>**
    - [Artado Search](https://www.artadosearch.com/)  
      A Turkish search engine that aims to provide you with ad-free and safe information.
    - [Arama](http://www.arama.com/)  
      Search engine for Turkish websites.
    - [Hukuki](http://www.hukuki.net/)  
      Turkish Law search engine.
    - [BuildTurkey](http://www.buildturkey.com/)  
      Construction business directory for Turkey.
    - [TurkeyCentral](https://www.turkeycentral.com/)  
      Browse thousands of links to city guides, tour operators, and hotels in Turkey, as well as business travel and cultural info.
    - [Rastgelelik](https://www.rastgelelik.com)  
      A Turkish search engine, currently still in beta.
  - <u>**United Arab Emirates**</u>
    - [IndexUAE](http://www.indexuae.com/)  
      A search engine and directory for the United Arab Emirates.
    - [Dubai Directory](https://www.dubai.vc/)  
      Dubai website directory featuring travel, shopping, entertainment, nightlife, news, jobs, real estate and investment.
  - **<u>Thailand</u>**
    - [ThaiWebsites](https://www.thaiwebsites.com/)  
      A human-edited web directory for English language related resources for Thailand.
    - [Pattaya Links](https://pattaya.lap.hu/)  
      Large number of links to Pattaya websites.
  - **<u>Vietnam</u>**
    - [CocCoc](https://coccoc.com/search)  
      Search engine for the Vietnamese that optimizes Vietnamese search results.
- **<u>Caribbean</u>**
  - <u>**Cayman Islands**</u>
    - [eCayman](https://www.ecayman.com/)  
      A large web directory of Cayman Island websites.
  - **<u>Cuba</u>**
    - [Cuba Web Directory](http://www.cubawebdirectory.com/)  
      A large web directory of Cuban websites.
  - **<u>Dominican Republic</u>**
    - [WEPA!](https://www.wepa.com/do/)  
      A searchable web directory for the Dominican Republic.
  - **<u>Jamaica</u>**
    - [Top 5 Jamaica](https://www.top5jamaica.com/)  
      A web directory that lists the top 5 most visited websites in Jamaica, organized by catagory.
    - [ExportJamaica](http://www.exportjamaica.org/index.html)  
      Provides information on potential customers, contracts, exporters, raw material sources, industry prices, statistics and horticulture regarding Jamaican companies.
- **<u>Europe</u>**

  - <u>**Albania**</u>
    - [AlbaFind](http://www.albafind.com/)  
      AlbaFind is a search engine dedicated to Albanian websites.
    - [eAlbania](https://e-albania.al/)  
      An information page with search engine and directory with information about Albania.
    - [EURAXESS](https://www.euraxess.al/)  
      A resource for foreign researchers who plan to come to Albania.
  - **<u>Armenia</u>**
    - [Hayastan](https://www.hayastan.com/indexen.php)  
      An Armenian internet portal site with information and amusement services for Armenians around the globe.
    - [Spyur AM](https://www.spyur.am/am/home)  
      Contains information about companies and organizations in Armenia.
  - **<u>Austria</u>**
    - [Austronaut](https://www.austronaut.at/)  
      A Search engine and comparison portal for Austria.
    - [AustroLinks](https://www.austrolinks.info/)  
      A directory for websites related to Austria.
    - [Vienna](https://www.vienna.at/)  
      All the news from Vienna and the Vienna districts as well as services relating to the federal capital: events, weather, cinema, theater and much more. 
  - <u>**Azerbaijan**</u>
    - [SearchAZ](http://www.search.az/)  
      Global search for Azerbaijan.
    - [Botje](http://az.botje.com/)  
      An Azerbaijani search engine.
    - [JobSearchAZ](http://www.jobsearch.az/)  
      The leading country-wide on-line recruitment website in Azerbaijan.
  - <u>**Belarus**</u>
    - [Akavita](https://akavita.com/ru/)  
      Search engine and web directory for Belarusian Sites.
  - <u>**Belgium**</u>
    - [Search Belgium](http://www.search-belgium.com/)  
      A search engine and directory of Belgian websites and links.
    - [WebWatch](https://www.webwatch.be/)  
      A search tool in Belgium that has indexed all of the thousands of Belgian sites.
  - <u>**Bosnia and Herzegovina**</u>
    - [HercegBosna](https://www.hercegbosna.org/)  
      Web directory on a site that also has information about Bosnia Herzegovina and its history.
  - <u>**Bulgaria**</u>
    - [Search BG](http://www.search.bg/)  
      The Bulgarian search engine.
    - [Portal BG](http://portal.bg/)  
      A web directory and portal for Bulgaria.
  - <u>**Croatia**</u>
    - [CroLinks](http://www.crolinks.com/)  
      Lists of Croatian websites, personal homepages and email addresses worldwide.
    - [HR](https://www.hr/)  
      Offers basic information about Republic of Croatia, as well as directory of Croatian-based web pages.
    - [Find-Croatia](https://www.find-croatia.com/)  
      A web site dedicated to travelers and visitors to Croatia. This is a comprehensive on-line travel guide to Croatia with all the details and information about art, culture, museums, architecture, natural beauties, hotels in, holiday accommodations and transport.
  - <u>**Estonia**</u>
    - [NETI](https://www.neti.ee/)  
      A directory and search engine for Estonia.
    - [WWW EE](http://catalog.www.ee/)  
      Estonian website directory.
  - <u>**Czech Republic**</u>
    - [Seznam](https://www.seznam.cz/)  
      Czech website directory.
    - [CentrumCZ](https://www.centrum.cz/)  
      Search engine and website directory.
  - <u>**Finland**</u>
    - [Makupalat](https://www.makupalat.fi/)  
      Produced by Finnish libraries along with a link directory. Links have been selected on the basis of the quality of the content and sorted by topic.
  - <u>**France**</u>
    - [Francite](http://www.francite.com/)  
      The most well known French search engine.
    - [France-Pub](https://www.france-pub.com/)  
      Website directory and information about France.
    - [El Annuaire](https://www.el-annuaire.com/)  
      A massive directory of French websites. Currently lists over 41,000 different French websites.
    - [ApocalX](https://www.apocalx.com/)  
      A search engine in French that is powered by Google AI.
    - [Yakeo](http://www.yakeo.com/)  
      A directory of many different French websites.
    - [Les Annuaries](https://www.lesannuaires.com/)  
      List of French directories and search engines. This "Directory of Directories" offers more than 2000 directories.
    - [MisterFast](http://www.misterfast.com/)  
      French search engine and website directory.
    - [LyonWeb](http://www.lyonweb.net/)  
      Search engine for Lyon and Lyonnais. Index of websites, events, demonstrations and exhibitions in the region.
  - <u>**Germany**</u>
    - [FastBot](https://www.fastbot.de/)  
      German-language search engine with the option of reporting results and opening them anonymously. 
  - <u>**Greece**</u>
    - [RoBBy](https://www.robby.gr/)  
      Search engine and web directory service for the Greek ".gr" TLD.
  - <u>**Georgia**</u>
    - [BoomGE](http://www.boom.ge/)  
      A Georgian search engine.
  - <u>**Hungary**</u>
    - [Megaport](https://www.megaport.hu/)  
      Hungary guide in the form of a web directory with search function.
    - [Kapu](https://www.kapu.hu/)  
      A directory of Hungarian websites.
  - <u>**Iceland**</u>
    - [Finna](https://www.finna.is/)  
      A search engine for Icelandic web pages.
    - [Ja](https://ja.is/)  
      Search for Icelandic companies, products and people.
  - <u>**Liechtenstein**</u>
    - [WebLI](https://www.web.li/)  
      Provides information about banks, trustees, stamps, prince, enterprises, private persons, economy, science and trade related to the Principality of Liechtenstein.
  - <u>**Italy**</u>
    - [Eseguo](http://www.eseguo.it/)  
      A web directory of personal and business web sites.
    - [SicilyWeb](http://www.sicilyweb.com/index.cfm)  
      A great directory of web sites located in Sicily.
  - <u>**Lithuania**</u>
    - [OnLt](http://www.on.lt/)  
      A guide to Lithuanian internet resources organized by services and keywords. The site is updated daily, revised weekly and has been established since 1995.
    - [Delfi](https://www.delfi.lt/)  
      Lithuanian search engine and web portal.
  - <u>**Latvia**</u>
    - [TopLV](https://www.top.lv/)  
      A directory of Latvian content organized by category.
    - [SS.LV](https://www.ss.lv/)  
      A directory of classified ads for Latvia.
  - <u>**Macedonia**</u>
    - [Nadji!](http://www.najdi.si/)  
      A search engine specializing in media content. Unlike most search engines, it does not utilize a spider to gather the content it indexes, but interfaces directly with the websites it covers through RSS or other XML, in combination with the SWISH-E open-source software.
  - <u>**Norway**</u>
    - [Kvasir](https://www.kvasir.no/)  
      Norway's largest search service. Search for sites in Norway and worldwide.
  - <u>**Moldova**</u>
    - [Totul](http://old.totul.md/ru/company.html)  
      Directory of Moldovan businesses including addresses and phone number and description of the activities of companies.
  - <u>**Poland**</u>
    - [Onet](https://www.onet.pl/)  
      One of the largest Polish web portals and search engines.
  - <u>**Netherlands**</u>
    - [Zeoken](https://www.zoeken.nl/)  
      A meta search engine for the Netherlands. Pretty much the same as iZito.
    - [Vinden](https://www.vinden.nl/)  
      Offers custom search options, like searching for phone numbers, images, mp3 files, and more
  - <u>**Portugal**</u>
    - [SAPO](https://www.sapo.pt/)  
      A Portuguese search engines that is powered by Google.
  - <u>**Romaina**</u>
    - [Bizroo](https://www.bizoo.ro/)  
      A major web directory with more than 100,000 companies from Romania.  
    - [RomanianStartups](https://www.romanianstartups.com/)  
      The Romanian tech startup scene at a glance. Listings of tech startups including founders, accelerators, incubators, events and co-working space. 
  - <u>**Slovakia**</u>
    - [EXO](https://www.exo.sk/)  
      Slovak search engine, directory, RSS search and domain search. 
    - [Dunco](https://www.dunco.sk/)  
      Dunco is a Slovakian search engine with a friendly dog logo.   
    - [Atlas SK](https://atlas.centrum.sk/)  
      Slovak version of the Atlas search engine.  
    - [Najdes](http://www.najdes.sk/)  
      Search portal of the Slovak Internet offering information and entertainment for everyone.  
    - [Zoznam](https://zoznam.sk/)  
      List of the Slovak Internet.
  - <u>**Russia**</u>
    - [KazanCity](https://www.kazancity.ru/)  
      Universal directory and search engine of websites organized into categories and sorted by rank. Also available in English.   
    - [MetaBear](https://www.metabear.ru/)  
      Search engine with options for Russian search, world search and FTP search.  
    - [MetaBot](https://www.metabot.ru/)  
      The Russian version of the above "MetaBear" search engine.  
    - [Aport](https://russia.aport.ru/)  
      Russian search engine for goods and services.  
    - [Rambler](https://www.rambler.ru/)  
      Russian search engine portal page. One of the major Russian portals on the Internet.  
    - [Mail.ru](https://mail.ru/)  
      Offers a variety of online communication products and entertainment services for Russian speakers all over the world including search, social networks, cloud services and email.  
    - [Ulitka](http://www.ulitka.ru/)  
      Searcheable web directory of many different Russian sites. 
  - <u>**Slovenia**</u>
    - [Najdi](https://www.najdi.si/)  
      Slovenia search engine.  
    - [Raziskovalec](https://www.raziskovalec.com/)  
      Search engine and web portal for Slovenia.
  - <u>**Serbia**</u>
    - [Yu Search](https://www.yusearch.com/)  
      Internet search engine specialized for Yu cyberspace. If you want to find information or resources on the internet, related to Serbia/Yugoslavia. Start here.
  - <u>**Sweden**</u>
    - [Tjohoo](https://tjohoo.se/)  
      Features a Swedish web portal and search engine.
    - [Eniro](https://www.eniro.se/)  
      A local Swedish search portal offering telephone directory, web search and maps for Sweden. In addition to this, Eniro offers a news aggregator, shopping services, video search, image search and job search.
  - <u>**Switzerland**</u>
    - [Search.ch](https://www.search.ch/)  
      A search engine and web portal for Switzerland.
  - <u>**Spain**</u>
    - [Apali!](http://www.apali.com/)  
      A simple effective and dynamic searcher created in 1996 that has worked with the same system and philosophy since. An ethical search engine that controls personally all the information added to its files to ensure proper entries and truthful information. 
  - <u>**Ukraine**</u>
    - [Brama](http://www.brama.com/)  
      Information focusing on Ukraine and Ukrainians.  
    - [Meta UA](https://meta.ua/)  
      Ukrainian search engine and news portal.  
    - [Ukrainian Directory](http://ukrainiandirectory.org/MainDir.htm)  
      Web directory for Ukraine.  
    - [Sesna](http://www.uazone.net/sesna/)  
      Ukrainian search engine.
- <u>**North America**</u>
  - <u>**Canada**</u>
    - [LookSeek Canada](http://www.lookseek.ca/)  
      A private search engine with no tracking that lets users search for Canadian websites.
    - [LocatorCA](https://locator.ca/)  
      A basic search engine for Canadian websites. Uses a Google CSE.
    - [CanLinks](https://www.canlinks.net/)  
      A large directory of Canadian websites.
    - [CanadaCity](https://www.canadacity.net/)  
      A directory with links to portals, city guides and directories specific to Canadian cities.
  - <u>**Greenland**</u>
    - [Tidsskrifet Greenland](http://www.tidsskriftetgronland.dk/)  
      The journal Greenland contains illustrated articles on Greenlandic and Arctic conditions and has been published by the Greenlandic Society since 1953. This database contains all 50 volumes 1953 to 2002.
  - <u>**Mexico**</u>
    - [DirectoryMX](http://www.directory.com.mx/)  
      A bilingual Mexican online web directory for Mexico.
  - <u>**United States**</u>
    - [Keep It Local](https://keepitlocal.com/)  
      An easy and efficient search tool for locating web pages, autos and agricultural vehicles for sale and real estate by geographic location in the USA. 
    - [50 States](https://www.50states.com/)  
      A web directory with a category for each USA state featuring search engines, directories and other relevant links to the chosen state.
    - [FedGate](http://www.fedgate.org/)  
      A comprehensive web directory for US government information, department of  defence, federal government, executive agencies, senate, white house,  legislative branch and congress.
    - [Ezilon USA](https://search.ezilon.com/)  
      A North American search engine and website directory where users can search for and submit websites from the United States and Canada.
    - [CityTown](http://www.citytown.info/)  
      A directory of official, city and town, government and chamber of commerce, websites. Everything is organized by state with references to similar collections and directories.
    - [Baja Search](https://www.baja-search.com/p/baja-sear.html)  
      Baja California search engine. Uses a Google CSE.
- <u>**South America**</u>
  - **<u>Argentina</u>**
    - [Guiafe AR](https://www.guiafe.com.ar/)  
      A directory of websites for the province of Santa Fe, Argentina.
    - [WebFe](https://webfe.com/news/)  
      A multi language news portal for Argentina that covers politics, the economy, technology and sports. 
  - **<u>Belize</u>**
    - [Belize Search](https://www.belizesearch.com/)  
      A website directory with a huge amount of indexed sites. 
  - **<u>Brazil</u>**
    - [Aonde](https://www.aonde.com/)  
      A directory and search engine. You can submit your Portuguese pages [here](http://www.aonde.com/inclusao.htm).
    - [Achei](http://www.achei.com.br/)  
      Brazilian search tool that offers national and Latin American content. Allows search by category and keywords, also offers advanced search with Boolean operators and quantity of results. 
    - [Exploora](https://www.exploora.com.br/)  
      A global search engine with semantic analysis of Portuguese language searches.
  - <u>**Bolivia**</u>
    - [Bolovian](https://www.bolivian.com/)  
      A website directory and index of Bolivian sites.
  - <u>**Chile**</u>
    - [Antena](http://www.antena.cl/)  
      Search Antena, BuscaChile and Google.cl simultaneously. 
  - <u>**Colombia**</u>
    - [Conexcol](https://www.conexcol.com/)  
      A web directory of specialized websites in Colombia.
    - [Lalupa](https://www.lalupa.com/)  
      A web directory and new portal for Colombians.
  - <u>**Costa Rica**</u>
    - [The Real Costa Rica](http://www.therealcostarica.com/)  
      Everything you want or need to know about Costa Rica and Costa Ricans. The people, government, laws and culture.
  - <u>**Ecuador**</u>
    - [Puerto Cayo](http://www.puertocayo.com/)  
      Official guide to Puerto Cayo with community resources directory.
  - **<u>El Salvador</u>**
    - [Buscaniguas](http://www.buscaniguas.com.sv/)  
      El Salvadorian website directory.
  - **<u>Guatemala</u>**
    - [Guate Market](https://guatemarket.com/)  
      Website directory and search for Guatemala.
    - [Deguate](https://www.deguate.com/)  
      Another website directory for Guatemala.
  - **<u>Nicaragua</u>**
    - [XOLO](https://www.xolo.com.ni/)  
      Search over 150,000 pages of content indexed in more than 1,200 sites of the Nicaraguan Web.
  - **<u>Panama</u>**
    - [Panama Info](https://panamainfo.com/en)  
      Panama's most visited tourism and business directory website. Currently undergoing maintenance.
  - **<u>Peru</u>**
    - [Oh Peru](https://www.ohperu.com/)  
      Search engine and directory of web pages of Peru. Peruvian guide web since 1999.
    - [Maskay](https://www.maskay.com/)  
      A directory of Peruvian websites.
  - **<u>Uruguay</u>**
    - [Uruguay Total](http://www.uruguaytotal.com/)  
      Search over 7,500 links to Uruguayan websites.
  - **<u>Venezuela</u>**
    - [Auyantepui](http://www.auyantepui.com/)  
      Venezuelan search engine that uses a Google CSE.
    - [Arranca](https://www.arranca.com/principal.php)  
      A small portal page of links to top news sites and portals based in Venezuela.

## **Specialty Search**

- [Wolfram|Alpha](https://www.wolframalpha.com/)  
  An online service that answers factual queries directly by computing the answer from externally sourced "curated data", rather than providing a list of documents or web pages that might contain the answer.
- [Million Short](https://millionshort.com/)  
  Million Short is an alternative search engine, which enables users to remove the first 100, 1k, 10k, 100k and 1 million of the most popular search results.
- [WorldWideScience](https://worldwidescience.org/)  
  A global gateway connecting users to both national and international scientific databases and portals.
- [Microsoft Academic](https://academic.microsoft.com/home)  
  A free public web search engine for academic publications and literature, developed by Microsoft Research. Re-launched in 2016, the tool features an entirely new data structure and search engine using semantic search technologies.
- [Keyword Tool](https://keywordtool.io/)  
  Keyword Tool is free online keyword research instrument that uses Google auto-complete to generate hundreds of relevant long-tail keywords for any topic.
- [2lingual](https://2lingual.com/)  
  A Google CSE that lets you search for pages in two languages.
- [Internet Movie Database](https://www.imdb.com/)  
  IMDb is an online database of information related to films, television programs, home videos, video games, and streaming content. Including information about cast, production crew, personal biographies, plot summaries, trivia, ratings, reviews and more.
- [fnd.io](https://fnd.io/)  
  A search engine for the Apple app store and iTunes store.
- [There Is A Bot For That](https://thereisabotforthat.com/bots/search)  
  A search engine that has over 5,000 bots for over 15 different platforms.
- [WikiIndex](https://wikiindex.org/Welcome)  
  An index of thousands of different wikis about virtually every subject.

## **Meta Search**

- [Fagan Finder](https://www.faganfinder.com/)  
  One of the best metasearch tools there is. Allows you to search through search engines, social media, encyclopedias, libraries, news, government, documents and much more.
- [Exalead](https://www.exalead.com/search/web/)  
  A high-end data discovery and search platform that powers search, data collection, and indexing among all technology solutions.
- [DogPile](https://www.dogpile.com/)  
  A metasearch engine for information on the World Wide Web that fetches results from Google, Yahoo!, Yandex, Bing, and other popular search engines, including those from audio and video content providers such as Yahoo!.
- [Advangle](http://advangle.com/)  
  Allows you to quickly build a query with multiple parameters (such as  the 'domain', 'language' or 'date published') and immediately see the  result of this query in Google or Bing search engines. 
- [All in One](https://all-io.net/)  
  A metasearch engine that combines all major search engines into one. They also allow you to create, configure and customize your own engine.
- [WebCrawler](https://www.webcrawler.com/)  
  The oldest surviving search engine on the internet. It was the first search engine to provide full text searching.
- [YubNub](https://yubnub.org/)  
  Yubnub gives you all the details about a website relevant to the business. This website is user-friendly and functions as a search engine. This allows developing and using commands linked to web pages and web services. 
- [MyAllSearch](https://www.myallsearch.com/)  
  A multi metasearch engine that provides search results from a number of different search engines. MyAllSearch offers standard web searches, image searches, video searches, news searches and blog searches. Results are available from major search engines, such as Google, Yahoo, Bing & DuckDuckGo.
- [iZito](https://www.izito.com/)  
  Comines search results from Google, Bing, YouTube, Yahoo!, Wikipedia, Entireweb and many more.
- [eTools](https://www.etools.ch/search.do)  
  Searches major Swiss and international search engines. Queried search engines include Ask, Base, Bing, Brave, DuckDuckGo, ExaLead, Fastbot, FindX, Google, Mojeek, Moose, Qwant, Search, Tiger, Wikipedia, Yahoo! and Yandex.
- [Zapmeta](https://www.zapmeta.fi/)  
  Essentially a clone of iZito.
- [I Search From](http://isearchfrom.com/)  
  Simulate using Google Search from a different location or device, or perform a search with custom search settings.
- [U Search From](https://usearchfrom.com/)  
  Simulate using Google Search from a different location or device or perform a search with custom search settings. It's useful for searching Google as if you were somewhere else.
- [ScrapersnBots](https://scrapersnbots.com/webtools/)  
  A large collection of online tools for OSINT. Search for users with a specific name on different sites or a single domain. Google image search, YouTube tags, URL extractor and more.
- [BizNar](https://biznar.com/biznar/desktop/en/)  
  A web search engine that returns high quality results by submitting your query to other search engines and collating, ranking and dropping duplicates in the results.
- [Valentin.app](https://valentin.app/)  
  An easy way to get localized search engine results pages [SERPs] at an exact location without any additional tools.
- [GNOD Search](https://www.gnod.com/search/)  
  Search various engines at the same time and compare results. Very handy.

## **Similar Site Search**

- [SimilarSites](https://www.similarsites.com/)  
  Enter a website URL and view websites that are similar.
- [SitesLike](https://siteslike.com/)  
   Enter a URL or keyword and view websites that are similar or match your keyword.
- [Alexa Similar Site Search](https://www.alexa.com/find-similar-sites)  
   A great similar site search tool offered by Amazon. Simply search any URL and view the results. For additional results a paid subscription is required.
- [SiteLike](https://www.sitelike.org/)  
   Another simple tool to find related websites via URL.
- [SimilarWeb](https://www.similarweb.com/)  
   A great tool for finding similar and/or competitor websites. Search via website URL.

## **Document and File Search**

- [Library Genesis](https://libgen.rs/)  
  This is the largest free library in human history. Giving the world free access to over 84 million scholarly journals, over 6.6 million academic and general-interest books, over 2.2 million comics, and over 381 thousand magazines. Commonly referred to as "Libgen" for short. Libgen has zero regard for copyright.
- [Library Genesis Technical](https://libgen.fun/)  
  Essentially Library Genesis, but for technical books, documentation and whitepapers.
- [SciHub](https://sci-hub.se/)  
  A "shadow library" that provides free access to millions of research papers and books by bypassing paywalls. SciHub has zero regard for copyright.
- [The-Eye](https://the-eye.eu/public)  
  An open directory data archive dedicated to the long-term preservation of any and all data including websites, books, games, software, video, audio, other digital-obscura and ideas. Currently hosts over 140TB of data for free. 
- [The-EyeDex](https://eyedex.org/)  
  A searchable index of the-eye.eu. Much faster than manually digging through subfolders or using Google dorks.
- [SlideShare](https://www.slideshare.net/)  
  Allows users to upload content including presentations, infographics, documents, and videos. Users can upload files privately or publicly in PowerPoint, Word, PDF, or OpenDocument format.
- [Slideshare Downloader](https://slideshare-downloader.herokuapp.com/)  
  Enter the URL of any Slideshare document and this tool will download it for you.
- [SlideServe](https://www.slideserve.com/)  
  A massive, searchable collection of powerpoint presentations about all kinds of different things. 
- [Directory of Open Access Journals](https://doaj.org/)  
  Search over 16,000 journals, over 6.5 million articles in 80 different languages from 129 different countries.
- [Napalm FTP Indexer](https://www.searchftps.net/)  
  Allows you search and download files located on public FTP servers. The most advanced FTP search engine service out there.
- [ManualsLib](https://www.manualslib.com/)  
  This is a great free resource for finding manuals for a wide range of different products and items. Search by keyword or product brand.
- [FreeFullPDF](http://www.freefullpdf.com/index.html)  
  A Google CSE that searches for scientific publications.
- [Open Directory CSE](http://palined.com/search/)  
  A neat Google CSE for finding open directories.
- [FileChef](https://www.filechef.com/)  
  Search for open directories and files on the web or in Google Drives via keywords. Including document, video, audio, image and executable files. Uses Google dorks.
- [Palined Open Directory Search](http://palined.com/search/)  
  Search for files and open directories via keyword. Uses a Google CSE.
- [Gdrive Search](https://www.gdrivesearch.com/)  
  A simple and fast tool that allows you to search Google Drive for files.
- [GroupDocs Metadata](https://products.groupdocs.app/metadata/)  
  Upload a document file an view that documents metadata. Supports over 50 different file types.
- [ISBNdb](https://isbndb.com/)  
  Gathers data from hundreds of libraries, publishers, merchants and other sources around the globe to compile a vast collection of unique book data searchable by ISBN, title, author, or publisher.
- [ISBN Search](https://isbnsearch.org/)  
  Search for books by ISBN and view related information.
- [OAPEN](https://library.oapen.org/)  
  A massive collection of open access books.
- [Snowfl](https://snowfl.com/)  
  Search BitTorrent indexes via keywords.
- [FilePhish](https://cartographia.github.io/FilePhish/)  
  A simple OSINT Google query builder for fast and easy document and file discovery. Made with <3 by [@aleksanderrr_](https://twitter.com/aleksanderrr_).
- [ThePirateBay](https://thepiratebay.org/)  
  The most well-known torrent site in the world. Beware of malware.
- [TorrentSeeker](https://torrentseeker.com/)  
  Torrent search engine for torrent proxy sites and trackers. Claims to search over 100 different torrent sites.
- [TorLock](https://www.torlock.com/)  
  A torrent site that only offers verified torrents.
- [1337x](https://1337x.to/)  
  Provides a directory of torrent files and magnet links used for peer-to-peer file sharing.
- [IntelX File Search](https://intelx.io/tools?tab=file)  
  A great file and document search engine offered by IntelX.
- [deDigger](https://www.dedigger.com/)  
  Searches through Google Drives via keywords.
- [FreeTechBooks](https://www.freetechbooks.com/)  
  A database of free, open-access computer and IT books.
- [BTDigg](https://btdig.com/index.htm)  
  A BitTorrent DHT search engine. Find torrents for just about anything.
- [CiteSeerX](https://citeseer.ist.psu.edu/index)  
  A scientific literature digital library and search engine that focuses primarily on the literature in computer and information science.
- [WorldCat](https://worldcat.org/)  
  Search for a book and view which public libraries where you can find it.
- [Anna's Archive](https://annas-archive.org/)  
  A project that aims to catalog all the books in existence, by aggregating data from various sources. Search this pirate library for whatever books you are looking for. Made by [@AnnaArchivist](https://twitter.com/AnnaArchivist).
- [Smithsonian Libraries](https://library.si.edu/)  
  Search for historical books, documents and images.
- [FilePursuit](https://filepursuit.com/)  
  Search open directories for files, documents, books, images, videos and more.

## **Video Search**

- [YouTube](https://www.youtube.com/)  
  The worlds largest video sharing site. You already know what this is.
- [Vimeo](https://vimeo.com/)  
  A video sharing site that allows users to upload their content in 4K. Also offers many post-production, management, collaboration and feedback tools.
- [PeteyVid](https://www.peteyvid.com/)  
  A video and audio search engine that searches over 70 different platforms.
- [Odysee](https://odysee.com)  
  A video sharing website that uses the LBRY blockchain network.
- [BiliBili](https://www.bilibili.com/)  
  A Chinese video sharing website that is very similar to YouTube.
- [GetYarn](https://getyarn.io/)  
  Find video clips by searching via quotes.
  
## **Podcast Search**

- [ListenNotes](https://listennotes.com/)  
  Podcast search engine where you can search over 118 million episodes, create your own podcast playlist and cut interesting pieces.

## **Code Search**

- [grep.app](https://grep.app/)  
  Search for strings across half a million git repos.
- [SearchCode](https://searchcode.com/)  
  A great free source code search engine. Helps locate real world examples of functions, API's and libraries in 243 languages from over ten public code sources.
- [SourceGraph](https://sourcegraph.com/search)  
  A web-based code search and navigation tool. Indexes every open source repository with more than 1 star. Claims to have indexed over 1 million repositories and counting.
- [Source Code Search Engine](https://publicwww.com/)  
  Find any alphanumeric snippet, signature or keyword in the web pages HTML, JS and CSS code.

## **Blog, Forum and Image Board Search**

- [Blog Search Engine](http://www.blogsearchengine.org/)  
  A great tool for searching blogs online. Search for a blog, submit your own blogs, or subscribe to an RSS feed on the blog topic.
- [WordPress Blog Search](https://cse.google.com/cse?cx=017261104271573007538:ffk_jpt64gy#gsc.tab=0)  
  A Google CSE that searches for WordPress blogs and images via keyword.
- [OSINT Blog Search](https://cse.google.com/cse?cx=006290531980334157382:qcaf4enph7i#gsc.tab=0)  
  An interesting Google CSE where you can find OSINT related blogs, articles, documents and tools via keyword.
- [BoardReader](https://boardreader.com/)  
  Indexes forums and makes them searchable via keywords. Provides results from specific websites like Reddit, Voat, 4chan, 8chan, and more.

## **Job Search**

- [Monster](https://www.monster.com/)  
  A global employment website where you can search through millions of job listings.
- [ZipRecruiter](https://www.ziprecruiter.com/)  
  Search millions of job listings by area.
- [Indeed](https://indeed.com/)  
  Launched in 2004, Indeed is a worldwide employment website for job listings.
- [Glassdoor](https://www.glassdoor.com/)  
  A website where current and former employees can anonymously review companies. Also allows users to anonymously submit and view salaries as well as search and apply for jobs on its platform.
- [OSINT Jobs](https://www.osint-jobs.com/)  
  A constantly updated list of OSINT related jobs in many locations around the world.

## **Archive Search**

- [Internet Archive](https://archive.org/)  
  Internet Archive is a non-profit library of millions of free books, movies, software, music, websites, and more.
- [Wayback Machine](https://web.archive.org/)  
  A digital archive of the World Wide Web. Allows you to search and view historical versions of websites.
- [Archive.today](https://archive.ph/)  
  An archive site which stores historical snapshots of web pages.
- [WebCite](https://www.webcitation.org/)  
  WebCite is an on-demand archive site, designed to digitally preserve scientific and educationally important material on the web by making snapshots of Internet contents as they existed at the time when a blogger, or a scholar cited or quoted from it.
- [Google Cache](https://webcache.googleusercontent.com/search?q=cache:ENTER-URL-HERE)  
  Google takes a snapshot of each web page as a backup in case the current page isn't available. Simply enter the address you wish to search at the end of the URL. Example: `https://webcache.googleusercontent.com/search?q=cache:<ENTER URL HERE>`
- [Bing Cache](https://www.bing.com/search?q=url:www.ENTER-URL-HERE)  
  Bing also allows you to view cached webpages. Simply search `url:www.<ENTER URL HERE>`, click the small arrow next to the result, then click on "Cached".
- [MementoWeb Time Travel](https://timetravel.mementoweb.org/)  
  Find Mementos in Internet Archive, Archive-It, British Library, archive.today, GitHub and many more.
- [The End of Term Archive](http://eotarchive.cdlib.org/)  
  This archive contains snapshots of federal government websites (.gov, .mil, etc) in the legislative, executive, or judicial branches of the US government.
- [EU Web Archive](https://op.europa.eu/en/web/web-tools/euwebarchive)  
  Contains the main websites of the EU institutions, which are hosted on the european .eu domain and subdomains. Its aim is to preserve EU web content in the long term and to keep it accessible for the public. 
- [iTools](http://itools.com/)  
  iTools is not just a website repository, but it is also a website analyzer that provides you with specifics of the website like contact information, website traffic, Alexa rating, website reputation, data, etc.
- [Arquivo](https://arquivo.pt/)  
  A Portuguese web archive service that serves as a research infrastructure that enables search and access to files archived from the web since 1996.
- [TheOldNet](https://theoldnet.com/)  
  A service that lets users see how websites looked in the past.
- [Quick Cache and Archive Search](https://cipher387.github.io/quickcacheandarchivesearch/)  
  An awesome tool created by [@cyb_detective](https://twitter.com/cyb_detective) that lets you search for older versions of websites via search engines and various web archive services.
- [Archive Portal Europe](https://archivesportaleurope.net)  
  Search through online archives from across Europe. Search for names, companies, geographical locations and more.
- [RaidForums Archive](https://rf-archive.com/)  
  An archive of the old RaidForums site. Data was scraped from both Google cache and the Wayback Machine.
- [CachedView](https://cachedview.com/)  
  Simply enter a URL and view the site via Google cache.
- [CachedPages](http://www.cachedpages.com/)  
  Enter any URL and view archived and cached versions of the webpage.
  
## **Software Search**

- [Internet Archive Vintage Software Collection](https://archive.org/details/vintagesoftware)  
  The Vintage Software collection gathers various efforts by groups to classify, preserve, and provide historical software. These older programs, many of them running on defunct and rare hardware, are provided for purposes of study, education, and historical reference. 
- [OldVersion](http://www.oldversion.com/)  
  A large archive that provides free software downloads for old versions of programs, drivers and games.
- [WinWorldPC](https://winworldpc.com/home)  
  A free online museum and archive dedicated to the preservation and sharing of vintage, abandoned, and pre-release software. Offers information, media and downloads for a wide variety of computers and operating systems.
- [RetroArchive](http://www.retroarchive.org/)  
  This site was created as a logical extension to the original Commercial CP/M Software Archive. The focus has been expanded to encompass all types of "classic" computer systems and their software, not just CP/M.
- [The Higher Intellect Software Archive](https://preterhuman.net/software/)  
  A collection of applications, games, utilities and operating systems for older computer systems. The files available here are part of a larger collection accessible using [Hotline/KDX](https://preterhuman.net/gethotlinekdx.php) ([Wayback](https://web.archive.org/web/20220127202630/https://preterhuman.net/gethotlinekdx.php)), ([archive.today](https://archive.ph/7ovqc)) and connecting to `hl.preterhuman.net`. Focuses mostly on software from the 1980s/1990s for Macintosh and Windows/DOS platforms.
- [Macintosh Repository](https://www.macintoshrepository.org/)  
  An archive and sanctuary for old software from the classic MacOS era.
- [DOS Games Archive](https://www.dosgamesarchive.com/)  
  Currently has 1,135 DOS games in the archive that can be downloaded for free. These games are shareware, freeware, playable demos and full versions which are released as freeware or into the public domain.
- [Atari Archives](https://www.atariarchives.org/)  
  Offers books, information, and software for Atari and other classic computers available for download. Everything here is available with permission of the copyright holders.
- [CP/M Software Archive](http://cpmarchives.classiccmp.org/)  
  A humongous collection of the great CP/M repositories past and present.

## **Newspaper and News Search**

- [NewspaperMap](https://newspapermap.com/)  
  An interactive map of the world that shows you the different newspaper publishers for a specific area, simply zoom into an area of interest.
- [Paperboy](https://www.thepaperboy.com/)  
  Provides easy access to more than 11,000 online newspapers from around the world.
- [Elephind](https://elephind.com/)  
  A search engine that allows you to search for newspapers from all over the world.
- [EMM News Search](https://emm.newsbrief.eu/NewsBrief/clusteredition/en/latest.html)  
  Search for news articles from all over the world via keyword. Very useful when investigating companies and widely known individuals.
- [NewspaperArchive](https://newspaperarchive.com/)  
  Explore billions of newspaper articles from all over the world. Extremely useful tool. Requires a paid subscription.
- [AllYouCanRead](https://www.allyoucanread.com/)  
  A searchable list of news sites and newspapers organized by geographic location.
- [Readium Bookmarklet](https://sugoidesune.github.io/readium/)  
  A simple bookmarklet for reading premium articles for free.
- [Wikipedia - List of Newspaper Archives](https://en.wikipedia.org/wiki/Wikipedia:List_of_online_newspaper_archives) ([Wikiless](https://wikiless.org/wiki/Wikipedia:List_of_online_newspaper_archives))  
  Wikipedia's list of worldwide newspaper archives.
- [BuzzSumo Content Search](https://app.buzzsumo.com/content/web)  
  Enter a domain and find out its three most popular publications on social networks. Includes a time filter.
- [Swedish Newspaper Archive](https://paperarchive-prod.svd.se/)  
  Offers scans of Swedish newspapers dating from 1884-2022.
- [Newspaper Navigator](https://news-navigator.labs.loc.gov/search)  
  Search the Library of Congress newspaper database. Contains over 1.5 million newspaper articles with photos included.
- [OnlineNewspapers](https://onlinenewspapers.com/index.shtml)  
  An index of thousands of newspaper publishers from all over the world.

## **Paste Sites**

- [PSBDMP](https://psbdmp.ws/)  
  Lets you search for pastes that have emails, passwords, user:password combos and more.
- [Pastebin Search](https://pastebin.ga/)  
  Allows you to search over 33 different paste sites. Uses a Google CSE.
- [Online IDE and Paste Search Engine](https://redhuntlabs.com/online-ide-search)  
  Search and find strings across multiple IDEs, code aggregators and paste sites. 
- [Doxbin](https://doxbin.org/)  
  A document sharing and publishing website which invites users to contribute personally identifiable information (PII), or a "dox" of any person of interest. It previously operated on the darknet as a TOR hidden service.
- [Leaked Wiki](https://leaked.wiki/home)  
  Search through thousands of scraped pastes, files and links.
