**Signals Intelligence [SIGINT]**
===========================================================================

## **Radio Frequencies**

- [Signal Identification Wiki](https://www.sigidwiki.com/wiki/Signal_Identification_Guide)  
  Identify radio signals through example sounds and waterfall images. Most signals are received and recorded using a software defined radio.
- [RadioGarden](http://radio.garden/)  
  Tune into thousands of live radio stations from across the world.
- [Live Online Radio](https://liveonlineradio.net/)  
  A large directory of radio stations from around the world that lets you listen in. Organized by geographical region.
- [RadioNet](https://www.radio.net/local-stations)  
  View and listen to radio stations near your location or search for radio stations via keyword.
- [Broadcastify](https://www.broadcastify.com/listen/)  
  Listen to live to police, fire, EMS, aviation, and rail audio feeds from the USA.
- [Radiooooo](https://radiooooo.com/)  
  A collaborative collection of radio stations from all over the world.
- [OpenMHz](https://openmhz.com/)  
  Listen to live police and fire radio from all across the U.S.
- [RadioReference](https://www.radioreference.com/)  
  The largest radio communications data provider. Has a complete frequency database, trunked radio system information and FCC license data. Requires registration.
- [American Archive of Public Broadcasting](https://americanarchive.org/)  
  Discover, listen and watch historic radio and television broadcasts from across the USA.
- [GlobalTuners](https://www.globaltuners.com/)  
  Provides access to remotely controlled radio receivers all over the world. You can tune the receivers to listen to remote radio broadcasts, air traffic, amateur transmissions and much more.
- [Wide-Band WebSDR](http://websdr.ewi.utwente.nl:8901/)  
  On this page you can listen to and control a short-wave receiver located at the amateur radio club at the University of Twente. This receiver can be tuned by multiple users simultaneously.
- [Digital Frequency Search](https://digitalfrequencysearch.com/index.php)  
  Helps find, scan, and identify digital radio frequencies in a specific area. All searches are by county and state. Data is provided from the FCC.
- [DXing](https://www.dxing.com/scanfreq.htm)  
  A database of national radio frequencies.
- [American Disaster Shortwave Frequencies](http://www.nat-com.org/swfreq.htm)  
  A list of emergency radio frequencies used by various US agencies.
- [Bearcat Family Radio Frequencies](http://www.bearcat1.com/family.htm)  
  A list of radio frequencies used by [NatCom](http://www.nat-com.org/).
- [Bearcat Fast Food Frequencies](http://www.bearcat1.com/fastfood.htm)  
  A list of frequencies used by fast food chains in the US.
- [Bearcat Military Frequencies](http://www.bearcat1.com/feds.htm)  
  A list of US military trunked radio frequencies.
- [Bearcat Sports Frequencies](http://www.bearcat1.com/sports.htm)  
  A list of radio frequencies related to sports.
- [Bearcat Online](http://www.bearcat1.com/subscription.htm)  
  A tool that allows you to search various frequency databases. Requires a paid subscription.
- [Default Frequencies for Motorola Business Radios](https://www.buytwowayradios.com/blog/2015/05/default_frequencies_for_motorola_business_radios.html)  
  A list of Motorola business radios with their channel numbers and the default frequencies assigned to them out of the box.
- [EchoLink Link Status](http://www.echolink.org/links.jsp)  
  A list of currently available link stations for amateur radio operators.
- [FindU](https://www.findu.com/)  
  The primary source of data is an amateur radio system called APRS, some weather data comes from an internet based system called the Citizen Weather Observer Program. Data is constantly being updated.
- [EAM Watch](https://eam.watch/)  
  A community log of Emergency Action Messages broadcasted through the High Frequency Global Communication System.
- [Number-Stations](https://www.numbers-stations.com/)  
  The Numbers Stations Research and Information Center is an international group of numbers stations, military stations, and shortwave radio observers.
- [Bellingcat Radar Interference Tracker](https://ollielballinger.users.earthengine.app/view/bellingcat-radar-interference-tracker)  
  Shows interference from ground based radar systems as red and blue streaks. Most of these are military radars. Click on the map to generate a historical graph of Radio Frequency Interference (RFI). Read the documentation for this open-source project [here](https://github.com/bellingcat/sar-interference-tracker).
- [Shortwave Radio Receiver Map](http://rx.linkfanel.net)  
  Online map of shortwave radio receivers available for listening in your browser at the moment.
- [Priyom](https://priyom.org/)  
  Contains both current and historical information about number stations, allowing the recording, listening and analysis.
- [Sondehub](http://sondehub.org/)  
  A worldwide map of radiosondes with detailed info such as altitude, coordinates, frequency, manufacturer, sonde-type and more.
- [GPSJam](https://gpsjam.org/)  
  Free map of GPS interference. Watch jamming around conflict zones develop over time.

## **HAM Radio**

- [QRZ Callsign Database](https://www.qrz.com/lookup/)  
  Search for licensed HAM radio operators by callsign, real name, address, country and more.
- [FCC License Search](https://wireless2.fcc.gov/UlsApp/UlsSearch/searchLicense.jsp)  
  Allows you to search for amateur radio operators by callsign, name or FRN. Search results can provide a persons full name, callsign, addresses and in some cases, felony records.
- [Canadian Amateur Radio Operator Search](https://apc-cap.ic.gc.ca/pls/apc_anon/query_amat_cs$.startup)  
  A database where you can search Canadians who are licensed amateur radio operators. Search by callsign, last name, city, province or postal code.
- [LevineCentral HAM Tools](https://www.levinecentral.com/ham/)  
  Provides useful mapping tools for HAM radio repeaters and more.
