**Social Media Intelligence [SOCMINT]**
===========================================================================

## **<u>General Social Media Tools</u>**

- [World Social Media Platforms](https://www.osintcombine.com/world-social-media-platforms)  
  A tool from [@osintcombine](https://twitter.com/osintcombine) that lets you search for popular social media platforms by country.
- [EffectGroup](https://effectgroup.io/)  
  One of the best tools for searching people by username, email address, real name or phone number and build a dossier on your target. Searches social media sites, data breaches, documents and much more. Requires a paid subscription after first search.
- [OnePlus OSINT Toolkit](https://one-plus.github.io/access.html)  
  Provides easy to use tools for Facebook, Instagram, Twitter, Reddit, SnapChat, YouTube, Periscope, Twitch, Google+, LinkedIn and more.
- [SMAT](https://www.smat-app.com/)  
  The Social Media Analysis Toolkit (SMAT) was designed to help analyze and visualize larger trends on a variety of platforms including Reddit, Gab, Parler, 4chan, 8kun, Telegram, Gettr and more.
- [SkyLens](https://app.skylens.io/)  
  Find geo-tagged posts from five social networks at once on one map. Includes Twitter, YouTube, Instagram, Flickr and Vkontakte.
- [Export Comments](https://exportcomments.com/)  
  Allows you to easily export comments and other details to .xls format from various social media platforms including Facebook, Twitter, Instagram, YouTube, TikTok, VK, Twitch, Discord and Steam. Free use if limited to 100 comments, a paid subscription is required to remove this limitation.
- [Synapsint](https://synapsint.com/)  
  Described as the "Unified OSINT research tool". Scrapes data from other sources, combines the results, then displays it using a simple interface. Search for domain, IP address, IPv6 address, ASN, SSL certs, Google accounts, email address, phone number, Twitter handle or Bitcoin address.
- [RandomTools](https://randomtools.io/)  
  A collection of tools for Facebook, Twitter, Instagram, Reddit and YouTube. Find user IDs, search comments on Reddit, calculate earnings from a YouTube channel and more. 
- [Social-Searcher](https://www.social-searcher.com/)  
  Allows to search for content in social networks in real-time and provides deep analytics data. Users can search without logging in for publicly posted information on Twitter, Google+, Facebook, YouTube, Instagram, Tumblr, Reddit, Flickr, Dailymotion and Vimeo.
- [SocialBlade](https://socialblade.com/)  
  Tracks user statistics for YouTube, Twitch, Instagram, and Twitter accounts.
- [Shreateh Social Media Tools](https://khalil-shreateh.com/khalil.shtml/social_applications/)  
  A large collection of SOCMINT tools for Facebook, YouTube, Instagram, Twitter and TikTok.
- [Kriburm](https://kribrum.io/search)  
  A Russian site that act as a search engine for different social media platforms. Includes filters by author and time period.
- [AussieFinder](https://aussiefinder.com.au/)  
  Search 5 different social media networks at once for Australian citizens. Uses a Google CSE.
- [Social Salary Calculator](https://lickd.co/blog/social-salary-calculator)  
  Calculate how much views or followers you would need to match a current salary. Almost useless, but still worth mentioning because its *neat*.
- [SignalHire](https://www.signalhire.com/)  
  An interesting tool that helps you find emails and phone numbers. Requires a paid subscription.
- [SocialNetworkHarvester](https://www.socialnetworkharvester.de/)  
  A great tool that allows you to gather, analyze and visualize data. Requires a paid subscription.
- [Tagdef](https://tagdef.com/en/)  
  The "Social Media Dictionary". Helps discover what hashtags mean, also lets you add your own definitions.
- [Alternative Social Platform Search](https://www.osintcombine.com/alt-tech-social-search)  
  A Google CSE from OSINT Combine that searches across alternative and "non-mainstream" social platforms and boards including Parler, Gab, Minds, BitChute, DLive.tv, Rumble, JustPaste.it, WrongThink.net & 8kun.
- [IntelTechniques OSINT Tools](https://inteltechniques.com/tools/)  
  An awesome collection of many different OSINT tools from IntelTechniques. Thanks Mr. Bazzell!
- [PhantomBuster](https://phantombuster.com/)  
  A cloud-based data extraction tool designed to scrape useful data from Twitter, Facebook, LinkedIn, Instagram, and more. Allows data export to CSV and JSON formats. Requires a paid subscription.
- [HuntIntel](https://www.huntintel.io/)  
  Find Instagram places, Facebook places, VK photos, public Snapchat stories and Tweets based on location as well as many more features. Requires registration.
  
## <u>**Bitmoji**</u>

- [BACKMOJI](https://webbreacher.github.io/osinttools/)  
  The Bitmoji avatar history enumerator, simply enter a Bitmoji ID, version (usually the number 5), and a maximum value. Press the “Grab Images!” button and your browser will make “maximum value” requests for the images of that user’s Bitmoji.

## <u>**Clubhouse**</u>

- [ClubhouseDB](https://clubhousedb.com/)  
  A free Clubhouse analytics tool. Find the most followed users and clubs using this database.
- [RoomsOfClubhouse](https://roomsofclubhouse.com/)  
  Search open and scheduled rooms in the Clubhouse app.
- [ClubSearch](https://clubsearch.io/)  
  Search open and scheduled rooms.
- [Avatar Reverse Search](https://search4faces.com/ch00/index.html)  
  Reverse image face search over 4.5 million Clubhouse avatars.

## <u>**Discord**</u>

- [DisBoard](https://disboard.org/search)  
  A public server search engine.
- [DiscordBee](https://discordbee.com)  
  A search engine for public Discord servers.
- [DiscordServers](https://discordservers.com/browse)  
  Another great search engine for public Discord servers.
- [DiscordHub User Search](https://discordhub.com/user/search)  
  A tool for searching Discord users.
- [DiscordID](https://discord.id/)  
  Another good tool for searching Discord users.
- [Top.gg](https://top.gg/)  
  Search for Discord bots.
- [UnfURL](https://dfir.blog/unfurl/)  
  If you have any URLs of interest from Discord, you can potentially extract additional timestamp info. Each Discord ID (for user, channel, server, or file attachment) has an embedded timestamp that shows when that object was created. This tool will help you extract them.
- [Discord Snowflake to Timestamp](https://pixelatomy.com/snow-stamp/)  
  A "snowflake" is essentially a unique ID for a resource which contains a timestamp. You can copy the snowflake from a message, user, channel, etc by right clicking on them in Discord. This will let you check the age of a Discord account or server.
- [Discord History Tracker](https://dht.chylex.com/)  
  Lets you save chat history in your servers, groups, and private conversations, and view it offline. Be careful, as this tool technically goes against Discord's ToS, so its possible that you could get your account banned!
- [Serverse](https://extraction.team/serverse.html)  
  Easily search for Discord servers by keyword using a simple wrapper for Yandex and Google. Made by [@jakecreps](https://twitter.com/jakecreps) and [@aleksanderrr_](https://twitter.com/aleksanderrr_).
- [DiscordCenter](https://discord.center/)  
  Another Discord server search tool.
- [Discord ID Creation Date](https://hugo.moe/discord/discord-id-creation-date.html)  
  Enter a users ID and view the exact time and date when the account was created.
- [Discord Badge Guide](https://support.discord.com/hc/en-us/articles/360035962891-Profile-Badges-101)  
  A quick reference that explains the various different profile badges you may see on Discord.
- [Lookup Guru](https://lookup.guru/)  
  Lookup any Discord ID and view details such as creation date and user type.
- [DiscordName](https://discord.name/)  
  Enter any user ID and see when the account was created. 
- [DisTools](https://distools.app/lookup/guild)  
  Enter a server ID and view general information about the server and its users. Will give you an invite code as well if available. Not the best tool, does not seem to work with some Discord servers.  
- [DiscordList](https://discordlist.me/)  
  Yet another server search index.
- [Public Flag List](https://github.com/Delitefully/DiscordLists/blob/master/flags.md)  
  A list of account flags. These are the `public_flag` codes in the output of a user account.

## <u>**Facebook**</u>

- [OSINT Combine Facebook Tools](https://www.osintcombine.com/facebook-search-tools)  
  A simple way to quickly search for multiple keywords from a list or open mutual friends for multiple profiles at the same time. It simply loads a new tab for each word or ID searched to create efficiency when working from a list of search terms or IDs, it does not do any advanced searching or automation.
- [2019 Facebook Breach Search](http://4wbwa6vcpvcr3vvf4qkhppgy56urmjcj2vagu2iqgp3z656xcmfdbiqd.onion)  
  An .onion site that allows you to search through the full 2019 Facebook data breach. Click [here](http://4wbwa6vcpvcr3vvf4qkhppgy56urmjcj2vagu2iqgp3z656xcmfdbiqd.onion.pet/) for a clearnet proxy.
- [WhoPostedWhat?](https://whopostedwhat.com/)  
  Allows you to search keywords by specific dates, date ranges and location.
- [SOWsearch](https://www.sowsearch.info/)  
  This page tries to be a simple interface to show how the current Facebook search function works. Still experimental.
- [Facebook Matrix](https://plessas.net/facebookmatrix)  
  A collection of techniques and formulas for searching Facebook.
- [Search is Back](https://searchisback.com/)  
  Find people and events on Facebook. Searchable by name, location, relationship, gender, language, and more.
- [Facebook Dangerous Individuals and Organizations List](https://theintercept.com/document/2021/10/12/facebook-dangerous-individuals-and-organizations-list-reproduced-snapshot/)  
  A leaked internal document from Facebook that contains their list of dangerous individuals and groups. Worth saving. Archived copies available [here (Wayback)](https://web.archive.org/web/20211013174325/https://theintercept.com/document/2021/10/12/facebook-dangerous-individuals-and-organizations-list-reproduced-snapshot/) and [here (archive.today)](https://archive.ph/LQLhK). Original .pdf available [[PDF] here](https://s3.documentcloud.org/documents/21083819/facebook-dangerous-individuals-and-organizations-list-reproduced-snapshot.pdf). Archived copy available [here (Wayback)](https://web.archive.org/web/20211014081041/https://s3.documentcloud.org/documents/21083819/facebook-dangerous-individuals-and-organizations-list-reproduced-snapshot.pdf).
- [Facebook Law Enforcement Guide](https://www.facebook.com/safety/groups/law/guidelines/)  
  Guidelines and resources for law enforcement officials seeking records from Facebook and/or Instagram.
- [StalkFace](https://stalkface.com/en/)  
  This tool allows you to analyze Facebook accounts via URL. This tool is not very affective and doesn't always work, but its still worth mentioning.
- [Facebook Image Search](https://cse.google.com/cse?cx=013991603413798772546:jyvyp2ppxma#gsc.tab=0)  
  A Google CSE where you can search for images posted on Facebook via keywords.
- [IntelX Facebook Search](https://intelx.io/tools?tab=facebook)  
  A great Facebook search engine offered by IntelX.
- [Facebook Search CSE](https://cse.google.com/cse?cx=95ae46262a5f2958e)  
  A Google CSE for Facebook. Made by [OSINT Me](https://www.osintme.com/).
- [Lookup-ID](https://lookup-id.com/)  
  A simple tool to get a Facebook ID of a user, group or page. Also provides a few other useful tools.
- [Facebook Live Map](https://www.facebook.com/livemap#)  
  Find Facebook live streams via location.
- [Crowdtangle Facebook Video Search](https://www.crowdtangle.com/videosearch)  
  A tool from Meta to search for Facebook videos. Requires registration.
- [Graph.tips Beta](https://graph.tips/beta/)  
  An experimental tool to help search Facebooks new graph search function.
- [Facebook Ads Library](https://www.facebook.com/ads/library/)  
  Search all the ads currently running across Meta technologies. To find an ad, search for keywords or an advertiser. The Ad Library also archives ads about social issues, elections or politics for 7 years. Find details about these ads like who paid for them and who the advertiser was targeting. Requires log in.

## <u>**Flickr**</u>

- [Flickr Maps](https://www.flickr.com/map/)  
  Image metadata from Flickr plotted on a map.
- [idGettr](https://www.webfx.com/tools/idgettr/)  
  Use the URL of a Flickr photo stream to find the Flickr ID number, also works for groups.
- [Flickr Photopool Contact Network](https://labs.polsys.net/tools/flickr/photopool/)  
  Analyzes Flickr groups and makes a list of usernames of participants.

## <u>**GitHub**</u>

- [GitHub Rater](https://aykutsarac.github.io/github-rater/)  
  Rates GitHub profiles with data received from the GitHub API.
- [CommitsTop](https://commits.top/)  
  A list of the currently most active GitHub users, sorted by country.
- [Gitstar Ranking](https://gitstar-ranking.com/)  
  Unofficial GitHub star ranking for users, organizations and repositories.
- [GitHubCompare](https://githubcompare.com/)  
  A tool that allows you to compare two GitHub repositories.
- [GitHub Profile Summary](https://profile-summary-for-github.com/search)  
  Get details and statistics of any GitHub profile.
- [SEART Github Search](https://seart-ghs.si.usi.ch)  
  Search engine for GitHub with a dozen different filters. 
- [Gitvio](https://gitvio.vercel.app/)  
  View detailed information about a GitHub profile. Simply enter a username.
- [ReposTimeline](https://repostimeline.nazifbara.com/)  
  Enter a username and view a timeline of that users repositores and forks.
- [OSS Insight](https://ossinsight.io/)  
  Analyze developers and repository data based on over 5 billion GitHub events.

## **<u>Gravatar</u>**

- [Gravatar Email Search](https://en.gravatar.com/site/check/)  
  Tool to search for a persons Gravatar by entering an email address.

## <u>**Instagram**</u>

- [SearchUsers](https://searchusers.com/)  
  Search for Instagram users by name or username.
- [SearchMyBio](https://www.searchmy.bio/)  
  Search a users bio. Find users that list their location, interests, occupation, other social media accounts and whatever else is listed on their profile biography.
- [ImgInn](https://imginn.com/)  
  View Instagram profiles, download photos, videos and stories, watch Instagram stories anonymously.
- [InFlact](https://inflact.com/tools/profile-analyzer/)  
  Analyze any public profile on Instagram. Enter a username of any public profile to view profile information, pictures and precise statistics.
- [Worldcam](http://worldc.am/)  
  Search Instagram by location. Find the latest Instagram photos from places on the other side of the world, or just around the corner.
- [BearPanther Insta Map](http://bearpanther.com/instamap/)  
  Takes geo-tagged Instagram posts and plots them on a map. Similar to Worldcam.
- [MetaHashtags](https://metahashtags.com/)  
  Find all related Instagram posts via hashtags with analytics and metrics. Allows you to sort hashtags and export them to a list. They also offer a paid subscription that includes additional tools.
- [Pixwox](https://www.pixwox.com/)  
  Instagram profile, post, story viewer and downloader, easily view and download Instagram photo and videos online.
- [Dumpor](https://dumpor.com/)  
  View profiles, reels, stories, followers, following and tagged posts anonymously. Allows you to download posts.
- [Picuki](https://www.picuki.com/)  
  Search, view and edit Instagram content without having to log in.
- [Gramhir](https://gramhir.com/)  
  Search and analyze profiles and hashtags without having to use an account.
- [StoriesDown](https://storiesdown.com/)  
  Allows you to view and download Instagram stories and posts without an account.
- ~~[Bibliogram](https://git.sr.ht/~cadence/bibliogram-docs/tree/master/docs/Instances.md)  
  Takes data from Instagram's public profile views and puts it into a friendlier page that loads faster, gives downloadable images, eliminates ads, generates RSS feeds, and doesn't urge you to sign up.~~ Project has been discontinued. Read more [here](https://cadence.moe/blog/2022-09-01-discontinuing-bibliogram).
- [Instadp](https://www.instadp.com/)  
  An online tool that displays full size profile pictures of a user. It also allows you to download photos, videos, stories and reels.
- [InstaFollowers](https://www.instafollowers.co/find-instagram-user-id)  
  A simple tool that allows you to get a Instagram users user ID by searching their username.
- [Find Instagram User ID](https://codeofaninja.com/tools/find-instagram-user-id/)  
  A tool that shows you how to extract an Instagram users information in JSON format.
- [iGram Downloader](https://igram.io/)  
  A simple online tool that allows you to download images, videos and IGTV posts via URL.
- [InstaHunt](https://instahunt.co/)  
  Displays Instagram posts in any chosen geographic location.
- [InstaNavigation](https://instanavigation.com/)  
  View Instagram profiles without registration.
- [Iganony](https://iganony.io/)  
  View Instagram profiles and download stores and posts without registration.
- [InstaFreeView](https://instafreeview.com/)  
  View Instagram profiles anonymously without having to login.

## **<u>Kik Messenger</u>**

- [Kik User Information](https://ws2.kik.com/user/<username_goes_here>)  
  Enter a Kik username and get information for that account in JSON format. Includes full name, profile picture, and a UNIX formatted timestamp of when the profile picture was last changed. Example: `https://ws2.kik.com/user/<username_goes_here`.
- [KikMe Username Search](http://kik.me/<username_goes_here>)  
  Check if a username exists simply by entering in a username in the URL. Displays full name, username and profile picture. Example: `http://kik.me/<username_goes_here>`.
- [KikUsernames](https://kikusernames.com/search)  
  Search for Kik usernames.

## <u>**LinkedIn**</u>

- [Recruit'em X-Ray Search](https://recruitin.net/)  
  Recruit'em is a tool that helps you find people on social networks. It creates a basic Boolean string that searches for publicly available webpages using Google.
- [FreePeopleSearchTool](https://freepeoplesearchtool.com/)  
  Find LinkedIn profiles without using your account.
- [Chartloop](https://buildorgchart.herokuapp.com/)  
  Get a birds-eye view of an organizations team structure and location. Requires a paid subscription. 
- [LinkedIn Prospect Boolean Search](https://linkedprospect.com/linkedin-boolean-search-tool/)  
  Designed to help easily build search strings to generate targeted lists of LinkedIn users.
- [LinkedIn User Search](https://cse.google.com/cse?cx=daaf18e804f81bed0)  
  A Google CSE for searching LinkedIn profiles via keywords.
- [Lisearcher](https://www.lisearcher.com/)  
  Easily find public LinkedIn profiles for candidates or B2B prospects in Google by searching using job title and keywords with boolean search.
- [IntelX LinkedIn Search](https://intelx.io/tools?tab=linkedin)  
  A great LinkedIn search engine offered by IntelX.

## **<u>Mastodon</u>**

- [NOC Social Search](https://search.noc.social/)  
  Search for social accounts across multiple Mastodon/Fediverse instances. Discover content and users on this open source social network.
- [CommotionMade](https://www.commotionmade.com/)  
  Bulk find Mastodon users via a list of usernames.
- [MastoVue](https://mastovue.glitch.me/)  
  Peek into any public Mastodon timeline or search for hashtags.
- [Imagstodon](https://seintpl.github.io/imagstodon/)  
  Enter a username and search for profile images on over 100 Mastodon instances. Made by [@SEINT_pl](https://twitter.com/SEINT_pl).
- [Fediverse Mapping Project](https://kumu.io/Secjuice/fediverse)  
  An interactive map of over 120,000 Mastodon instances. Made by [@Secjuice](https://twitter.com/Secjuice).
- [FollowGraph](https://followgraph.vercel.app/)  
  Enter a Mastodon username and get a list of accounts followed by the people this profile follows.
- [Movetodon](https://movetodon.org/)  
  Get a list of your Twitter followers in Mastodon.

## <u>**OnlyFans**</u>

- [OnlyFinder](https://onlyfinder.com/)  
  Search for accounts and images by username, keyword or geographical location.
- [OnlySearch](https://onlysearch.co/)  
  Search for OnlyFans accounts via username or keywords.
- [FansMetrics](https://fansmetrics.com/)  
  Lets you search for accounts by username and provides metrics and analytics for a given account.
- [FindrFans](https://findr.fans/)  
  Allows you to search by a username, country, and a few different US states.
- [Hubite](https://hubite.com/onlyfans-search/)  
  OnlyFans profile search, includes a price filter.
- [SimilarFans](https://similarfans.com/)  
  Search for OnlyFans accounts by category, location or popularity. Also offers reviews and ratings.
- [OnlyFans Law Enforcement Guide](https://onlyfans.com/legalguide/)  
  A guide for law enforcement on what to do when dealing with OnlyFans investigations.
- [Sotugas](https://sotugas.com/)  
  A directory of OnlyFans creators located in Portugal.

## <u>**Parler**</u>

- ~~[Parler Archive](https://parler.adatascienti.st/)  
  A searchable dataset of the Parler social network.~~ Currently down, keeping this here in case it goes live again.
- [Parler Database](https://ddosecrets.com/wiki/Parler)  
  Download the entire Parler database provided by DDoSecrets.

## **<u>Patreon</u>**

- [Graphtreon](https://graphtreon.com/)  
  Provides information and statistics for Patreon accounts such as earnings, rank, creation date and more.

## <u>**Pinterest**</u>

- [PinGroupie](https://pingroupie.com/)  
  A massive Group Pinterest board directory with over 29,000 group boards listed. Also has an advanced search function.
- [Pinterest Site Map](https://www.pinterest.com/html_sitemap/pinners_a.html)  
  A site map of Pinterest users, collections and topics.

## <u>**Reddit**</u>

- [Camas Reddit Archive Search](https://camas.unddit.com/)  
  One of the best Reddit archives out there. Search for deleted posts and comments. Allows you to search by username, subreddit, date range, string, or a commination of all.
- [Camas Reddit Archive Search #2](https://bmai.dev/reddit/)  
  Essentially a clone of the above.
- [Adhesivecheese Reddit Search](https://adhesivecheese.github.io/chearch/)  
  Another clone of the Camas Reddit archive search tool. 
- [Reveddit](https://www.reveddit.com/about/)  
  A searchable archive of removed content on Reddit. Search by username, subreddit, link or domain.
- [Reddit User Analyzer](https://reddit-user-analyser.netlify.app/)  
  Helps analyze a Reddit user's account and provides you with various metrics.
- [Reddit Comment Search](https://redditcommentsearch.com/)  
  Search through comments of a particular reddit user.
- [ReSavr](https://www.resavr.com/)  
  This site archives deleted comments on Reddit and lets you search them via keyword.
- [Pushshift Reddit Search](http://redditsearch.io/)  
  A comprehensive search engine and real-time analytics tracker for Reddit.
- [Map of Reddit](https://anvaka.github.io/map-of-reddit)  
  A very organized interactive map of subreddits.
- [YASIV Reddit Visualization](http://yasiv.com/reddit)  
  Search for a subreddit and view an interactive chart of related subreddits.
- [RedditMetis](https://redditmetis.com/)  
  Enter a username and see recent activity, comment and submission summaries, word cloud, and more interesting stats. Data is generated from the last 1,000 comments and submissions.
- [Redective](https://www.redective.com/)  
  Search for a username or subreddit and view in-depth statistics about it.
- [The-Eye Subreddit Archive](https://the-eye.eu/r/)  
  A collection of archived subreddits from the-eye.eu. Includes some NSFW subreddits.
- [Reddit Archive](http://www.redditarchive.com/)  
  A non-searchable historical archive of Reddit posts. Almost useless, but still worth mentioning.
- [Rdddeck](https://rdddeck.com/)  
  A simple tool for monitoring subreddits.
- [DeaditArchive](https://deaditarchive.netlify.app/)  
  A small archive of various banned subreddits.
- [Subreddit User Overlaps](https://subredditstats.com/subreddit-user-overlaps)  
  Type a subreddit name to list its overlaps with other subreddits.
- [Teddit](https://teddit.net/)  
  An alternative, privacy respecting, Reddit front-end.
- [libreddit](https://libredd.it/)  
  Another alternative front-end for Reddit.
- [SocialGrep](https://socialgrep.com/)  
  Allows you to track and set alerts of posts of your preference. They also have historical data going back to 2010.
- [Reddit Scraper](https://apify.com/trudax/reddit-scraper)  
  Crawl posts, comments, subreddits and users without having to login.
- [Redditle](https://redditle.com/)  
  A Reddit-only Google search tool. Essentially the same as adding site:reddit.com to a Google search.
- [Better Reddit Search](https://betterredditsearch.web.app)  
  Reddit search tool for posts and subreddits that has boolean filters via keywords and publication date.
- [Reddit about.json](https://www.reddit.com/user/USERNAME-HERE/about.json)  
  Use the official Reddit service to view more details about a user. Example: `https://www.reddit.com/user/USERNAME-HERE/about.json`.
- [LaterForReddit](https://dashboard.laterforreddit.com/analysis)  
  Use this tool to examine popular post trends for a given subreddit. It'll examine the top 1,000 posts in that subreddit in the past month/year, and tell you when they were posted.
- [RedditDownloader](https://redditdownloader.github.io/)  
  Enter a username or subreddit and this tool will automatically download all images, videos and GIFs.

## <u>**SnapChat**</u>

- [Snap Map](https://map.snapchat.com/)  
  An interactive map that allows you to view public snaps from a specific location, simply click on a general area.
- [Snap Code Search](https://feelinsonice.appspot.com/web/deeplink/snapcode?username=ENTER-USERNAME-HERE&size=400&type=SVG)  
  Search for a username and see their Snap Code. Simply edit the URL and input a username, like so; `https://feelinsonice.appspot.com/web/deeplink/snapcode?username=ENTER-USERNAME-HERE&size=400&type=SVG`.
- [SnapChat Stories](https://story.snapchat.com/@ENTER-USERNAME-HERE)  
  Enter a username and view any of their public SnapChat stories as well as account information like display name, Snap Code and Bitmoji avatar. Example; `https://story.snapchat.com/@ENTER-USERNAME-HERE`.
- [GhostCodes](https://www.ghostcodes.com/)  
  Snapchat discovery platform that enables you to find new people to follow on Snapchat, and allows "influencers" to grow their following.
- [[PDF] Snap Inc. Law Enforcement Guide](https://storage.googleapis.com/snap-inc/privacy/lawenforcement.pdf)  
  A very useful guide for law enforcement when dealing with SnapChat during an investigation. Archived copies can be found [here (Wayback)](https://web.archive.org/web/20210724093427/https://storage.googleapis.com/snap-inc/privacy/lawenforcement.pdf) and [here (Library Genesis)](http://libgen.rs/book/index.php?md5=27E6DE921660B3D2C1AF533199A08137).
- [SoVIP Influencer Search](https://sovip.io/)  
  Search for SnapChat users by username or location. Very limited results, and some results may be NSFW.
- [OSINTCombine SnapChat Multi-Viewer](https://www.osintcombine.com/snapchat-multi-viewer)  
  Enter a location and view multiple SnapChat stories at once.

## <u>**Skype**</u>

- [Epieos Skype Lookup](https://tools.epieos.com/skype.php)  
  Find Skype users via email address, phone number or username.
- [~~Skypli~~](https://www.skypli.com/)  
  Appears to be broken. Gives 500 errors upon searching as of 15/11/2021. Keeping this link here in case it starts working again.
- [Email2Skype](https://www.vedbex.com/tools/email2skype)  
  A simple tool that retrieves a Skype account details such as profile picture, username, real name and location from an email address. Looks like a typical skid site, but it actually does work. This site also offers a bunch of other useful tools as well.
- [Skype Avatar](https://avatar.skype.com/v1/avatars/username/public)  
  Replace the username section of this URL to a target username and recieve their profiles avatar.

## **<u>Spotify</u>**

- [Chosic Playlist Analyzer](https://www.chosic.com/spotify-playlist-analyzer/)  
  Analyze any playlist on Spotify, calculate the "mood", determine favorite genres and favorite artists.
- [ChartMasters Streaming Calculator](http://chartmasters.org/spotify-streaming-numbers-tool/)  
  Generate a report of the number of streams from a particular artist's tracks on Spotify. Requires registration.

## <u>**Telegram**</u>

- [IntelX Telegram Search](https://intelx.io/tools?tab=telegram)  
  A great Telegram search engine offered by IntelX.
- [TelegramDB](https://telegramdb.org/)  
  Database of public Telegram groups, channels and bots.
- [Buzz.im Search](https://search.buzz.im/)  
  A tool that allows you to search Telegram channels, messages and authors for a specific string.
- [SovaWEB Telegram OSINT Bot](https://sovaweb.herokuapp.com/)  
  A very interesting Russian OSINT bot for Telegram. Search via username, email, IMSI, IMEI, BTS, MSISDN, IP address or BSSID. Click [here](https://sovaweb-herokuapp-com.translate.goog/?_x_tr_sl=auto&_x_tr_tl=en&_x_tr_hl=en-GB&_x_tr_pto=nui) for a Russian to English translation.
- [Lyzem](https://lyzem.com/)  
  A search engine for Telegram and Telegraph. 
- [Telegogo Google CSE](https://cse.google.com/cse?&cx=006368593537057042503:efxu7xprihg#gsc.tab=0)  
  Search for channels, groups, bots and public messages with this Google CSE.
- [TelegramGroup](https://www.telegram-group.com/en/)  
  Search for channels, groups and bots.
- [xTea](https://xtea.io/ts_en.html)  
  Another tool that allows you to search for channels, groups and bots on Telegram.
- [Telegcrack](https://telegcrack.com/)  
  A search engine for Telegra.ph. You can find the all posts with known title. Currently has around 3,554,101 posts indexed. 
- [Telemetrio](https://telemetr.io/en/channels)  
  Channel and chat statistics service for Telegram.
- [TelegramCatalog](https://telegramcatalog.com/en/channels)  
  A large directory of Telegram channels, organized by subject.
- [sssoou](http://www.sssoou.com/)  
  Search Telegram for Chinese channels, groups and bots.
- [CommentGram](https://cse.google.com/cse?cx=006368593537057042503:ig4r3rz35qi#gsc.tab=0)  
  A Google CSE that allows you to search for comments in Telegram threads.
- [Tgstat](https://tgstat.com/)  
  One of the largest directories of Telegram channels. Provides detailed information about audience growth, engagements, and mentions of a particular channel in various sources.
- [Exgram Search](https://yandex.ru/search/site/?text=osint&searchid=2424333&lr=213)  
  Tool based by Yandex Custom Search. Searches 17 telegram content aggregator sites.

## <u>**TikTok**</u>

- [TikStats](https://tikstats.org/)  
  A profile analyzer for TikTok that displays profile statistics.
- [Exolyt](https://exolyt.com/)  
  A TikTok analytics and monitoring platform for any TikTok profile or video.
- [MaveKite](https://mavekite.com/)  
  Enter the nickname of a user and get the data on likes, comments, views, shares and engagements for their last forty videos.
- [TikBuddy](https://app.tikbuddy.com/)  
  Performs profile analytics for a user profile.
- [TikTokD](https://tiktokd.com/)  
  Allows you to download TikTok videos without watermarks via username.
- [ssstik](https://ssstik.io/en)  
  A simple online tool that allows you to download TikTok videos without the watermark via a URL.
- [TikRank](https://tikrank.com/)  
  A powerful TikTok saver that supports bulk saving of TikTok videos without watermark and viewing TikTok rankings.
- [VidNice TikTok Search](https://vidnice.com/search/)  
  Search for TikTok users and hashtags.
- [TikTok Google CSE](https://cse.google.com/cse?cx=011444696387487602669:aqf7d9w73om#gsc.tab=0)  
  Search for posts, hashtags and users with this handy Google CSE.

## <u>**Tinder**</u>

- [Tinder User Search](https://tinder.com/@username)  
  Use the actual Tinder service to search if a username exists. Example: `https://tinder.com/@username`.

## <u>**Tumblr**</u>

- [Tumblr Original Post Finder](https://jetblackcode.com/TumblrOriginalPostFinder)  
  Find all original posts for any Tumblr blog. You can filter posts by note count or a certain tag.
- [Tumblr Tools](http://labs.polsys.net/tools/tumblr/)  
  Collects posts tagged with a specific term from Tumblr and export to a .tab or .gdf file.

## <u>**Twitch**</u>

- [TwitchTracker](https://twitchtracker.com/)  
  Get a detailed analysis of a Twitch streamer.
- [Twitch Username API](https://api.ivr.fi/twitch/resolve/USERNAME-HERE)  
  Get user information via the Twitch API. Simply add a username to the end of the URL, like so: `https://api.ivr.fi/twitch/resolve/username-here`.
- [SullyGnome](https://sullygnome.com/)  
  Provides detailed statistics and analytics for a Twitch user.
- [2021 Twitch Leaked Data](https://sizeof.cat/post/twitch-leaks/)  
  In October 6th, 2021, Twitch got hacked and their data was dumped online. This article explains the contents of the breached data and provides a magnet URI to download the raw data. Page has been archived [here (archive.today)](https://archive.ph/IBNSS). Read the official statement from Twitch [here](https://blog.twitch.tv/en/2021/10/06/updates-on-the-twitch-security-incident/).
- [Twitch Earnings Lookup](https://twitch.fckdmca.com/)  
  Data was taken from the hacked Twitch data that was leaked online on October 6th, 2021. Page archived [here (Wayback)](https://web.archive.org/web/20211007151749/https://twitch.fckdmca.com/) and [here (archive.today)](https://archive.ph/MKGsy).
- [TwitchTools](https://twitch-tools.rootonline.de/channel_previews.php)  
  Search streams and filter results by title, game, language, number of viewers. Also provides other useful tools for Twitch.
- [Twitch Community Overlap](https://stats.roki.sh/)  
  Shows the viewer and audience overlap stats between different channels on Twitch. You can find who's community overlaps the most with your favorite streamer. You can also check which channels chat hoppers are going to.
- [Chatter Viewer](https://t.3v.fi/chatters/?ch=USERNAME-HERE)  
  A tool to view chatter of a specific user. Enter a username at the end of the URL. Example: `https://t.3v.fi/chatters/?ch=username-here`.
- [Twitch Logs](https://logs.ivr.fi/)  
  Enter a username and the name of a channel to see all of a user's messages in that channel. Results can be exported as a TXT file.
- [Pogu.live](https://pogu.live/)  
  Allows you to watch sub only or deleted video-on-demand (VODs) for free. It works because when a streamer deletes a video, it is not deleted from Twitch servers immediately.
- [ModLookup](https://modlookup.3v.fi/)  
  Returns all channels recently live in the last 3 months the user has a sword in out of the pool of millions of channels the tool tracks on a daily basis.
- [TwitchDatabase](https://www.twitchdatabase.com/following)  
  See what channels a user is following.
- [TwitchStats](https://twitchstats.net/)  
  You can find detailed stats about your favorite streamer, channel, game and teams. There are many different stats including newest twitch team, channel subscriber count, new and best clips and multiple ranking for all the games and streamers.
- [Twitch Followage Tool](https://streamscharts.com/tools/followage)  
  Enter the Twitch username and get a complete list of channels they follow.
- [Twitch-Tools](https://twitch-tools.lolarchiver.com/)  
  A collection of Twitch tools, like username history, chat history, and other changelog history. 

## <u>**Twitter/X**</u>

- [TinfoLeak](https://tinfoleak.com/)  
  Create a dossier on a Twitter user. Information includes name, username, profile picture, location, followers, devices, applications and operating systems used, social networks, creation date, hashstags used, user mentions, and more.
- [AccountAnalysis](https://accountanalysis.app/)  
  This tool enables you to evaluate Twitter accounts. For example how automated they are, how many retweets they post, or which websites they link to most often.
- [Nitter](https://nitter.net/)  
  Allows you to view a persons posts, images and videos without having a Twitter account yourself. Also has a very handy search function that allows you to search through a persons tweets for a specific string.
- [Account Change History Search](https://spoonbill.io/twitter/data/<USERNAME-HERE>/)  
  Spoonbill lets you see profile changes from the people you follow on Twitter. Contains bios, website, locations, and name history.
- [Advanced Search on Twitter](https://github.com/igorbrigadir/twitter-advanced-search)  
  A nice page that describes the various different search operators that can be utilized on the Twitter [advanced search function](https://twitter.com/search-advanced).
- [TruthNest](https://app.truthnest.com/)  
  Analytics and statistics for a Twitter account. Requires you to login.
- [TweetBeaver](https://tweetbeaver.com/)  
  A great collection of various tools for preforming Twitter account OSINT. Requires you to be sign into your Twitter account.
- [TweetMap](https://www.omnisci.com/demos/tweetmap)  
  Visualize hundreds of millions of tweets in real-time, from the global level all the way down to your neighborhood.
- [OneMillionTweetMap](https://onemilliontweetmap.com/)  
  A tool used to visualize tweets and aggregated Twitter data in a world map.
- [TrendsMap](https://www.trendsmap.com/map)  
  An interactive map of the current hashtags, users and subject that are trending on Twitter.
- [All My Tweets](https://www.allmytweets.net/connect/)  
  View all tweets, likes, followers or timeline on one page. Great for viewing, searching and saving Twitter info.
- [Twiangulate](http://twiangulate.com/search/)  
  Helps with mapping connections between Twitter friends and followers and provides analytics.
- [Twitter Video Downloader](https://twittervideodownloader.com/)  
  A simple online tool that allows you to quickly save videos posted on Twitter. Simply enter the posts URL.
- [Shadowban Test](https://shadowban.eu/)  
  Allows you to check is a Twitter user is "shadowbanned" or not.
- [GeoSocial Footprint](http://geosocialfootprint.com/)  
  Provides an easy way to view a users geosocial footprint by analyzing GPS enabled tweets, social check-ins, natural language location.
- [BotSentinel](https://botsentinel.com/)  
  A platform developed to classify and track inauthentic accounts, bots and toxic trolls.
- [Sentiment140](http://www.twittersentiment.appspot.com/)  
  A Twitter sentiment analysis tool. Discover the positive and negative opinions about a product or brand. Also has an API available.
- [Twubs](http://twubs.com/)  
  Follow hashtags, conversations, tweets, photos, videos and more in real-time. Also allows you to participate and host public Twitter chats.
- [TweetTunnel](https://tweettunnel.com/reverse.php)  
  Allows you to search old and/or deleted tweets from a specific user. Does not work with every account and this site is no longer maintained as far as I know.
- [Tweet Archivist](http://www.tweetarchivist.com/)  
  Analytics tool to search, archive, analyze, visualize, save and export tweets based on a search term or hashtag. Requires a paid subscription.
- [MyTweetAlerts](https://www.mytweetalerts.com/)  
  Search Twitter for the tweets most important to you and receive custom tweet alerts. Requires a paid subscription.
- [TweetsMap](https://tweepsmap.com/)  
  AI powered Twitter analytics. Requires a paid subscription.
- [TweetedAt](https://oduwsdl.github.io/tweetedat/)  
  Extracts the exact date and time from the tweet ID by reverse-engineering the [Twitter Snowflake](https://blog.twitter.com/engineering/en_us/a/2010/announcing-snowflake.html).
- [FollowerAudit](https://www.followeraudit.com/)  
  In-depth analysis of Twitter followers. Identifies inactive and fake accounts, assesses followers by the number of tweets, profile information, biography, geolocation, links, profile picture. Requires you to login to Twitter.
- [TweetTopicExplorer](https://tweettopicexplorer.neoformix.com/)  
  Retrieves recent tweets and displays the most common words used in those tweets. The larger the circles, the more frequent the word used.
- [SleepingTime](http://sleepingtime.org/)  
  Find the potential sleeping schedule of a Twitter user. Requires you to log in to a Twitter account.
- [FollowerWonk](https://followerwonk.com/)  
  Search Twitter bios, compare users, and analyze location and tweet activity of followers.
- [BirdHunt](https://birdhunt.co/)  
  A great query building tool that allows you to select a location and radius and get a list of recent tweets from that location.
- [Vicinitas Twitter Exporter](https://www.vicinitas.io/free-tools/download-twitter-followers)  
  A free tool that allows you to export followers, tweets and keywords to an XLSX file.
- [Twitter Image Search](https://cse.google.com/cse?cx=006290531980334157382:_ltcjq0robu#gsc.tab=0)  
  This Google CSE allows you to search for images posted on Twitter via keywords.
- [Botometer](https://botometer.osome.iu.edu/)  
  Botometer (formerly BotOrNot) checks the activity of a Twitter account and gives it a score. Higher scores mean more bot-like activity. Requires Twitter authentication.
- [twtData](https://www.twtdata.com/)  
  Extract a list of Twitter followers and/or followings for any account. 
- [Allegedly](https://makeadverbsgreatagain.org/allegedly/)  
  Allows you to check information about Twitter profiles such as times of posting, devices and apps used to sign-in and repetition of tweets. All without the need to login.
- [SocialBearing](https://socialbearing.com/)  
  Provides insights and analytics for a Twitter user, hashtag, tweets and more.
- [TweeView](https://tweeview.ml/)  
  A tool to visualize Twitter conversations in a tree-style way.
- [IntelX Twitter Search](https://intelx.io/tools?tab=twitter)  
  A great Twitter search engine offered by IntelX.
- [memory.lol](https://memory.lol/tw/USERNAME-HERE)  
  Provides historical information about social media accounts. It can currently be used to look up over 542 million historical screen names for 443 million Twitter accounts. Example: `https://memory.lol/tw/USERNAME-HERE`. See this projects [GitHub page](https://github.com/travisbrown/memory.lol) for more information.
- [Shadowban Test](https://shadowban.yuzurisa.com/)  
  A simple tool to test if a Twitter account has been "shadowbanned".
- [Orbit](https://orbit.livasch.com/)  
  Enter a username and view who is in their "orbit". Useful tool for finding a POIs friends.
- [OSoMe Network Tool](https://osome.iu.edu/tools/networks)  
  Explore how information spreads across Twitter with an interactive network using the OSoMe decahose archive.
- [TweeterID](https://tweeterid.com/)  
  Type in any Twitter ID or @handle, and it will be converted into the respective ID or username.
- [GigaTweeter](http://gigatweeter.com/)  
  Monitor Twitter topics and accounts without having to login.  
- [ExportData](https://www.exportdata.io/)  
  Export historical tweets, download lists of followers and followings from any public account.
- [TrueTN](https://truetn.com/INSERTTWITTERHANDLEHERE)  
  Allows you to view accounts, cached/archived tweets, metrics and easily download image and video posts. Appears to only work correctly if the target account has been archived on the Wayback Machine. Example: `https://truetn.com/ENTER-USERNAME-HERE`.
- [PerplexitySQL](https://www.perplexity.ai/sql)  
  Perplexity SQL answers Twitter graph queries by translating natural language to SQL code. Note, not all Twitter users are available as their database is currently incomplete.

## <u>**Untappd**</u>

- [UntappdScraper](https://brandone.github.io/untappd-scraper-web/)  
  An OSINT tool for scraping data from the untappd.com social media site.

## <u>**VKontakte**</u>

- [Photo-Map](http://photo-map.ru/)  
  Search for geo-tagged posts from vk.com.
- [VK City4Me](http://vk.city4me.com/)  
  A great tool for tracking a VK users time spent online.
- [VK Search Engine](https://cse.google.com/cse?cx=f5e7cd4c6e33954ec)  
  A Google CSE for searching VK profiles.
- [Spevktator](https://spevktator.io/)  
  A searchable database of over 67,000 posts. They also offer a CLI tool as well.

## <u>**VSCO**</u>

- [VSCO Search](https://vsco.co/search/images/)  
  Search for users and images on the official VSCO platform. They have no option for users to set things as private, so all information is public, including image metadata when available.
- [VSCO Page](https://vsco.page/)  
  Allows you to view full VSCO profiles, posts and image metadata. Also lets you download images and videos. Warning, this site goes quite heavy on the pop-ups and ads.
  
## **<u>WhatsApp</u>**

- [WACheck](https://wacheck.online/)  
  Enter a WhatsApp number and see if the user is currently online or not.
- [WATools](https://watools.io/)  
  Easily download a WhatsApp profile picture online, check to see if a phone number exists on WhatsApp, and check to see if a user is online or not.
- [WhatsApp Reverse Phone Lookup](https://www.celltrack.eu/whatsapp)  
  Tool that allows you to enter a phone number and view the WhatsApp account connected to it. Including username and profile picture. Requires a paid subscription.
- [WhatsApp Law Enforcement Guide](https://faq.whatsapp.com/general/security-and-privacy/information-for-law-enforcement-authorities)  
  A guide for law enforcement personnel when dealing with and requesting data from WhatsApp.
- [WhatsAnalyze](https://whatsanalyze.com/)  
  An open-source tool that analyzes WhatsApp group messages and provides statistics such as word clouds, timelines, message frequency and more.
- [ChatVisualizer](https://chatvisualizer.com/)  
  A simple tool to assist with the visualization of WhatsApp chats.
  
## **Wikipedia**

- [xTools](https://xtools.wmflabs.org/)  
  Offers tools to analyze Wikipedia users and page changes.
- [WikiWho](http://wikiwho.ailef.tech/)  
  Database of edits made to Wikipedia using IP ranges of organizations, government agencies and companies.
- [WikiPageViews](https://pageviews.wmcloud.org)  
  Displays how many times a specific Wikipedia page has been viewed within a certain time.

## **<u>YouTube</u>**

- [YouTube GeoFind](https://mattw.io/youtube-geofind/)  
  Find geo-tagged videos and view them on a map. Sort by username, channel or location.
- [YouTube Comment Finder](https://ytcomment.kmcat.uk/)  
  Find comments for videos. Search by video, video ID or channel.
- [Hadzy](https://hadzy.com/)  
  Search, sort and analyze YouTube comments.
- [Unlisted Video Search](https://unlistedvideos.com/)  
  A website for submitting, searching for, and watching unlisted YouTube videos.
- [Amnesty International Youtube DataViewer](https://citizenevidence.amnestyusa.org/) 
  Enter a video URL and view that videos metadata.
- [Channel Search](https://tools.digitalmethods.net/netvizz/youtube/mod_channels_search.php)  
  Tool for searching YouTube channels by keyword and creation date. The result is a table with the channel ID, name, description, date of creation, as well as the number of subscribers, views, and uploaded videos.
- [Montage](https://montage.meedan.com/welcome)  
  Search YouTube videos by date or by geo-location. Requires registration.
- [WatchFrameByFrame](http://www.watchframebyframe.com/)  
  Allows you watch YouTube videos frame-by-frame. Also works with Vimeo.
- [Anilyzer](https://anilyzer.com/)  
  Another online tool to play any YouTube or Vimeo video frame-by-frame.
- [PwnYouTube](https://deturl.com/)  
  Download a YouTube video from any web page by adding `pwn` to the beginning of the URL.
- [NSFW YouTube](https://nsfwyoutube.com/)  
  A bookmarklet that bypasses the any restrictions set by YouTube.
- [AltCensored](https://www.altcensored.com/)  
  View over 177,000 Censored YouTube videos from over 2,000 deleted channels.
- [You-TLDR](https://you-tldr.com/)  
  A free tool and bookmarklet that gathers an easy to read "too long, didn't read" (TLDR) transcript of any YouTube video.
- [SaveSubs](https://savesubs.com/)  
  Allows you to convert, edit and download subtitles from YouTube, Facebook, DailyMotion and more for free.
- [IntelX YouTube Search](https://intelx.io/tools?tab=youtube)  
  A great YouTube search engine offered by IntelX.
- [YouTube Annotations Archive](https://archive.org/details/youtubeannotations)  
  An archive of YouTube annotations. Over 1.4 billion video annotations and 2.4TB of uncompressed data. Also offered as browser addons.
- [Get YouTube Thumbnail](https://www.get-youtube-thumbnail.com/)  
  A simple tool that allows you to grab a copy of any YouTube video thumbnail.
- [Filmot](https://filmot.com/)  
  An excellent search engine for YouTube subtitles and video metadata.
- [YoutubeVideoFinder](https://findyoutubevideo.thetechrobo.ca/)  
  Checks for archived versions and other information. Search via YouTube video ID.
- [YouTube Channel Crawler](https://channelcrawler.com/)  
  Search for specific creators and categories. Has a wide range of search filters.
- [Youtube Video Data Viewer](https://ytlarge.com/youtube/video-data-viewer/)  
  A tool that extracts YouTube metadata, such as upload date and time, metrics, thumbnails and more.

## <u>**4chan and 8chan**</u>

- [Archived.moe](https://archived.moe/)  
  A searchable archive of most 4chan boards.
- [Archive Of Sins](https://archiveofsins.com/)  
  An archive of NSFW 4chan boards. The search function is offline at the time of writing this. It's database is almost identical as the site mentioned above.
- [Desuarchive](https://desuarchive.org/)  
  Searchable archive of various SFW 4chan boards.
- [Wakarimasen Archive](https://archive.wakarimasen.moe/)  
  Searchable archive of various SFW 4chan boards. Basically a clone of the above web site.
- [4chan Search](https://4chansearch.com/)  
  A Google CSE that allows you to search 4chan and its various archives.
- [Search4chan](https://search4chan.org/)  
  Essentially a clone of the above site.
- [4plebs](https://4plebs.org/)  
  A searchable archive of all threads and images from /adv/, /f/, /hr/, /o/, /pol/, /sp/, /tg/, /trv/, /tv/ and /x/. Reminder: 4chan is serious business, you might get offended.
- [The /b/ Archive](https://thebarchive.com/)  
  A searchable archive of /b/, /bant/ and /talk/. Beware, lots of NSFW content here.
- [4chan Find](https://find.4chan.org/)  
  Search current 4chan threads for matching keywords.
- [4chan Archives](https://4chanarchives.com/)  
  A really old, non-searchable archive of 4chan. Dated from 2016.
- [Qresearch](https://qresear.ch/)  
  A searchable archive of "QAnon" related posts from 8kun/8chan.
