**Vehicle and Transportation Intelligence [VATINT]**
===========================================================================

## **Road Vehicles**

### **Vehicle Recognition**

- [CarNetAI](https://carnet.ai/)  
  An amazing tool that allows you to simply upload an image of a vehicle, and its AI will identify the make, model and year of that vehicle. Claims to have a 97% accuracy.
- [Car Identification](https://www.yourmechanic.com/article/how-to-identify-any-car-you-see-by-ian-swan)  
  Guide to learning and recognizing specific cars.
- [Vehicle Recognition](https://carmodel.toolpie.com/)  
  This car recognition system can accurately identify vehicle information based on an uploaded image of a car. Including brand, model, year and color.
- [CarLogos](https://www.carlogos.org/)  
  A database of vehicle manufacturer logos, sorted by country. Very handy.

### **Vehicle Identification Numbers [VIN]**

- [VINDecoderz](https://www.vindecoderz.com/)  
  A universal VIN decoder.
- [VIN Decoder](https://driving-tests.org/vin-decoder/)  
  Useful VIN search for finding more information regarding the vehicle. 
- [VIN Decoding Explained](https://www.motortrend.com/how-to/look-up-and-decode-a-vin/)  
  Guide on how to lookup and decode a VIN number.
- [FaxVIN](https://www.faxvin.com/)  
  Search via VIN number and get vehicle information, specifications, title information and more. For best results, a paid subscription is required.
- [IntelX VIN Search](https://intelx.io/tools?tab=vin)  
  A great VIN search engine offered by IntelX.
- [UK VIN Info](https://uk.vin-info.com/)  
  Enter a UK based VIN number and see details for that specific vehicle.

### **License Plates**

- [World License Plates](http://www.worldlicenseplates.com/)  
  A catalog of license plates from around the world. Organized by country, province and state. Includes a wealth of information regarding license plates.
- [PlatesMania](https://platesmania.com/)  
  A large collection of license plate images from around the world.
- [LicensePlateMania](https://licenseplatemania.com/)  
  Another large collection of license plate pictures from across the world created by Jeroen Coninx.
- [€uroplates](https://www.europlates.eu/)  
  Collection of license plate pictures from EU countries and a few other near by countries.
- [How's My Driving NYC](https://www.howsmydrivingny.nyc/)  
  Allows you to search for traffic and parking violations via license plate number in New York City.
- [Deciphering Number Plates](https://www.skoda-storyboard.com/en/series/deciphering-number-plates/)  
  Contains a few great guides on how to decipher license plates from various different countries.
- [[IMAGE] Map of License Plates in Europe](https://upload.wikimedia.org/wikipedia/commons/b/bb/Vehicle_registration_plates_in_Europe.png)  
  A simple map that shows examples of the different plates for each country in Europe. Archived copies available [here (Wayback)](https://web.archive.org/web/20210927044105/https://upload.wikimedia.org/wikipedia/commons/b/bb/Vehicle_registration_plates_in_Europe.png) and [here (archive.today)](https://archive.ph/Qahid).
- [Partial Number Plate Search UK](https://www.partialnumberplate.co.uk/)  
  Need to find a UK registration plate but don't know all of the characters? Give this tool a try.
- [UK Number Plate Search](https://vehicleenquiry.service.gov.uk/?locale=en)  
  A number plate search tool offered by the UK government.
- [Number Plate Check](https://www.checkcardetails.co.uk/number-plate-check)  
  Another tool where you can check the number plate for any registered plate number in the UK.
- [VehicleHistory](https://www.vehiclehistory.com/license-plate-search)  
  Search via U.S. plate number and get vehicle history and other details.
- [FaxVIN Plate Lookup](https://www.faxvin.com/license-plate-lookup)  
  Lookup a U.S. license plate.
- [SearchQuarry](https://www.searchquarry.com/free-license-plate-number-lookup/)  
  Another U.S. license plate search tool. Requires a paid subscription for best results.
- [FindByPlate](https://findbyplate.com/)  
  Search for a U.S. license plate and receive details about the vehicle.
- [AutoCheck License Plate Search](https://www.autocheck.com/vehiclehistory/search-by-license-plate)  
  A U.S. license plate search tool.
- [PlaqueFree](http://plaque.free.fr/ph_e.html)  
  A database of over 100,000 different license plates from all over the world.
  
### **Recalls and Safety Ratings**

- [NHTSA Recalls and Safety Ratings](https://www.nhtsa.gov/campaign/safercargov)  
Search for vehicle safety ratings and recalls for vehicles, tires, parts, car seats and more.

## **Marine**

### **Vessel Tracking**

- [MarineTraffic](https://www.marinetraffic.com)  
  Discover information and vessel positions for vessels around the world.
- [FleetMon](https://www.fleetmon.com/)  
  Maritime traffic on a live map. Past, current and future ship positions  for almost every vessel in the world. Plus port information and APIs.
- [ShipAIS UK](http://shipais.uk/)  
  Live information about vessels in and around the British coastline. 
- [VesselFinder](https://www.vesselfinder.com/)  
  A free AIS vessel tracking web site. VesselFinder displays real time ship positions and marine traffic detected by global AIS network.
- [ShipFinder](https://www.shipfinder.com/Monitor/Index)  
  Another website to track any ship’s live location by simply searching the ship’s name. This website shows complete details about the ship like latitude and longitude, destination port, speed, and estimated time to reach their destination.
- [BoatNerd](https://ais.boatnerd.com/)  
  This application shows the vessel name, when we click on the vessel name on the map it shows details like screen location, ship type, position, destination, estimated time (ETA), speed, dimensions, and status.
- [Live Cruise Ship Tracker](https://www.livecruiseshiptracker.com/)  
  Simple tool for tracking cruise ships.
- [OpenSeaMap](https://www.openseamap.org/)  
  A website to add tourism information for sailors, this application build in the year 2009. Around 1 million people worldwide collected and stored in the database.
- [ShippingExplorer](https://www.shippingexplorer.net/en/map)  
  An open-source website to track any vessel in real-time. Allows you to view different ships, ports, location with photos. You can also view the port names with country name and the number of ships available.
- [Submarine Tracker](https://www.marinevesseltraffic.com/submarine-vessels-tracking-map)  
  Track submarine vessels in near real-time.
- [Maritime Awareness Project](https://map.nbr.org/interactivemap/)  
  A detailed map of maritime borders and economic zones with statistical data on ports and more.
- [IMB Piracy and Armed Robbery Map](https://www.icc-ccs.org/piracy-reporting-centre/live-piracy-map)  
  This site lists all the piracy and armed robbery incidents reported to the IMB Piracy Reporting Centre since 2011.
- [Fleet Tracker News](https://news.usni.org/category/fleet-tracker)  
  This is a great site that shows you positions of U.S. Navy carriers around the world.
- [Military Ship Tracker](https://www.marinevesseltraffic.com/2013/02/military-ship-track.html)  
  An interactive map that shows the location and direction of warships in real-time.
- [MyShipTracking](https://www.myshiptracking.com/)  
  A free AIS vessel tracking service. Monitor positions, traffic and port activity in real-time.
- [ShipTraffic](http://www.shiptraffic.net/)  
  Offers maps, ship tracking, and other general information.

### **Vessel and Crew Information**

- [Maritime-Connector](http://maritime-connector.com/)  
  This site allows you to facilitate a connection between ship crew and shipping jobs. Very useful.
- [MyShip](http://myship.com/)  
  A social networking site for seafarers and crewing companies. Find information on crew members, view job listings and more.
- [Crew List Index Project](https://www.crewlist.org.uk/#Data)  
  A searchable database of mostly historical details of ships and crews.
- [The Shipping Database](https://theshippingdatabase.com/)  
  An extremely comprehensive archive of the world's ships. Even has data that dates back to 1820.
- [eShips World Shipping Register](http://www.eships.net/)  
  Searchable database for the World Shipping Register.
- [VesselTracker](https://www.vesseltracker.com/en/vessels.html)  
  Registered members get to search a database and see many useful ownership & location details about various commercial vessels.
- [UK Ship Register](https://www.gov.uk/guidance/uk-ship-register-for-merchant-ship-and-bareboat-charter-100gt)  
  UK ship register for merchant ship and bareboat charter.
- [HIN Identification Guide](https://drive.ky.gov/motor-vehicle-licensing/Pages/HIN.aspx)  
  HIN Validation tool and guide for identifying information from the given HIN (Hull Identification Number).
- [ShipSpotting](http://www.shipspotting.com/)  
  A ship image archive, searchable by vessel name, IMO or MMSI.
- [BoatInfoWorld](https://www.boatinfoworld.com/)  
  Search, view, and download information on over 416,000 vessels.
- [Equasis](http://www.equasis.org/EquasisWeb/public/HomePage)  
  Provides safety related information on ships and companies. Requires registration.
- [Superyachts Top 100 Largest Yachts](http://www.superyachts.com/largest-yachts/worlds-largest-yachts-live.htm?property_length_type_id=1&p=1)  
  A searchable database of the top 100 largest privately owned yachts.
- [The Superyacht Directory](https://www.boatinternational.com/yachts/the-superyacht-directory)  
  The world’s largest database of private luxury yachts, with over 12,000 mega yachts listed. It’s the most authoritative place to find everything you need to know about superyachts. Including new builds, historic vessels and the most famous boats of all time.
- [SailboatData](https://sailboatdata.com/)  
  A searchable database that contains information on over 8400 production and semi-production sailboats dating back to 1900.
- [[PDF] Anatomy of a Ship](https://nmssanctuaries.blob.core.windows.net/sanctuaries-prod/media/archive/education/pdfs/shipparts.pdf)  
  A document that details the different parts of a vessel. Archived copies can be found [here (Wayback)](https://web.archive.org/web/20210903061140/https://nmssanctuaries.blob.core.windows.net/sanctuaries-prod/media/archive/education/pdfs/shipparts.pdf) and [here (archive.today)](https://archive.ph/AZksT).
- [RigZone Equipment Market](https://www.rigzone.com/market/search.aspx)  
  A marketplace where sellers can either sell of rent out oil feild equipment. This includes vessels, and ads often include ownership data and contact information.
- [Inmarsat Ships Directory](https://www.inmarsat.com/en/support-and-info/support/ships-directory.html)  
  Find contact numbers for vessels fitted with Inmarsat. Type at least three characters of the ship's name.

### **Container Tracking and Information**

- [Track-Trace](https://www.track-trace.com/container)  
  A free service that allows you track shipping containers for 143 different companies.
- [Container-Tracking](http://container-tracking.org/)  
  Allows you to track containers by their prefix code.
- [ShippingLine](http://www.shippingline.org/)  
  A similar tool to assist you in tracking shipping containers worldwide.
- [Maersk Tracking](https://www.maersk.com/tracking/#tracking/)  
  Searchable container tracking database.
- [ShipmentLink](https://www.shipmentlink.com/servlet/TDB1_CargoTracking.do)  
  Another searchable container tracking database.
- [SeaRates Container Tracking](https://www.searates.com/container/tracking/)  
  Another searchable container tracking database.
- [ShipIt Container Tracking](https://www.shipit.co.uk/container-tracking.htm)  
  Yet another searchable container tracking database.
- [Utopiax Container Tracking](https://www.utopiax.org/containertracking.html)  
  A collection of links for tracking ocean cargo.
- [International Maritime Organization (IMO)](https://gisis.imo.org/Public/CARGO/ACEP.aspx)  
  A searchable database of public cargo. Requires registration.
- [Shipping Container Info](http://shipping-container-info.com/container-info/)  
  A searchable database that provides various information regarding cargo containers such as dimensions, owner information, suppliers, manufacturers, tracking, specifications and more.
- [Prefixlist ISO Codes](https://www.prefixlist.com/codes/iso-codes/)  
  A database of codes for the ISO Alpha codes for containers.
- [Prefixlist Digit Codes](https://www.prefixlist.com/codes/check-digit/)  
  A searchable database of container digit codes.
- [BIC-Code](https://www.bic-code.org/bic-codes/)  
  A searchable database of the international identification codes of container owners, called BIC codes or ISO alpha codes.
- [Sea Ports Catalog](http://ports.com/)  
  A catalog of sea ports from all over the globe.
- [LogisticsGlossary](https://www.logisticsglossary.com/)  
  Want to know the meaning of a logistic term? Here you will find hundreds of terms from the world of transport and logistics clearly explained.
- [CMA CGM VoyageFinder](https://www.cma-cgm.com/ebusiness/schedules/voyage)  
  A tracking system that allows you to track any CMA CGM container by entering the Bill of Lading or Tracking Number (or Booking Reference Number). This "track-and-trace" system provides details about searched containers location.

## **Aircraft**

### **Aircraft Tracking**

- [FlightRadar24](https://www.flightradar24.com/)  
  A global flight tracking service that provides you with real-time information about thousands of aircraft around the world.
- [PlaneFinder](https://planefinder.net/)  
  Provides virtually real time air traffic control information on planes in various countries across the globe.
- [FlightAware](https://flightaware.com/)  
  Providing advanced, accurate, actionable  data and insights that inform every aviation decision. Search by flight number or route.
- [FlightStats](https://www.flightstats.com/v2)  
  Track real-time flight status, departures and arrivals, airport delays, and airport information.
- [PlaneFlightTracker](http://www.planeflighttracker.com/)  
  Displays live air traffic tracking maps, airport arrivals and departures, airline fleet monitoring in real-time, history data and flights replay for the last 7 days.
- [ADS-B Exchange](https://globe.adsbexchange.com/)  
  Live flight tracking, searchable by registration details.
- [AirNav RadarBox](https://www.radarbox.com/)  
  A tracking portal for real-time tracking updates. Flight position data is relayed by over 12 different data aggregating sources, including ADS-B, FAA SWIM, MLAT, ADS-C and Oceanic Reports, to give second-by-second position updates along an aircraft's journey.
- [GliderTracker](https://glidertracker.org/)  
  Live European glider and other flight tracking data.
- [Freedar UK](https://radar.freedar.uk/VirtualRadar/desktop.html)  
  A live flight tracking map that includes many military aircraft.
- [DictatorAlert](https://dictatoralert.org/)  
  A project that tracks the aircrafts of authoritarian regimes all over the world.
- [Military Aircraft Tracker](https://ads-b.nl/)  
  Tracking information such as route and other technical details about military aircraft flying over a specific territory.
- [Icarus.Flights](https://icarus.flights/)  
  A tool for analyzing uncensored aircraft activity data and tracing global aircraft ownership records. Requires a paid subscription.
- [ITAMilRadar](https://www.itamilradar.com/)  
  Track military flights over Italy and over the Mediterranean Sea.

### **Aircraft Information**

- [PlaneSpotters](https://www.planespotters.net/)  
  Civil aviation database with 1 million photos and information on ~45000 aircraft.
- [Airframes Aircraft Database](http://www.airframes.org/)  
  An unofficial, searchable, international aircraft registration database.
- [Rzjets](http://rzjets.net/aircraft/)  
  A crowd-sourced online database of civilian jet and turbojet aircraft.
- [Airliner Spotter](https://www.airlinerspotter.com/)  
  Useful visual guide for identifying various airliners.
- [Aircraft Recognition Guide](https://www.aircraftrecognitionguide.com/)  
  Useful guide for determining specific aircraft based on its features.
- [JetPhotos](https://www.jetphotos.com/info)  
  A useful international database including complete ownership history of jet liners and other aircraft.
- [Aviation Safety Network](https://aviation-safety.net/index.php)  
  A database of details for all airliner accidents and safety issues.
- [Australian Aircraft Register](https://www.casa.gov.au/aircraft-register)  
  Searchable database of the Australian Civil Aviation Safety Authority (CASA) aircraft register.
- [Canadian Civil Aircraft Register](https://wwwapps.tc.gc.ca/saf-sec-sur/2/ccarcs-riacc/RchSimp.aspx)  
  CCAR lets you search for aircraft registrations by mark, common name, model name, serial number and owner name.
- [UK Aircraft Register (G-INFO)](https://siteapps.caa.co.uk/g-info/)  
  Searchable database of UK aircraft registered with the Civil Aviation Authority (CAA).
- [Flying In Ireland](https://www.flyinginireland.com/register/aircraftsearch.php)  
  Searchable database of various aircraft registered in Ireland.
- [Live ATC](https://www.liveatc.net/)  
  Provides live air traffic control (ATC) broadcasts from air traffic control towers and radar facilities around the world.
- [Parts of an Airplane](https://www.grc.nasa.gov/www/k-12/airplane/airplane.html)  
  A visual reference detailing the different parts of an aircraft.
- [The Air Archive](https://theairchive.net/)  
  An archive that covers the history of commercial aviation.

### **Airport Information**

- [OurAirports](https://ourairports.com/world.html)  
  A map and database of airport information from around the world. Provides plenty of useful information and links, they also provide free downloadable datasets in various file formats that is updated daily.
- [World Airport Codes](https://www.world-airport-codes.com/)  
  A searchable database of over 47,000 airports. Provides airport codes, abbreviations, runway lengths, NOTAMs, frequency data and other information.
- [Airports-Worldwide](https://www.airports-worldwide.info/)  
  Find information for flights such as arrivals, departures, delays, cancellations, hotel reservation, weather and airport access. Schedule updated in real time.
- [SkyVector](https://skyvector.com/airports)  
  Provides navigation details for airports, aeronautical charts and other information such as fuel prices.
- [AirportData](https://www.airportdata.com/)  
  A database of worldwide airports, searchable by name. Requires registration.
- [World Airport Guides](http://www.worldairportguides.com/)  
  A large database of various airport information including terminal maps, departures, security information and much more.
- [ICAO Global Airport Runways Map](https://applications.icao.int/airport-map/)  
  A great interactive and high resolution map of most of the airports and landing strips on Earth.
- [AirNav](https://www.airnav.com/airports/)  
  Searchable database of airport information. Countries available are limited.
- [UK Airfields](https://www.pilotweb.aero/flying/airfields)  
  A database of airfields, not airports in the UK and elsewhere, searchable via map.
- [AirportWebcams](https://airportwebcams.net/)  
  Directory of webcams from various airports and runways from around the world.
- [AirLive Cams](https://cam.airlive.net/)  
  Watch live camera feeds for many different airports all over the world.
- [List of German Airfields](https://ulforum.de/flugplatzliste)  
  Great airfield database for Germany. Includes smaller training, private and military airfields. Click [here](https://www-ulforum-de.translate.goog/flugplatzliste?_x_tr_sl=auto&_x_tr_tl=en&_x_tr_hl=en-US) for a German to English translation.

### **Other Information**

- [FAA Airmen Registry](https://amsrvs.registry.faa.gov/airmeninquiry/main.aspx)  
  A searchable database of the U.S. Department of Transportation and the Federal Aviation Administration for airmen and pilots.
- [Utopiax Air Cargo Tracking](https://www.utopiax.org/index.html)  
  Details for tracking air cargo from various airlines.
- [WorldAviation Accident Database 2008-Current Year](https://data.ntsb.gov/carol-main-public/basic-search)  
  A searchable database of the most recent aircraft accidents from all over the world. 
- [World Aviation Accident Database 1962-2007](https://www.ntsb.gov/_layouts/ntsb.aviation/index.aspx)  
  A searchable database of historical aircraft accidents from all over the world.
- [NOTAM Map](http://notammap.net/Notam.aspx)  
  A free tool that allows you to search for NOTAMs.
- [Safe Airspace](https://safeairspace.net/)  
  Conflict zone and risk warnings for aircraft pilots.

## **Railways**

### **Railway Maps and Tracking**

- [OpenRailwayMap](https://www.openrailwaymap.org/)  
  An OpenStreetMap based project for creating a map of the world's railway infrastructure.
- [US Surface Transportation Board Railroad Map Depot](https://stb.maps.arcgis.com/home/index.html)  
  An independent US federal agency that provides access to a national rail network map as well as localized maps that allow for layering and saving your own images.
- [US FRA Safety Map](https://fragis.fra.dot.gov/GISFRASafety/)  
  The Federal Railroad Administration provides an interactive map that shows class I, passenger, commuter and Amtrak railroads with multiple map layers that show freight station, grade crossing and mileposts.
- [Track A Train](https://www.amtrak.com/track-your-train.html)  
  Provides detailed GPS information for Amtrak trains in the US. Information includes arrival and departure times, current speeds. Searchable by train name, number or station.
- [Yandex Transportation Maps](https://rasp.yandex.ru/map/trains/)  
  A live map of trains, aircraft and buses for Russia, Belarus, Ukraine, Kazakhstan and Abkhazia.
- [ACWR Interactive Railroad Maps](http://www.acwr.com/economic-development/rail-maps)  
  This website provides nine different interactive railroad maps for the US and Canada. Also provides information regarding fleets, interchanges, maintenance equipment and buildings.
- [Amtrak Status Map Archive](https://juckins.net/amtrak_status/archive/html/history.php)  
  A searchable database of historical train schedules for stations for a particular day. Data dates back to 2008.
- [TRAVIC](https://tracker.geops.ch)  
  Transit visualization client allows you to see real-time movements of trains, trams, subways, busses, ferries and more from major cities across the globe.
- [Raildar France](www.raildar.fr)  
  Information regarding trains operating in France.
- [Spoorkaart Netherlands](https://spoorkaart.mwnn.nl/)  
  Contains information regarding trains operating in the Netherlands.
- [PortalPasazera Poland](https://portalpasazera.pl/MapaOL)  
  Contains information regarding trains operating in Poland.
- [Railfan Atlas](https://railfanatlas.com/)  
  A collection of train images that is plotted on an interactive map.
- [US FRA Trespasser Casualty Map](https://fragis.fra.dot.gov/Trespassers/)  
  View information about specific incidents and deaths that happened on US railways dating back to 2011.
- [Collection of Railroad Maps](http://www-personal.umich.edu/~yopopov/rrt/railroadmaps/)  
  A collection of railroad maps for Russia and various European countries.
- [Ferrocarta](https://ferrocarta.net/)  
  Large collection of railroad maps for Brazil, Canada, France and the United States.
- [RailCabRides](https://railcabrides.com/en/mapsearch)  
  Click on a point on the railway on the world map to see a list of rail cab videos from that location.

### **Railway Video**

- [RailWebcams](https://railwebcams.net/)  
  Live video feeds of railway, metro and tram from around the world.
- [RailCam UK](https://news.railcam.uk/index.php/category/today/)  
  Offers daily video feeds of railways within the UK.
- [RailServe](https://www.railserve.com/RailCams/)  
  Contains over 400 live video feeds of worldwide railways.

### **Other Information**

- [European Train Station Floorplans](https://www.nsinternational.com/en/stations/station-maps-floor-plan)  
  A database of floorplans for train stations across Europe.
- [TrainOrders](https://www.trainorders.com/)  
  A forum and media sharing platform for train enthusiasts that includes a wealth of information and images for US, Canadian, European and many other nations.
- [BTS Statistics](https://cms7.bts.dot.gov/content/state-transportation-numbers)  
  Provides information and statistics for transportation in specific US states.
- [GoRail](https://gorail.org/state-by-state)  
  Provides data on the impact of the freight rail industry in the US.
- [Length of Railway Networks](https://www.citypopulation.de/en/world/bymap/railways/)  
  Provides the total length of railway networks from many different countries of the world.
- [Defect Detector](https://database.defectdetector.net/)  
  The largest collection of railway [defect detector](https://en.wikipedia.org/wiki/Defect_detector) ([WikiLess](https://wikiless.org/wiki/Defect_detector)) audio recordings on the internet with over 2,500 recordings to date.

## **Public Transit**

### **General Public Transit**

- [Travic](https://mobility.portal.geops.io/)  
  Transit routes and timetables for trains and busses operating in North America, South America, Europe, Asia and Oceania. 
- [MetroLogos](http://mic-ro.com/metro/metrologos.html)  
  This website shows you all of the different metro system logos from around the world. 
- [Mapnificent](https://www.mapnificent.net/)  
  Shows you areas you can reach with public transport in a given time. 
- [TransitLand](https://www.transit.land/)  
  An open data platform that collects [General Transit Feed Specification (GTFS)](https://en.wikipedia.org/wiki/General_Transit_Feed_Specification) ([WikiLess](https://wikiless.org/wiki/General_Transit_Feed_Specification)), GTFS Realtime, and other open data feeds from over 2,500 transit providers in over 55 countries. Also offers a free API.
- [DOT Open Data Catalog](https://data.transportation.gov/)  
  A large catalog of various datasets from the U.S. Department of Transportation. Including railroads, maritime, roadways, aviation and more.

### **Europe**

- [Live London Bus Map](https://traintimes.org.uk/map/london-buses)  
  View and track busses operating in London, UK in real-time.
- [EssexBus](http://www.essexbus.info/map.html)  
  View bus routes and timetables for Essex, UK.
- [Riga Public Transport](https://saraksti.rigassatiksme.lv/index.html#riga/map,page)  
  View routes and timetables for all public transportation systems operating in Riga, Latvia.
- [Foli Busses](https://live.foli.fi/lemap)  
  View bus routes and timetables for Turku, Finland.
- [Tallin Transit](https://gis.ee/tallinn/)  
  View and track public transportation systems operating in Tallin, Estonia in real-time.
- [Fahrinfo](https://www.vbb.de/fahrinfo/)  
  View routes and timetables for all public transportation systems operating in Berlin, Germany.
- [Ovzoeker](https://ovzoeker.nl/)  
  View routes and timetables for all public transportation systems operating in the Netherlands.
- [EasyWay](https://www.eway.in.ua/en/cities/kyiv/routes)  
  View routes and timetables for all public transportation systems operating in Ukraine.
- [STBSA](https://info.stbsa.ro/)  
  View routes and timetables for all public transportation systems operating in Bucharest, Romania.
- [Tromsreise](https://tromsreise.no/)  
  View routes and timetables for all public transportation systems operating in Tromse, Norway.

### **North America**

- [LADOT Transit Map](https://www.ladotbus.com/map)  
  View bus routes and timetables for Los Angeles, California USA.
- [UCSD Bus](https://www.ucsdbus.com/map)  
  View bus routes and timetables for San Diego, California USA.
- [SeatBusLive](https://seatbuslive.com/map)  
  View bus routes and timetables for Connecticut, USA.
- [TrackIt MyStop](https://track-it.avta.com/InfoPoint/)  
  View bus routes and timetables for Antelope Valley, California USA.
- [GrandRiverTransit](https://www.grt.ca/en/schedules-maps/desktop-realtime-map.aspx)  
  A map that shows the real-time position of GRT buses and ION trains in the Waterloo region, Canada.

### **Other Areas**

- [AnyTrip AU](https://anytrip.com.au/)  
  View and track public transit operating in Australia and New Zealand in real-time.
- [BusGO](https://bus.go.kr/searchResult6.jsp)  
  View routes and timetables for all public transportation systems operating in Seoul, South Korea.
