# **War, Crisis and Conflicts**

## **General Crisis and Conflicts**

- [CrisisWatch](https://www.crisisgroup.org/crisiswatch)  
  A global conflict tracker designed to help track developments in over 70 ongoing conflicts and crises.
- [EmmeLine Conflict Map](https://emmeline.carto.com/viz/b69015da-136a-11e5-a64a-0e43f3deba5a/public_map)  
  A map of all major active conflicts across the globe. Click on a crisis to learn more. 
- [RiskMap](https://riskmap.com)  
  A free security and risk mapping platform for viewing and analyzing global security threats in real-time. Requires registration for full access.
- [Global Threat Assessment Map](https://cicentre.com/general/custom.asp?page=global_threatmap)  
  This map contains a threat assessment of key countries as well as the current political climate. Updated every week.
- [Mapping Militants](https://cisac.fsi.stanford.edu/mappingmilitants)  
  An interactive map that identifies patterns in the evolution of militant organizations in specified conflict theatres and provides representations of changing relationships among groups. 
- [The Homicide Monitor](https://homicide.igarape.org.br/)  
  An interactive map of the most comprehensive publicly available dataset on murder rates in the world.
- [ConflictID](https://conflict.id/home)  
  Collects, classifies, and analyzes images of weapons from the ongoing conflict in South Sudan, one of the least documented conflicts in the world.
- [Hunger Map](https://hungermap.wfp.org/)  
  A global hunger monitoring system that tracks and aims to predict a hunger crisis in near real-time. Monitors over 90 different countries.
- [Live Universal Awareness Map](https://liveuamap.com/)  
  An independent global news and information site dedicated to factual reporting of a variety of important topics including conflicts, human rights issues, protests, terrorism, weapons deployment, health matters, natural disasters, and weather related stories.
- [ADL H.E.A.T Map](https://www.adl.org/education-and-resources/resource-knowledge-base/adl-heat-map)  
  An interactive and customizable map detailing hate, extremist and antisemitic incidents by state and nationwide.
- [HAZMAT Situation Map](https://hazmat.globalincidentmap.com/map.php)  
  A map of current hazardous material situations, incidents and deployments in North America.
- [Russian Military Map](https://www.gfsis.org/maps/russian-military-forces)  
  An interactive map of Russian military forces that is regularly updated.
- [MapHub Russian and Ukraine Conflict Monitor](https://maphub.net/Cen4infoRes/russian-ukraine-monitor)  
  A crowdsourced effort to map, document and verify information in order to provide reliable information for policymakers and journalists of the on-the-ground and online situation in and around Ukraine.
- [SafeAirspace](https://safeairspace.net/)  
  A worldwide map showing the countries where flying over may be dangerous. Includes detailed history of incidents and official warnings for each country.


## **Terrorism**

- [Global Terrorism Database](https://www.start.umd.edu/gtd/)  
  Provides information for over 200,000 terrorism incidents.
- [Gun Violence Archive](https://www.gunviolencearchive.org/)  
  An online archive of gun violence incidents collected from over 7,500 law enforcement, media, government and commercial sources daily in an effort to provide near-real time data about the results of gun violence.
- [Global Incident Map](https://www.globalincidentmap.com/)  
  A global map and display of terrorism, attacks and other suspicious events. Requires a paid subscription.
