**Weapons and Equipment Identification**
===========================================================================

## **Firearms and Ammunition**

- [Armalytics](https://www.armalytics.ca/)  
  Here is a database of almost every firearm ever made.
  It's a digital version of the Canadian RCMP Firearms Reference Table (FRT). You can download the full FRT in .pdf format from [here](https://www.rcmp-grc.gc.ca/en/firearms/firearms-reference-table), which is constantly being updated. An archived copy created on 12/9/2022 can be found [here (Wayback)](https://web.archive.org/web/20220912034451/https://mpfirearmspublicstore.blob.core.windows.net/firearms-reference-table/frt-traf-eng.pdf).
- [Modern Firearms](https://modernfirearms.net/)  
  Encyclopedia of firearms and ammunition from the 20th and 21st centuries.
- [The Weapons ID Database](http://www.smallarmssurvey.org/weapons-and-markets/tools/weapons-id-database.html)  
  This database was developed with the support of the Royal Armouries UK, and features downloadable weapons ID sheets which detail the visual information required to accurately identify and record particular types of weapons.
- [Milsurp Knowledge Library](http://www.milsurps.com/content.php)  
  A forum for military surplus firearm collectors. Contains lots of images, descriptions, markings, stamps and plenty of other information. Organized by county of origin or weapon type.
- [FirearmsGuide](https://www.firearmsguide.com/)  
  The largest guns and ammunition reference guide. See the current value of used firearms, find gun manuals, schematics, blueprints and more.
- [Municion](https://municion.org/buscador/)  
  A searchable database of various firearm ammunition. Provides images, measurements, descriptions and related documentation. The site is written in Spanish, so use a translation service if you don't speak Spanish.
- [Forgotten Weapons](https://www.forgottenweapons.com/)  
  Ran by YouTuber Ian McCollum. Offers videos and articles with extremely in-depth history, reviews, complete disassembly and reassembly of hundreds of different firearms.
- [Internet Movie Firearms Database](http://www.imfdb.org/wiki/Main_Page)  
  An online database of firearms used or featured in films, television shows, video games, and anime.
- [Cartrology](http://www.cartrology.com/)  
  This cartridge collection consists of military rifle, heavy machine gun, and small to medium caliber cannon ammunition. The primary focus is on ammunition up to 35mm caliber made during WWII or later, although some specimens do fall outside of these general guidelines.
- [Small Arms Review Archive](https://www.smallarmsreview.com/archive/reference.index.cfm)  
  A large collection of scanned firearm manuals, reviews, parts lists and more.
- [Military-Today](https://www.military-today.com/index.htm)  
  A large database of military weapons and equipment.

## **Ordnance**

- [BulletPicker](https://bulletpicker.com/_ord.html)  
  A great resource that lists information regarding ordnance, explosives, rockets, mines and other related items. Organized by type and country of origin. They also offer an offline version, which is really nice.
- [Ordnance Info](https://ordnance.info/)  
  A database that displays type, country of origin, manufacturer, dimensions, images and other information about both lethal and non-lethal grenades.
- [CAT-UXO](https://cat-uxo.com/)  
  An Explosive Ordnance Disposal (EOD) community that collates information and awareness on explosives currently distributed throughout the world.
- [Missiles of the World](https://missilethreat.csis.org/missile/)  
  Information on strike capabilities from around the globe. Includes ballistic missiles, cruise missiles, rockets, artillery, and mortars (RAM), and even maneuvering hypersonic boost glide delivery systems. Organized by country, this represents a growing collection of information on global missile systems, with illustrations and up-to-date information on their capabilities and history.
- [RiotID](https://riotid.com/)  
  This project consists of a series of guides to understanding different non-lethal riot control weapons and their effects, as well as guides on documenting evidence on use of force violations.
- [CORData](https://ordata.info/)  
  The Collaborative Ordnance data repository (CORD) enables web-based search of landmine and other explosive ordnance (EO) data to assist humanitarian demining and ordnance disposal operations. Requires you to create an account.
- [Wikipedia - List of Landmines](https://en.wikipedia.org/wiki/List_of_land_mines) ([WikiLess](https://wikiless.org/wiki/List_of_land_mines))  
  Wikipedia's list of landmines used worldwide.
- [JMU CISR Munitions Reference Guide](https://www.jmu.edu/cisr/_pages/research/munitions.shtml)  
  A list large list of landmines that includes lots of details. Does not contain images of mines.
- [Nuclear Weapon Archive](https://nuclearweaponarchive.org/)  
  An archive and guide to nuclear weapons, facilities and testing sites.
- [[PDF] GICHD Ukraine Explosive Ordnance Guide](https://www.gichd.org/en/resources/publications/detail/publication/explosive-ordnance-guide-for-ukraine/)  
  The guide will help with the identification and disposal of mines and other explosive devices in Ukraine. Archived [here (Wayback)](https://web.archive.org/web/20220513020616/https://www.gichd.org/fileadmin/GICHD-resources/rec-documents/GICHD_Ukraine_EO_Guide_2022_1_01.pdf) and [here (Library Genesis)](https://libgen.is/book/index.php?md5=5C40641DC85AB9A4872AF63363C86D7F).

## **Equipment**

### **General**

- [ODIN Worldwide Equipment Guide](https://odin.tradoc.army.mil/WEG)  
  The authoritative digital resource for the Worldwide Equipment Guide (WEG), Decisive Action Training Environment (DATE) and accompanying force structures. Has information about almost every piece of modern military equipment. Aircraft, vehicles, missiles, communications, small arms, naval watercraft, radar systems and much more.
- [MilitaryFactory](https://www.militaryfactory.com/)  
  Reference covering global aerospace/aviation news, the infantry warfighter, defense vehicles, and naval/maritime offerings both past and present.
- [[PDF] Janes Ukraine Conflict Equipment Profile](https://www.janes.com/docs/default-source/ukraine-conflict/equipment-profile_report_280222.pdf)  
  This is an 81 page report from [Janes](https://www.janes.com/), published February 28th, 2022 that catalogs the various weapon systems and military equipment that is currently being used by Russian and Ukrainian forces. Archived copies available [here (Wayback)](http://web.archive.org/web/20220301145205/https://www.janes.com/docs/default-source/ukraine-conflict/equipment-profile_report_280222.pdf) and [here (Library Genesis)](https://libgen.rs/book/index.php?md5=38B285F34F40E14A8AC9112EBDE738BF).

### **Motor Vehicles**

- [[PDF] Worldwide Equipment Identification Cards - North Korea/DPRK](https://fas.org/irp/doddir/army/id-dprk.pdf)  
  Visual equipment identification guide for DPRK. Archived copies available [here (Wayback)](https://web.archive.org/web/20211020005557/https://irp.fas.org/doddir/army/id-dprk.pdf) and [here (Library Genesis)](https://libgen.is/book/index.php?md5=C64836C3B4E9AC5E0FB58FA0315FBA1C).
- [[PDF] Worldwide Equipment Identification Cards - Iran](https://fas.org/irp/doddir/army/id-iran.pdf)  
  Visual equipment identification guide for Iran. Archived copies available [here (Wayback)](https://web.archive.org/web/20211020015449/https://irp.fas.org/doddir/army/id-iran.pdf) and [here (Library Genesis)](https://libgen.is/book/index.php?md5=F413F6891A1CF0C7CCEE8C159E384EBD).
- [[PDF] Worldwide Equipment Identification Cards - Russia](https://fas.org/irp/doddir/army/id-russia.pdf)  
  Visual equipment identification guide for Russia. Archived copies available [here (Wayback)](https://web.archive.org/web/20211020012301/https://irp.fas.org/doddir/army/id-russia.pdf) and [here (Library Genesis)](https://libgen.is/book/index.php?md5=255C13FBC893B682F9FF7231628AB019).
- [[PDF] Worldwide Equipment Identification Cards - China](https://fas.org/irp/doddir/army/id-china.pdf)  
  Visual equipment identification guide for China. Archived copies available [here (Wayback)](https://web.archive.org/web/20211019220701/https://irp.fas.org/doddir/army/id-china.pdf) and [here (Library Genesis)](https://libgen.is/book/index.php?md5=A90F39D544447DE6C036F442B13AA7C8).
- [[IMAGE] US Combat Vehicles Infographic](https://www.offgridweb.com/wp-content/uploads/2016/05/Military-vehicles-guide-1.jpg)  
  Quick visual reference for US military vehicles. Archived [here (Wayback)](https://web.archive.org/web/20211019091334/https://www.offgridweb.com/wp-content/uploads/2016/05/Military-vehicles-guide-1.jpg) and [here (archive.today)](https://archive.ph/vMMFI/3e09335b7062a22bb09ba09f349d4b1db762ee80.jpg).
- [[PDF] Worldwide Equipment Guide - 1999](https://fas.org/man/dod-101/sys/land/row/weg.pdf)  
  Visual reference guide for common equipment with notes and technical information. Archived [here (Wayback)](https://web.archive.org/web/20211020004238/https://man.fas.org/dod-101/sys/land/row/weg.pdf) and [here (Library Genesis)](http://libgen.rs/book/index.php?md5=B6DBF1D98E3BB079BB30AFE18342398D).
- [ArmyRecognition](https://www.armyrecognition.com/individual_page/world_military_equipment.html)  
  A neatly organized directory of vehicles and equipment used by various militaries from all over the world.
- [Anatomy of a Tank](https://ag.hyperxgaming.com/article/5256/anatomy-of-a-tank-in-world-of-tanks)  
  Learn how to identify the main external parts of a tank. This is actually from a video game called "World of Tanks", and it's awesome.
- [Armored Vehicles Recognition Handbook](https://maritime.org/doc/id/fm30-40-vehicles/index.htm)  
  Reference guide for identifying older armored vehicles.
- [Combat Vehicle Reference Guide](https://www.inetres.com/gp/military/cv/)  
  Visual reference guide with descriptions on armored vehicles.
- [Army-Guide](http://www.army-guide.com/eng/)  
  Information about the main battle tanks, armored vehicles and armament of land forces and also the information concerning other army subjects.
- [Tanks Encylopedia](https://tanks-encyclopedia.com/)  
  A vast encyclopedia and data base of various military tanks and vehicles.

### **Aircraft**

- [[PDF] US Army Visual Aircraft Recognition](https://fas.org/irp/doddir/army/fm3-01-80.pdf)  
  US military guide in 2006 that was meant to identify aircraft, complete with pictures and descriptions of aircraft features. Archived copied available [here (Wayback)](https://web.archive.org/web/20211019230826/https://irp.fas.org/doddir/army/fm3-01-80.pdf) and [here (Library Genesis)](https://libgen.rs/book/index.php?md5=656F193B8047D4D45926570BC959239A).
- [Combat Aircraft Recognition Guide](https://www.inetres.com/gp/military/ar/index.html)  
  Guide that shows specific aircraft attributes as well as lists individual aircraft that follows those traits. 
- [Military Aircraft Database](https://www.scramble.nl/database/military)  
  Contains a vast amount of information about different aircraft for air forces in Europe, United States, Canada, South America, Africa, and Asia.
- [AirRecognition](https://www.airrecognition.com/)  
  A neatly organized directory of aircraft and aircraft equipment used by various militaries from all over the world.
- [All the World's Rotorcraft](https://www.aviastar.org/helicopters.html)  
  Not very user friendly guide to rotorcraft. Not very up-to-date, however it is very useful for older rotorcraft.

### **Drones**

- [UAV List](https://fas.org/man/dod-101/sys/ac/row/uav-list.htm)  
  List of UAV systems that are publicly known with specifications such as missions, weight, speed, etc.
- [Drone Survival Guide](http://www.dronesurvivalguide.org/)  
  Visual reference to some drones in use by current militaries, including use, as well as some survival information about drones. Entire website archived [here (Wayback)](https://web.archive.org/details/http://www.dronesurvivalguide.org/).
- [UAV Guide](https://www.militaryfactory.com/aircraft/unmanned-aerial-vehicle-uav.php)  
  List of UAVs including detailed information about payloads, dimensions and other drone specifications.
- [Wikipedia - List of Unmanned Aerial Vehicles](https://en.wikipedia.org/wiki/List_of_unmanned_aerial_vehicles) ([WikiLess](https://wikiless.org/wiki/List_of_unmanned_aerial_vehicles))  
  Wikipedia's list of UAVs that sorts UAVs by country.  
- [DroneWars Drone Crash Database](https://dronewars.net/drone-crash-database/)  
  A database that covers crashes of large ([Class II and III](http://www.globalsecurity.org/military/world/europe/aircraft-uav-class.htm)) military drones since 1/1/2007. It has been compiled from USAF Accident Investigation Board (AIB) Reports, the Wikileaks War Logs, The Washington Post US drone crash database and reports from the general and military press.


### **Boats**

- [Naval Recognition Guide](https://maritime.org/doc/id/fm30-50-naval/index.htm)  
  Useful reference to different naval ships across the world.
- [US Navy Ships](https://fas.org/man/dod-101/sys/ship/index.html)  
  Comprehensive guide that includes operation classes, new underdevelopment classes, and classes that have been retired since the Cold War specific to the US Navy. 
- [NavyRecognition](https://www.navyrecognition.com/)  
  A neatly organized directory of naval and naval equipment used by various militaries from all over the world.
- [[PDF] Maritime Recognition Guide - China](https://www.oni.navy.mil/Portals/12/2022_PLAN_Recognition_Poster_UNCLASSIFIED.pdf)  
  A recognition guide for Chinese Navy, Coast Guard and government maritime forces. Published by the U.S. Office of Naval Intelligence. Archived [here (Wayback)](http://web.archive.org/web/20230130045135/https://www.oni.navy.mil/Portals/12/2022_PLAN_Recognition_Poster_UNCLASSIFIED.pdf) and [here (Library Genesis)](https://libgen.rs/book/index.php?md5=595D89F46511F1D9BEA89DCC651272C3).

### **Submarines**

- [[IMAGE] Submarines of the World](https://i.insider.com/554907daecad0494243bf245?width=1300&format=jpeg)  
  Visual reference guide to current submarines in service as of 2015. Archived [here (Wayback)](https://web.archive.org/web/20211026023615/https://i.imgur.com/IA8pBxC.png) and [here (archive.today)](https://archive.ph/XGg9G).
- [US Submarines](https://www.marinevesseltraffic.com/navy-ships/US%20Submarines%20Locations%20Tracker)  
  Live tracker for Submarines in the US Navy that are able to be tracked/located. 
- [[IMAGE] Submarine Periscopes and Optronic Mast Identification](https://imgur.com/a/MchbA0i)  
  A quick visual identification reference for submarine masts and scopes. Created by [@EmbersOfStirn](https://twitter.com/EmbersOfStirn). Archived [here (Wayback)](https://web.archive.org/web/20220213015630/https://imgur.com/a/MchbA0i) and [here (archive.today)](https://archive.ph/8L8Vb).

## **Personnel Equipment**

### **General**

- [Military Equipment Wiki](https://military.wikia.org/wiki/Main_Page)  
  A free MediaWiki page that lists various equipment used by militaries from around the world.

### **Gas Masks**

- [GasMaskKing](https://gasmaskking.com/collection)  
  This is an excellent source of information about many different kinds of gas masks. Includes images, images of stamps, identifiers and more.
- [NoFuture Gas Masks](http://nofuture.com/gasmasks.net/)  
  One of the most quintessential gas mask information resources available. Although much of the names and descriptions of certain masks are outdated, it is still an excellent encyclopedia of gas masks.
- [GasMaskLexikon](http://www.gasmasklexikon.com/Page/Start01.htm)  
  Another great collection of mask information and images. However, some things here are a bit outdated.
- [Don Or Die](https://www.donordie.com/page3)  
  Contains a wealth of excellent information, detailed photos, descriptions and more. Neatly organized by country of origin.

## **Personnel Identification**

- [Camopedia](https://camopedia.org/index.php?title=Main_Page)  
  A comprehensive, accurate, and academically-supported database referencing all of the major military and paramilitary camouflage patterns that have been in use around the world since the beginning of the 20th century. 
- [CamouflageIndex](https://camouflageindex.camouflagesociety.org/index-2.html)  
  An index of the different types of camouflage used by militaries around the world.
- [Uniform Insignia](https://www.uniforminsignia.org/)  
  International Encyclopedia of uniforms and insignia from around the world. Find illustrations, rank insignia, badges and functional labels. 
- [AllBadges](https://allbadges.net/en)  
  The worlds largest database of military badges and medals.

## **International Arms Trade**

- [DSCA Major International Arms Sales](https://www.dsca.mil/press-media/major-arms-sales)  
  A catalog of international weapon sales and arms deals.
- [SIPRI Arms Transfers](https://www.sipri.org/databases/armstransfers)  
  Contains information on all transfers of major conventional weapons from 1950 to now. It is a unique resource for researchers, policy-makers and analysts, the media and civil society interested in monitoring and measuring the international flow of major conventional arms.
- [ConflictArm Publications](https://www.conflictarm.com/publications/)  
  Supplies unique evidence on weapon supplies into armed conflicts in order to inform and support effective weapon management and control. Offers field guides, identification guides and more.
- [SIPRI International Arms Embargoes](https://www.sipri.org/databases/embargoes)  
  This archive contains information on all multilateral arms embargoes that have been implemented by an international organization, such as the EU or UN, or by a group of nations. It includes both legally binding embargoes and those that are solely political commitments.
- [Mapping Arms Data](http://nisatapps.prio.org/armsglobe/index.php)  
  MAD features over 35,000 records of the exports and imports of small arms and ammunition from more than 262 states and territories between 1992 and 2014.
- [Arms Trade Statistics](https://webgate.ec.europa.eu/eeasqap/sense/app/75fd8e6e-68ac-42dd-a078-f616633118bb/sheet/24ca368f-a36e-4cdb-94c6-00596b50c5ba/state/analysis)  
  International arms export licenses and statistics.
- [ArmsGlobe](https://armsglobe.chromeexperiments.com/)  
  This visualization includes over 1 million individual import and export data points from annual custom reports and maps the transfer of small arms, light weapons and other munitions.
